2009-07-02  Dodji Seketeli <dodji@redhat.com>

	Update ChangeLog
	* ChangeLog: Automatic update.

2009-07-02  Dodji Seketeli <dodji@redhat.com>

	Automatically update ChangeLog
	* ChangeLog: update automatically

2009-07-02  Dodji Seketeli <dodji@redhat.com>

	Update NEW file
	* NEWS: update for 0.7.0 release

2009-07-02  Dodji Seketeli <dodji@redhat.com>

	Ignore unknown RESULT in -var-list-children output
	* src/dbgengine/nmv-gdbmi-parser.cc (GDBMIParser::parse_var_list_children):
	When parsing the result of -var-list-children,
	ignore the MI RESULTs that we don't know about. This fixes
	a parsing error we have when parsing the result of
	-var-list-children with pretty printers enabled. It triggers
	the presence of a 'displayhint' MI RESULT. We know ignore it.
	* tests/test-gdbmi.cc (test_var_list_children): New test.
	* tests/test-vars.cc (on_changed_variables_listed_signal):
	Make this more robust wrt libstdc++ versions.

2009-07-02  Dodji Seketeli <dodji@redhat.com>

	Add GDBMIParser::parse_gdbmi_string_result
	* src/dbgengine/nmv-gdbmi-parser.cc,h (GDBMIParser::parse_gdbmi_string_result):
	New entry point.

2009-07-02  Dodji Seketeli <dodji@redhat.com>

	Try harder to hide the popup tip when necessary
	* src/persp/dbgperspective/nmv-dbg-perspective.cc
	(DBGPerspective::on_motion_notify_event_signal): If the variable
	popup tip is visible and the mouse if out of it, hide the said popup tip.
	(DBGPerspective::hide_popup_tip_if_mouse_is_outside): New function.

2009-07-01  David Planella <david.planella@gmail.com>

	Updated Catalan translation

2009-06-15  Dodji Seketeli <dodji@redhat.com>

	Keep popup tip under control (Closes: #585657)
	*src/uicommon/nmv-popup-tip.cc: (PopupTip::Priv::Priv):
	No need to paint the popup tip window on expose event.
	Allow the popup tip window to be resized.
	(PopupTip::Priv::paint_window,
	PopupTip::Priv::on_expose_event_signal): Removed.
	(PopupTip::add_child): Rename this into PopupTip::set_child.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::on_popup_var_insp_size_request,
	DBGPerspective::on_popup_tip_hide,
	DBGPerspective::pack_popup_var_inspector_in_new_scr_win): New
	functions.
	(DBGPerspective::get_popup_tip): Put the variable inspector inside
	scrolled window and pack the scrolled window inside the popup tip.
	Force the scrolled window to be wide enough so that we can see the
	var inspector members without having to scroll too much. Though,
	make sure scroll window doesn't overflow the borders of the screen.
	Destroy the popup tip when it goes hidden, otherwise, subsequent
	uses of it on variables with difference size can exhibit some space
	allocation issues. For instance, when used later on a smaller
	variable, too much extra space is allocated to the popup tip.

2009-06-15  Dodji Seketeli <dodji@redhat.com>

	Don't overrun frames vector (Closes: #585516)
	* src/dbgengine/nmv-i-debugger.h: Properly initialise
	IDebugger::Frame
	* src/persp/dbgperspective/nmv-call-stack.cc
	(CallStack::Priv::update_selected_frame): Do not overrun
	frames vector.

2009-06-12  Javier Jardon <javierjc1982@gmail.com>

	Use AM_SILENT_RULES for nicer compilation output
	* configure.ac: Use AM_SILENT_RULES when present.

2009-06-05  Dodji Seketeli <dodji@redhat.com>

	Allow pointer variable values to be editable
	* src/dbgengine/nmv-gdb-engine.cc (GDBEngine::is_variable_editable):
	Allow pointer variable values to be editable.

2009-06-02  Dodji Seketeli <dodji@redhat.com>

	Don't enable contextual menu in popup tip
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc:
	(VarInspectorDialog::Priv::build_dialog): Enable contextual the menu.
	* src/persp/dbgperspective/nmv-var-inspector2.cc:
	(VarInspector2::enable_contextual_menu,
	VarInspector2::is_contextual_menu_enabled): New methods.
	(VarInspector2::Priv::Priv): By default, disalow contextual menu.
	(VarInspector2::Priv::on_button_press_signal): Show the contextual
	menu only if we are allowed to.

2009-06-02  Dodji Seketeli <dodji@redhat.com>

	Factorize variable printing
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(LocalVarsInspector2::Priv::gen_white_spaces,
	LocalVarsInspector2::Priv::dump_variable_value): Remove these.
	(LocalVarsInspector2::Priv::on_visited_variable_signal): Use
	nemiver::debugger_utils::dump_variable_value instead of our
	previous own stuff.
	* src/persp/dbgperspective/nmv-var-inspector2.cc:
	(VarInspector2::Priv::gen_white_spaces,
	VarInspector2::Priv::dump_variable_value): Remove these.
	(VarInspector2::Priv::on_visited_variable_signal): Use
	nemiver::debugger_utils::dump_variable_value instead of our
	previous own stuff.

2009-06-02  Dodji Seketeli <dodji@redhat.com>

	Don't loop forever on cycles (Closes: #584464)
	* src/dbgengine/nmv-i-var-walker.h:
	(IVarWalker::set_maximum_member_depth,
	IVarWalker::get_maximum_member_depth): New abstract
	ifaces.
	* src/dbgengine/nmv-var-walker.cc (VarWalker::set_maximum_member_depth,
	VarWalker::get_maximum_member_depth): New concrete implementations.
	* src/dbgengine/nmv-varobj-walker.cc (VarobjWalker::set_maximum_member_depth,
	VarobjWalker::get_maximum_member_depth): Likewise.
	(VarobjWalker::on_variable_unfolded_signal: Add a max depth guard to avoid
	looping forever on some huge datastructures.
	(VarobjWalker::do_walk_variable_real): Likewise. Don't
	dereference pointers, otherwise we might cycle forever on
	datastructures that have cycles. Make sure to pass the right
	variable to the visited_variable_signal.

2009-06-02  Dodji Seketeli <dodji@redhat.com>

	Allow compound variable detection
	* src/dbgengine/nmv-i-lang-trait.h (ILangTrait::is_variable_compound):
	New abstract interface.
	* src/dbgengine/nmv-cpp-trait.cc:
	(CPPTrait::is_variable_compound): New iface implementation.
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::get_language_trait): Return a reference, not a pointer.
	* src/dbgengine/nmv-gdb-engine.cc (GDBEngine::get_language_trait,
	GDBEngine::dereference_variable): Adjust.
	* tests/test-cpptrait.cc (test_debugger): Adjust use of
	IDebugger::get_language_trait.
	* tests/test-deref.cc (on_variable_type_set_signal): Likewise.

2009-06-02  Dodji Seketeli <dodji@redhat.com>

	Add debugger utilities to dump variable values
	* src/dbgengine/nmv-debugger-utils.cc,h:
	(gen_white_spaces, dump_variable_value): New functions.
	* src/dbgengine/Makefile.am: Add nmv-debugger-utils.cc,h to the build
	system. It's build into a static library, libdebuggerutils.la.

2009-06-02  Dodji Seketeli <dodji@redhat.com>

	Hide var tooltip appropriatly (Closes: #545596)
	* src/uicommon/nmv-popup-tip.cc:
	(PopupTip::Priv::Priv): Hide the popup tip window whenever
	mouse or keyboard focus leaves said window.
	(PopupTip::Priv::on_leave_notify_event,
	PopupTip::Priv::on_signal_focus_out_event): New methods.
	(PopupTip::PopupTip): Gently ask window managers to treat the
	popup tip as a popup menu.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::show_underline_tip_at_position,
	DBGPerspective::get_popup_tip): Make sure
	the var inspector is created before accessing it.
	(DBGPerspective::restart_mouse_immobile_timer,
	DBGPerspective::stop_mouse_immobile_timer): This the wrong level
	to try to hide the popup tip.
	(DBGPerspective::get_popup_var_inspector): New method.
	(DBGPerspective::hide_popup_tip): Removed this.

2009-06-02  Dodji Seketeli <dodji@redhat.com>

	Allow the ',' separator in NMV_LOG_DOMAINS env var
	* src/common/nmv-log-stream.cc:
	(LogStream::Priv::load_enabled_domains_from_env): Allow
	use of ',' and space as separators in the content of the
	nmv_log_domains environment variable.
	* src/common/nmv-ustring.cc,h:
	(UString::split_set): New method.

2009-05-31  Dodji Seketeli <dodji@redhat.com>

	Variable popup now uses a VarInspector2
	* src/uicommon/nmv-popup-tip.cc:
	(PopupTip::Priv::Priv): Set a notebook in the popuptip window.
	The notebook contains a label for when the tip has to display text, and a
	custom widget for when the tip has to display a custom widget.
	Don't use the (ugly) gtk tooltip style.
	(PopupTip:PopupTip): Don't set any text by defauilt.
	(PopupTip::text): To show text, just display the notebook tab that
	contains the text label.
	(PopupTip::add_child): New method to set a custom widget.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::on_variable_created_for_tooltip_signal,
	DBGPerspective::hide_popup_tip): New
	methods.
	(DBGPerspective::try_to_request_show_variable_value_at_position):
	Show the popup tip exactly at the position of the cursor.
	If varobjs support is on, create a variable object backed variable,
	hand it to a VarInspector2 and pack the inspector into a popup tip.
	(DBGPerspective::restart_mouse_immobile_timer,
	DBGPerspective::on_button_pressed_in_source_view_signal,
	DBGPerspective::stop_mouse_immobile_timer): Only hide the popup
	tip when the mouse moves out of it.

2009-05-31  Dodji Seketeli <dodji@redhat.com>

	Contextual menu item to copy local variable value
	* src/persp/dbgperspective/menus/localvarsinspectorpopup.xml:
	Add a menu item to copy variable values to clipboard.
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(LocalVarInspector2::Priv::init_actions): Add menu actions
	to copy variable values to clipboard. Use a local UIManager, not
	the one of the debugging perspective.
	(LocalVarInspector2::Priv::get_local_vars_inspector_menu):
	Use the local UIManager to build the menu, not the load_menu
	method of the debugging perspective.
	(LocalVarInspector2::Priv::get_ui_manager,
	(LocalVarInspector2::Priv::gen_white_spaces,
	LocalVarInspector2::Priv::dump_variable_value,
	LocalVarInspector2::Priv::get_module_manager,
	LocalVarInspector2::Priv::create_varobj_walker,
	LocalVarInspector2::Priv::get_varobj_walker,
	LocalVarInspector2::Priv::on_visited_variable_signal,
	LocalVarInspector2::Priv::on_variable_value_copy_to_clipboard_action,
	LocalVarInspector2::Priv::): New methods.

2009-05-30  Dodji Seketeli <dodji@redhat.com>

	Don't delete varobjs if not attached to target
	* src/dbgengine/nmv-gdb-engine.cc:
	(GDBEngine::is_attached_to_target): If the debugger is not running,
	then its not attached to the target.
	* src/dbgengine/nmv-varobj-walker.cc:
	(VarobjWalker::delete_varobj_if_necessary): New method.
	(VarobjWalker::~VarobjWalker): Don't delete the variable object if
	the debugger is not attached to the target.

2009-05-30  Dodji Seketeli <dodji@redhat.com>

	New nmv_abort_on_throw environment variable
	* src/common/nmv-exception.h:
	When nmv_abort_on_throw is set, abort on throw.
	This is useful to debug some nasty issues.

2009-05-30  Dodji Seketeli <dodji@redhat.com>

	Support copying variable value to the clipboard
	* src/persp/dbgperspective/nmv-var-inspector2.cc:
	(VarsInspector2::Priv::init_actions): Don't make the array of
	ActionEntry be static. It triggers side effects when the
	LocalVarInspector2 is instantiated (and the menu used) more
	than once.
	Use a UIManager local to this class, not the one of the
	debugging perspective. Add a new menu entry to copy the value of a
	variable. This uses a varobj powered variable walker for cases
	where the variable is a compound variable and thus must be unfolded
	so that its member needs to be retrieved from the debugger.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::init_actions): Don't make the array of ActionEntry
	be static.
	(DBGPerspective::load_menu): Allow this to be called twice with the
	same menu file.
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(LocalVarsInspector2::Priv::init_actions): Don't make the array of
	ActionEntry be static.

2009-05-30  Dodji Seketeli <dodji@redhat.com>

	New varobj aware variable walker
	* configure.ac: Generate src/dbgengine/varobjwalker.conf from
	src/dbgengine/varobjwalker.conf.in
	* src/dbgengine/nmv-gdb-engine.cc:
	(OnCreateVariableHandler::can_handle): Add more logging.
	* src/dbgengine/nmv-i-var-walker.h: Cleanup the IVarWalker iface.
	Remove some needless references from the APIs.
	* src/dbgengine/nmv-var-walker.cc: Adjust API implementations.
	* src/dbgengine/nmv-varobj-walker.cc: New implementation of
	the IVarWalker interface. This one walks a variable that is backed
	by GDB/MI a Variable Object and recursively unfolds it.
	* src/dbgengine/Makefile.am: Add nmv-varobj-walker.cc to the build
	system.
	* src/dbgengine/varobjwalker.conf.in: The conf file of the
	new varobjwalker DynMod.
	* tests/test-varobj-walker.cc: New test for the varobj-walker.
	* tests/Makefile.am: Add the new test-varobj-walker.cc to the build
	system.

2009-05-26  Dodji Seketeli <dodji@redhat.com>

	Unbreak pointer dereferencing with --disable-varobjs
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc:
	(get_context_menu): Load the menu file from
	localvarsinspectorpopup.todelete.xml.

2009-05-26  Dodji Seketeli <dodji@redhat.com>

	Merge branch 'master' into varobjs-support

2009-05-25  Dodji Seketeli <dodji@redhat.com>

	New menu to set a watchpoint on a local variable
	* src/persp/dbgperspective/menus/localvarsinspectorpopup.todelete.xml:
	This menu file is now the one used by the now-ancient LocalVarsInspector
	widget. When that widget is removed, this file oughts to be removed
	as well.
	* src/persp/dbgperspective/menus/localvarsinspectorpopup.xml: New
	menu file. Used by LocalVarsInspector2.
	* src/persp/dbgperspective/menus/Makefile.am:
	Added localvarsinspectorpopup.todelete.xml and
	localvarsinspectorpopup.xml menu files to the build system.
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(LocalVarsInspector2::Priv::init_actions,
	(LocalVarsInspector2::Priv::get_local_vars_inspector_menu,
	LocalVarsInspector2::Priv::popup_local_vars_inspector_menu,
	LocalVarsInspector2::Priv::on_variable_path_expression_signal,:
	LocalVarsInspector2::Priv::on_variable_path_expression_signal_set_wpt,
	LocalVarsInspector2::Priv::on_variable_path_expr_copy_to_clipboard_action,
	LocalVarsInspector2::Priv::on_create_watchpoint_action):
	New methods.
	(LocalVarsInspector2::Priv::on_button_press_signal): Popup the
	context menu when the user right clicks on a variable node.

2009-05-25  Dodji Seketeli <dodji@redhat.com>

	VarInspector2 got a new "copy-varable-path" menu
	* src/persp/dbgperspective/nmv-var-inspector2.cc:
	(VarInspector2::Priv::Priv): A reference to IPerspective is now
	stored into the inspector. It must be passed at construction time.
	(VarInspector2::Priv::init_actions): New method that setups menu
	actions so that we can have a menu proposing to copy the path
	expression of variable node to the gtk clipboard. As we have access
	to the perspective, we can access the ui_manager through the
	workbench, yay.
	(VarInspector2::Priv::build_widget):
	Call VarInspector2::Priv::init_actions.
	(VarInspector2::Priv::connect_to_signals): Setup the
	on_button_press_signal slot for when we right click on a variable
	node.
	(VarInspector2::Priv::get_var_inspector_menu): New method. Load the
	contextual menu from its varinspectorpopup.xml menu file.
	(VarInspector2::Priv::popup_var_inspector_menu): New method. Pops
	the menu up.
	(VarInspector2::Priv::on_button_press_signal): New slot. Popups the
	new contextual menu.
	(VarInspector2::Priv::on_variable_path_expr_copy_to_clipboard_action):
	New method.
	(VarInspector2::Priv::on_variable_path_expression_signal): New
	method.
	(VarInspector2::VarInspector2): The constructor now takes a
	reference to IPerspective.
	* src/persp/dbgperspective/nmv-var-inspector2.h:
	(VarInspector2::VarInspector2): Likewise.
	* src/persp/dbgperspective/menus/varinspectorpopup.xml:
	This menu file is now used by VarInspector2.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc,h:
	Pass a reference of the perspective to the dialog. That reference
	is then passed to the VarInspector2 widget.
	* src/persp/dbgperspective/nmv-watchpoint-dialog.cc: Likewise.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::inspect_variable): Adjust to pass a
	reference of the perspective to the var inspector dialog.
	(DBGPerspective::set_watchpoint_using_dialog): Likewise for the
	watchpoint dialog.

2009-05-25  Dodji Seketeli <dodji@redhat.com>

	Cosmetic cleanups in CallStack
	* src/persp/dbgperspective/nmv-call-stack.cc:
	(CallStack::Priv::popup_call_stack_menu): Cosmetic cleanups.

2009-05-25  Dodji Seketeli <dodji@redhat.com>

	Move CallStack::Priv::load_menu to IPerspective.
	* src/persp/nmv-i-perspective.h: (IPerspectrive::load_menu): New
	New entry point.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc,h:
	(DBGPerspective::load_menu): New entry point.
	* src/persp/dbgperspective/nmv-call-stack.cc:
	(CallStack::Priv::load_menu): Remove this.
	CallStack::Priv::(get_call_stack_menu): Rather use the
	new IPerspective::load_menu method.

2009-05-24  Dodji Seketeli <dodji@redhat.com>

	Allow getting the workbench from a perspective
	* src/persp/nmv-i-perspective.h (IDebugger::get_workbench):
	New abstract interface.
	* src/persp/dbgperspective/nmv-dbg-perspective.h:
	(DBGPerspective::get_workbench): Likewise.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::get_workbench): New implementation.

2009-05-24  Dodji Seketeli <dodji@redhat.com>

	Show watchpoint expressions in breakpoint views
	* src/persp/dbgperspective/nmv-breakpoints-view.cc:
	(struct BPColumns::expression): New member.
	(BPColumns::BPColums): Add the new BPColumns::expression member.
	(BreakpointsView::Priv::build_tree_view): Create a column for
	expressions.
	(BreakpointsView::Priv::update_breakpoint): Update expression
	column.

2009-05-24  Dodji Seketeli <dodji@redhat.com>

	Shorten too long lines
	* src/dbgengine/nmv-dbg-common.h: Split lines longer than 80
	characters.

2009-05-23  Dodji Seketeli <dodji@redhat.com>

	New IDebugger::query_variable_path_expr.
	* src/dbgengine/nmv-i-debugger.h
	(IDebugger::Variable::path_expression): New accessor for the
	path expression of a variable.
	(IDebugger::query_variable_path_expr): Declare new abstract interface entry
	point.
	(GDBEngine::query_variable_path_expr): Declare new concrete
	interface entry point.
	* src/dbgengine/nmv-gdb-engine.cc:
	(GDBEngine::query_variable_path_expr): New implementation of
	IDebugger::query_variable_path_expr. Sends
	-var-info-path-expression to GDB.
	(OnCommandDoneHandler::do_handle): Notify client code whenever
	we receive the reply of -var-info-path-expression.
	* tests/test-var-path-expr.cc: New test.
	* tests/Makefile.am: Add the new test to the build system.

2009-05-23  Dodji Seketeli <dodji@redhat.com>

	Parse the result of -var-info-path-expression
	* src/dbgengine/nmv-dbg-common.h:
	(Output::ResultRecord::m_path_expression,
	Output::ResultRecord::m_has_path_expression): New members.
	(Output::ResultRecord::clear): Clear the new members we just added.
	(Output::ResultRecord::path_expression,
	Output::ResultRecord::has_path_expression): New accessor for the new
	members.
	* src/dbgengine/nmv-gdbmi-parser.h:
	(GDBMIParser::parse_var_path_expression): Declare ...
	* src/dbgengine/nmv-gdbmi-parser.cc:
	(GDBMIParser::parse_var_path_expression): ... function.
	(GDBMIParser::parse_result_record): Wire the parsing of variable
	path expression here, in ^DONE records.

2009-05-21  Dodji Seketeli <dodji@redhat.com>

	Fix typo in configure.ac
	* configure.ac: The help message should say
	--enable-symsvis, not --enable-symvis.

2009-05-21  Dodji Seketeli <dodji@redhat.com>

	Conditionally compile test-watchpoint.cc
	* configure.ac: Define the automake VAROBJS variable that is
	defined when varobjs support is enabled.
	* tests/Makefile.am: Only compile the watchpoint test if varobjs
	are supported.

2009-05-21  Dodji Seketeli <dodji@redhat.com>

	Cleanup test-breakpoint.cc
	* tests/test-breakpoint.cc: Use the usual exception macros.

2009-05-21  Dodji Seketeli <dodji@redhat.com>

	Unbreak the build
	* src/persp/dbgperspective/nmv-watchpoint-dialog.cc: Properly nest
	ifdefs.

2009-05-21  Dodji Seketeli <dodji@redhat.com>

	Add regression test for watchpoints
	* tests/test-watchpoint.cc: New test.
	* tests/Makefile.am: Integrate the new test to the build system.

2009-05-21  Dodji Seketeli <dodji@redhat.com>

	Unbreak the build with --disable-varobjs
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Protect use of
	features depending on varobjs support with #ifdef WITH_VAROBJS.
	* src/persp/dbgperspective/nmv-var-inspector.cc:
	(VarInspector::Priv::set_variable): Add a new boolean parameter to control
	the expansion of the added variable.
	(VarInspector::set_variable): Likewise.
	(VarInspector::inspect_variable): Likewise.

2009-05-18  Dodji Seketeli <dodji@redhat.com>

	Allow VarInspector2 to expand the variable it appended
	* src/persp/dbgperspective/nmv-var-inspector2.cc:
	(VarInspector2::Priv::set_variable): Add a new param to expand the
	variable to its first level if it has children.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc: Expand
	variable shown in the inspector.

2009-05-17  Dodji Seketeli <dodji@redhat.com>

	Add watchpointdialog.glade to po/POTFILES.in
	* po/POTFILES.in: Add src/persp/dbgperspective/glade/watchpointdialog.glade
	to the list of files to consider for i18n.

2009-05-17  Dodji Seketeli <dodji@redhat.com>

	Various cleanups.
	* src/persp/dbgperspective/nmv-set-breakpoint-dialog.h: Cosmetic
	cleanup.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc: Likewise.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.h: Don't
	forward declare IDebugger.

2009-05-17  Dodji Seketeli <dodji@redhat.com>

	Update the breakpoint view to show watchpoints
	* src/persp/dbgperspective/nmv-breakpoints-view.cc:
	(BreakpointsView::Priv::build_tree_view): Add a new 'Type' column
	to discriminate standard breakpoints from watchpoints.
	(BreakpointsView::Priv::on_debugger_stopped_signal): Consider watchpoints
	alongside standard breakpoints.
	When we stop because a watchpoint got out of scope, erase the
	watchpoint graphical representation from the view.
	(BreakpointsView::Priv::erase_breakpoint): New entry point.

2009-05-17  Dodji Seketeli <dodji@redhat.com>

	Initial backend support for setting watchpoints
	* src/dbgengine/nmv-i-debugger.h (class IDebugger::BreakPoint):
	New IDebugge::BreakPoint::Type enum to discriminate different types
	of breakpoints e.g. watchpoint and standard breakpoints.
	(IDebugger::BreakPoint::expression): New accessors for the
	expression that triggered the watchpoint.
	(IDebugger::BreakPoint::type): New accessors for the type of
	Breakpoint.
	(IDebugger::set_watchpoint): Declare new abstract entry point.
	* src/dbgengine/nmv-gdb-engine.h (DGBEngine::set_watchpoint):
	Declare new concrete entry point.
	* src/dbgengine/nmv-gdb-engine.cc (OnStoppedHandler::do_handle):
	Consider IDebugger::WATCHPOINT_SCOPE types of breakpoints when
	notifying the user.
	(GDBEngine::set_watchpoint): New implementation of
	IDebugger::set_watchpoint.
	* src/dbgengine/nmv-gdbmi-parser.cc (GDBMIParser::parse_attribute):
	Add a new overload that represents an attribute using the
	GDBMIResult type. Make the old overload use this new one.
	(GDBMIParser::parse_stopped_async_output): use the
	new GDBMIParser::parse_attribute overload. Do some style cleanup.
	(GDBMIParser::parse_out_of_band_record): Recognize the wpnum
	attribute that is present when the inferior stopped because a
	watchpoint triggered.
	Use the IDebugger::BreakPoint::expression accessor to store the
	expression that triggered the watchpoint.
	Set the new IDebugger::BreakPoint::type property so that we can
	tell the difference between a standard breakpoint and a watchpoint.

2009-05-17  Dodji Seketeli <dodji@redhat.com>

	Remove dead code from gdbmi parser
	* src/dbgengine/nmv-gdbmi-parser.cc: Remove functions that were
	later re-implemented as methods the GDBMIParser class.
	* src/dbgengine/nmv-gdbmi-parser.h: Likewise. Transfert the
	comments from the removed free form functions to their method
	peers.

2009-05-17  Dodji Seketeli <dodji@redhat.com>

	Initial support to set watchpoints
	* src/persp/dbgperspective/glade/watchpointdialog.glade: New glade
	file.
	* src/persp/dbgperspective/glade/Makefile.am: Add the glade file to
	the build system.
	* src/persp/dbgperspective/nmv-watchpoint-dialog.h: Declare ...
	* src/persp/dbgperspective/nmv-watchpoint-dialog.cc ... the new
	type WatchpointDialog.
	* src/persp/dbgperspective/Makefile.am: Add the new files to the
	build system.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Bring up the
	the new watchpoint dialog when the user hits <control>-T.
	* src/persp/dbgperspective/menus/menus.xml: Add a new menu item for
	setting watchpoints.

2009-05-03  Dodji Seketeli <dodji@redhat.com>

	Support variable value editing in LocalVarsInspector2 (Closes: #581169)
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(LocalVarsInspector2::Priv::init_graphical_signals): Install the
	Priv::on_cell_edited_signal slot.
	(LocalVarsInspector2::Priv::on_tree_view_selection_changed_signal):
	If the selected variable is editable, then make the cell editable.
	(LocalVarsInspector2::Priv::on_cell_edited_signal): New slot.
	Assign the variable according to what the user typed.
	(LocalVarsInspector2::Priv::on_variable_assigned_signal): New slot.
	Graphically update the variable value upon assignment.

2009-05-03  Dodji Seketeli <dodji@redhat.com>

	Merge branch 'master' into varobjs-support

2009-05-03  Takeshi AIHANA <takeshi.aihana@gmail.com>

	Updated Japanese translation

2009-05-02  Dodji Seketeli <dodji@redhat.com>

	Merge branch 'master' into varobjs-support

2009-05-02  Dodji Seketeli <dodji@redhat.com>

	Update release message
	* Makefile.am: Update release blurb.

2009-05-02  Dodji Seketeli <dodji@redhat.com>

	Bump to 0.7.0
	* configure.ac: Update to 0.7.0 for development.

2009-05-02  Dodji Seketeli <dodji@redhat.com>

	Update ChangeLog
	* ChangeLog: Automatically update.

2009-05-02  Dodji Seketeli <dodji@redhat.com>

	Merge branch 'master' into varobjs-support

2009-05-02  Dodji Seketeli <dodji@redhat.com>

	Update NEWS file
	* NEWS: Mention significant changes since 0.6.6

2009-05-02  Dodji Seketeli <dodji@redhat.com>

	Update ChangeLog
	* ChangeLog: automatically regenerate

2009-05-02  Dodji Seketeli <dodji@redhat.com>

	Remove reference to non-generated tests
	* tests/Makefile.am: Remove references to runtestoverloads and
	runtestglobalvariables to make automake happy.

2009-05-01 17:49:36 -0400  Hubert Figuiere <hub@figuiere.net>

	Fix a breakage if built without gtkhex
	* src/persp/dbgperspective/nmv-dbg-perspective.cc
	(DBGPerspective::on_going_to_run_target_signal):
	get_memory_view is only if memoryview is compiled.

2009-05-01 17:47:53 -0400  Hubert Figuiere <hub@figuiere.net>

	Only include <gtk/gtk.h> (Closes: #581047)
	* src/uicommon/ephy-spinner-tool-item.h: only include gtk/gtk.h
	See http://live.gnome.org/GnomeGoals/CleanupGTKIncludes

2009-05-01 13:38:57 -0400  Hubert Figuiere <hub@figuiere.net>

	Fix a typo
	* git-commit-messages.README: fix a typo

2009-05-01  Dodji Seketeli <dodji@redhat.com>

	Make LocalVarsInspector2 properly show selected frame's arguments
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(LocalVarsInspector2::Priv::finish_handling_debugger_stopped_event):
	Remember the current frame. List the frame arguments of the current
	frame, not of the frame which index is 0.
	(LocalVarsInspector2::show_local_variables_of_current_function):
	Make this accept a frame in parameter. This is the frame
	the function needs to fetch the arguments for. It's not clean to do
	this but we have no easy way to fetch the arguments of the "current"
	function, unfortunately.

2009-05-01  Dodji Seketeli <dodji@redhat.com>

	Merge branch 'master' into varobjs-support

2009-05-01  Dodji Seketeli <dodji@redhat.com>

	Properly list arguments of the selected frame, not of the top most only
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc,h:
	(LocalVarsInspector::Priv::finish_handling_debugger_stopped_event):
	Remember the current frame. List the frame arguments of the current
	frame, not of the frame which index is 0.
	(LocalVarsInspector::Priv::on_frames_params_listed_signal):
	Look for the arguments of the previously saved frame, not just for
	the frame at level 0.
	(LocalVarsInspector::show_local_variables_of_current_function):
	Make this accept a frame in parameter. This is the frame
	the function needs to fetch the arguments for. It's not clean to do
	this but we have no easy way to fetch the arguments of the "current"
	function, unfortunately.

2009-05-01  Dodji Seketeli <dodji@redhat.com>

	Add CallStack::current_frame entry point
	* src/persp/dbgperspective/nmv-call-stack.h,cc:
	(CallStack::current_frame): New entry point.

2009-05-01  Dodji Seketeli <dodji@redhat.com>

	Set IDebugger state before firing IDebugger::command_done_signal
	* src/dbgengine/nmv-gdb-engine.cc:
	(OnCommandDoneHandler::do_handle): Set internal state about current
	frame level and "being attached to target" before firing out the
	IDebugger::command_done_signal(). This ensures that IDebugger
	is in a consistent state when client code is notified.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Add new IDebugger::get_current_frame_level abstract API and implementation
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::get_current_frame_level): New abstract interface.
	* src/dbgengine/nmv-gdb-engine.h:
	(GDBEngine::get_current_frame_level,
	GDBEngine::set_current_frame_level): New concrete interfaces.
	* src/dbgengine/nmv-gdb-engine.cc:
	(OnStoppedHander::do_handle): Save the current frame level if we
	have the information.
	(OnCommandDoneHandler::do_handle): Once the 'select-frame'
	command was successfully done, save the requested frame level as
	the current frame level.
	(GDBEngine::select_frame): Embed the requested frame level in the
	Command as tag2.
	(GDBEngine::get_current_frame_level): New implementation.
	(GDBEngine::set_current_frame_level): Likewise.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Add a new integer tag to the Command type
	* src/dbgengine/nmv-dbg-common.h:
	(Command::tag2): new accessors.

2009-04-26  Dodji Seketeli <dodji@redhat.com>

	Preliminary support of variable editing in VarInspector2
	* src/dbgengine/nmv-i-debugger.h (IDebugger::is_variable_editable):
	New entry point abstract entry point declaration.
	* src/dbgengine/nmv-gdb-engine.h (GDBEngine::is_variable_editable):
	New concrete entry point declaration ...
	* src/dbgengine/nmv-gdb-engine.cc (GDBEngine::is_variable_editable):
	... Defined here.
	* src/persp/dbgperspective/nmv-variables-utils.h:
	(struct VariableColumns): Add a new hidden column at offset
	VARIABLE_VALUE_EDITABLE_OFFSET to hold the variable_value_editable flag
	about the editability of a variable.
	* src/persp/dbgperspective/nmv-vars-treeview.h:
	(VarsTreeView::ColumnIndex): New enum to hold the indexes the
	columns of the VarsTreeView.
	* src/persp/dbgperspective/nmv-vars-treeview.cc:
	(VarsTreeView::VarsTreeView): Connect the "editable" attribute
	of the cell renderer of the variable value with the new hidden flag
	of VariableColumns at VARIABLE_VALUE_EDITABLE_OFFSET offset.
	* src/persp/dbgperspective/nmv-var-inspector2.cc:
	(VarInspector2::Priv::connect_to_signals): Connect
	VarInspector2::Priv::on_cell_edited_signal to the
	signal_edited of the text cell renderer of the variable values.
	(VarInspector2::Priv::on_cell_edited_signal): New signal handler.
	When the value of a given variable is edited, assign the variable
	to the new value.
	(VarInspector2::Priv::on_tree_view_selection_changed_signal):
	When a variable is selected, detected if the variable is editable
	or not, and set the editability property of the variable's value
	cell accordingly.
	(VarInspector2::Priv::on_variable_assigned_signal): New signal
	handler called when a variable gets assigned. Just update the
	variable node that got modified.

2009-04-25  Dodji Seketeli <dodji@redhat.com>

	Factorize the implementation of varobjs related entry points
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::create_variable): Modify signature so that we can
	share the implementation between the two overloads.
	(IDebugger::delete_variable): Likewise.
	(IDebugger::unfold_variable): Likewise.
	(IDebugger::assign_variable): Likewise.
	(IDebugger::evaluate_variable_expr): Likewise.
	* src/dbgengine/nmv-gdb-engine.h:
	(GDBEngine::create_variable): Adjust.
	(GDBEngine::delete_variable): Likewise.
	(GDBEngine::unfold_variable): Likewise.
	(GDBEngine::assign_variable): Likewise.
	(GDBEngine::evaluate_variable_expr): Likewise.
	(GDBEngine::list_changed_variables): Likewise.
	(GDBEngine::list_register_names): Remove default variable value
	from the function declaration.
	(GDBEngine::list_register_values): Likewise.
	(GDBEngine::list_changed_registers): Likewise.
	(GDBEngine::set_memory): Likewise.
	* src/dbgengine/nmv-gdb-engine.cc:
	(null_const_variable_slot, null_const_variable_list_slot): New
	functions.
	(GDBEngine::create_variable): Factorize the implementation
	between the two overloads.
	(GDBEngine::delete_variable): Likewise.
	(GDBEngine::unfold_variable): Likewise.
	(GDBEngine::assign_variable): Likewise.
	(evaluate_variable_expr): Likewise.
	(GDBEngine::list_changed_variables): Likewise.

2009-04-24  Dodji Seketeli <dodji@redhat.com>

	Properly un-highlight highlighted variables when stepping in a function
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(LocalVarsInspector2::Priv::clear_local_variables): Clear
	the list of local vars to un-highlight.
	(LocalVarsInspector2::Priv::clear_function_arguments): Clear the
	the list of function arguments un-highlight.
	(LocalVarsInspector2::Priv::update_local_variables): When stepping
	in a function, make sure the variable that were highlighted during the
	previous step are properly un-highlighted during the current step.
	(LocalVarsInspector2::Priv::update_function_arguments): Likewise
	for function arguments.
	(LocalVarsInspector2::Priv::on_local_variable_updated_signal): When
	local a variable is updated (and highlihted) stash it on a shelf to
	un-highlight it during the coming step.
	(LocalVarsInspector2::Priv::on_function_args_updated_signal):
	Likewise for function arguments.

2009-04-24  Olav Vitters <olav@bkor.dhs.org>

	doap: fix short description

2009-04-23  Dodji Seketeli <dodji@redhat.com>

	Merge branch 'master' into varobjs-support

2009-04-22  Dodji Seketeli <dodji@redhat.com>

	Don't list all frame arguments from LocalVarsInspector2
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(LocalVarsInspector2::Priv::finish_handling_debugger_stopped_event):
	Don't list all the frame arguments when we just want the arguments
	of the last one.
	(LocalVarsInspector2::show_local_variables_of_current_function):
	Likewise.

2009-04-22  Dodji Seketeli <dodji@redhat.com>

	Merge branch 'master' into varobjs-support

2009-04-22 00:16:01 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Clean up doap file
	* nemiver.doap: Fix name, remove comments

2009-04-22  Dodji Seketeli <dodji@redhat.com>

	DOAP file addition
	* nemiver.doap: New file.

2009-04-19  Dodji Seketeli <dodji@redhat.com>

	Implement call stack paging (Closes: #544116)
	* src/persp/dbgperspective/nmv-call-stack.cc:
	(CallStack::Priv::store_frames_in_cache): New entry point.
	(CallStack::Priv::append_frames_to_cache): Likewise.
	(CallStack::Priv::append_frame_args_to_cache): Likewise.
	(CallStack::Priv::format_args_string): Likewise.
	(CallStack::Priv::append_frames_to_tree_view): Likewise.
	(CallStack::Priv::update_frames_arguments): Likewise.
	(CallStack::Priv::update_call_stack): Likewise.
	(CallStack::Priv::update_selected_frame): Erasing the special
	"expand number of stack lines" row must be done immediately.
	(CallStack::Priv::finish_handling_debugger_stopped_event): Don't
	query the entirety of the call stack, rather, just range we need.
	(CallStack::Priv::on_frames_listed_signal): When in "frame paging"
	mode (that is, when the user asked for more frames), just append
	the received frames to the existing ones. Otherwise, clear the
	existing ones and set those we've just received.
	Also, don't query the entirety of the stack frame arguments. Just
	query the arguments of the frames we are interested in.
	(CallStack::Priv::on_frames_params_listed_signal): Don't reset
	the entire frame set. Just update the frames to add the arguments
	we received.
	(CallStack::Priv::on_config_value_changed_signal): We don't page
	the frames rendering anymore.
	(CallStack::Priv::on_call_stack_copy_to_clipboard_action): Clean
	this up. Reuse the new format_args_string() function to format
	function arguments.
	(CallStack::Priv::set_frame_list): Use the new
	append_frame_frames_to_tree_view.
	(CallStack::Priv::clear_frame_list): Properly clear frame and
	arguments cache. Restore the frame window range if need be.
	(CallStack::update_stack): Use the new
	CallStack::Priv::update_call_stack. This prevents from querying the
	whole stack set.
	(CallStack::clear): Use CallStack::Priv::clear_frame_list.
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc:
	(LocalVarsInspector::Priv::finish_handling_debugger_stopped_event):
	Only query the arguments of the current frame.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::on_going_to_run_target_signal): Don't forget
	to clear call stack, memory view and register view widgets.
	* src/persp/dbgperspective/schemas/nemiver-dbgperspective.schemas:
	Set the default frame range size to 25.
	* tests/do-stack-overflow.cc: New test.
	* tests/Makefile.am: Add do-stack-overflow.cc to the build system.

2009-04-19  Dodji Seketeli <dodji@redhat.com>

	Allow IDebugger::list_frame to ask for a range of frames
	* src/dbgengine/nmv-i-debugger.h (IDebugger::list_frame): Add new
	two new parameters to allow asking for a range of frames,
	and not necessarily for all of them.
	* src/dbgengine/nmv-gdb-engine.h (GDBEngine::list_frames): Adjust
	signature.
	* src/dbgengine/nmv-gdb-engine.cc (GDBEngine::list_frames): Adjust
	signature and pass on the right arguments to -stack-list-frames to
	for a frame window.

2009-04-19  Dodji Seketeli <dodji@redhat.com>

	Properly set frame level during call stack parsing
	* src/dbgengine/nmv-gdbmi-parser.cc (GDBMIParser::parse_call_stack):
	Properly set IDebugger::Frame::level during the parsing.
	Also, don't cry when we reach "end of input" right after the
	parsing.
	* tests/test-gdbmi.cc (test_stack0): New test case for stack parsing.
	(init_unit_test_suite): Hook the new test case here.

2009-04-20  Dodji Seketeli <dodji@redhat.com>

	Don't clear the session when restarting with different args (Closes: 568822)
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::execute_program): Do not clear breakpoints and other
	session info when the same program is re-launched.

2009-04-20  Dodji Seketeli <dodji@redhat.com>

	Don't quote empty arguments passed to the inferior
	* src/dbgengine/nmv-gdb-engine.cc (quote_args): Don't quote empty
	arguments. Otherwise, that can really change the behaviour of the
	inferior that would now see one more argument on its command line.

2009-04-20  Dodji Seketeli <dodji@redhat.com>

	Merge branch 'master' into varobjs-support

2009-04-19 22:46:17 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Quote arguments passed to gdb (Closes: #575889)
	* src/dbgengine/nmv-gdb-engine.cc: add a helper function that will
	properly shell-quote the arguments passed to gdb so that things
	won't get expanded twice (e.g. by the shell when invoking nemiver
	on the command line and then again when executing the program)

2009-04-19 21:42:49 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Merge branch 'ustring-cleanup'

2009-04-19 21:39:15 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Remove some more explicit UString constructors
	* src/dbgengine/nmv-i-debugger.h:
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	The UString(std::string) constructor is not explicit any more so we don't
	need to explicitly 'cast' things anymore

2009-04-19 16:32:02 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Cleanup from last commit to make close_file() less fragile
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: move the
	update_file_maps() call to the end of the function so that we're not
	susceptible to memory corruption no matter what string we pass to
	this function, even though we've avoided the immediate problem by
	copying the string before passing it to this function

2009-04-19 14:57:28 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Fix critical warnings when closing a file (Closes: #578736)
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: copy the path string out
	before passing it to close_file() because we will get memory corruption if
	we pass a reference to the std::map value, since close_file() modifies the
	map.

2009-04-18  Dodji Seketeli <dodji@redhat.com>

	Add some comments to variable utils calls.
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(LocalVarsInspector2::Priv::update_a_local_variable): Add some
	comments to the call to variable_utils::update_a_variable.
	* (LocalVarsInspector2::Priv::update_a_local_variable): Likewise.

2009-04-18  Dodji Seketeli <dodji@redhat.com>

	Beef up variables utils for variable search/updates
	* src/persp/dbgperspective/nmv-variables-utils.h:
	(variables_match, find_a_variable_descendent): Declare new entry
	points.
	* src/persp/dbgperspective/nmv-variables-utils.cc:
	(generate_path_to_descendent): New internal function.
	(walk_path_from_row): Likewise.
	(find_a_variable_descendent): New function.
	(variables_match): New function.
	(find_a_variable): During the search, consider all the members
	of the variable we are looking for. Use the new variables_match
	function for that. Add a comment to this function.
	(update_a_variable): Make sure we try to update the proper
	descendent variable member of the proper root variable.
	Use the new find_a_variable_descendent function for that.
	The name of this function might be misleading now. Changing that
	belongs to another commit I guess.

2009-04-18  Dodji Seketeli <dodji@redhat.com>

	Add more searching capabilities to IDebugger::Variable
	*  src/dbgengine/nmv-i-debugger.h:
	(IDebugger::Variable::get_member_at) : New entry point.
	(IDebugger::Variable::sibling_index): Likewise.
	(IDebugger::Variable::equals_by_value): Likewise.

2009-04-18  Dodji Seketeli <dodji@redhat.com>

	Make IDebugger::Variable non-copyable
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::Variable): declare the proper constructors and
	operators of the class private.

2009-04-18  Dodji Seketeli <dodji@redhat.com>

	Add == operator for pointers to SafePtr
	* src/common/nmv-safe-ptr.h: Add equality operator against
	pointers.
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::Variable::build_qname): Adjust. Don't use equality
	operator to test pointer nullity, rather use the bool () operator.

2009-04-18  Dodji Seketeli <dodji@redhat.com>

	Allow one one-line if clauses without braces
	* coding-style.txt: Allow one one-line if clauses without braces.

2009-04-16  Claude Paroz <claude@2xlibre.net>

	Updated French translation

2009-04-14 22:52:41 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Fix unused variable warning
	* tests/test-vars.cc: comment out a_cookie variable name to avoid a compiler
	warning

2009-04-14 22:17:48 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Fix string cleanup per Dodji's review
	* src/common/nmv-ustring.h: There's not really any reason to make the
	std::string constructor explicit anymore since it doesn't do locale
	conversion anymore.
	* src/dbgengine/nmv-gdb-engine.cc: use implicit conversion
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: remove TODO, style fix

2009-04-13  Landry Breuil <landry@fr.homeunix.org>

	Fixup includes for OpenBSD in nmv-dbg-perspective.cc
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: include
	sys/types and unistd.h for OpenBSD.

2009-04-13  Landry Breuil <landry@fr.homeunix.org>

	Fixup nmv-terminal.cc for OpenBSD
	* src/uicommon/nmv-terminal.cc: include utils.h, pty.h and unistd.h
	for OpenBSD.

2009-04-13  Landry Breuil <landry@fr.homeunix.org>

	Don't define GDBMITuple methods inline
	* src/dbgengine/nmv-gdbmi-parser.h: Move the definition of
	GDBMITuple from here ...
	* src/dbgengine/nmv-gdbmi-parser.cc: ... to here.
	We do this because otherwise gcc 3.3.5 won't compile this on
	OpenBSD.

2009-04-13  Dodji Seketeli <dodji@redhat.com>

	Mark new files for translation
	* po/POTFILES.in: Added nmv-local-vars-inspector2.cc and
	nmv-var-inspector2.cc.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Remove variable dereferencing code from LocalVarsInspector2
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc: Remove all
	the cruft related to variable dereferencing as it's now useless.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Use the variable object powered LocalVarsInspector2 in the debug perspective
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: When
	WITH_VAROBJS is defined, use LocalVarsInspector2, otherwise, use
	LocalVarsInspector.
	This entry adds variable objects support for local variables to the debug
	perspective.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	New LocalVarsInspector2 type using variable objects
	* src/persp/dbgperspective/nmv-local-vars-inspector2.[cc|h] New
	file. Okay does the same as (as been ported from)
	nmv-local-vars-inspector.cc, but it uses the new variable objects
	supported features of IDebugger. It's a bit smaller than it's
	predecessor. As a bonus point, it handles pointer dereferencing
	seemlessly. No need to do fancy stuff like "dereference pointer"
	now. Variable updating when stepping in the same function also
	seems to work better. For aggregate variables, querying is done
	lazily. It's when the user expands a variable node row that the
	children members of the row are queried from the backend. In
	theory, this should make the whole UI snappier when inspecting
	variables. However, each time we don't need variables, we now need
	to ask the backend to delete the "remote" variable object. This
	adds some more communication between the front end and backend, as
	far as variables lifetime is concerned.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Make VarInspector use the factorized update_unfolded_variable
	* src/persp/dbgperspective/nmv-var-inspector2.cc:
	(VarInspector2::Priv::on_variable_unfolded_signal): Use the
	new nemiver::variables_utils::update_unfolded_variable instead of
	our own update_unfolded_variable.
	(VarInspector2::Priv::update_unfolded_variable): Remove this.
	Make sure to compile this, only with WITH_VAROBJS is defined.
	* src/persp/dbgperspective/nmv-var-inspector2.h:
	Make sure to compile this, only with WITH_VAROBJS is defined.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Factorize the support for updating unfolded variables
	* src/persp/dbgperspective/nmv-variables-utils.[h|cc]:
	(update_unfolded_variable): New function.
	This function can update the graphical node of a variable that got
	recently unfolded i.e., that recently gained member variables.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Make graphical variable finding be recursive
	* src/persp/dbgperspective/nmv-variables-utils.cc:
	(find_a_variable): Make the find be recursive, depth first.
	This way, this function can now find variable members as well.
	At the same time, don't error when we find an empty variable.
	Empty (dummy) variables can now exist in the tree. They exist when
	the parent variable node needs to be unfolded, but hasn't been
	unfolded yet. In that case, the parent node has a dummy (empty)
	variable that is there just so that an expander appears on the
	parent node, inviting the user to unfold it. Then, the UI can catch
	the node expansion event and sneak in the proper children node.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Cleanup the comment on IDebugger::root()
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::root): Update the comment.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Properly initialize Variable::m_num_expected_children
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::Variable::Variable): Don't forget to initialize
	m_num_expected_children.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Pass data to IDebugger::list_changed_variables by reference
	* src/dbgengine/nmv-i-debugger.h (IDebugger::list_changed_variables):
	Pass the list of variables (in the slot) by reference.
	* src/dbgengine/nmv-gdb-engine.[h|cc]:
	GDBEngine::list_changed_variables): Likewise.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Remove useless attribute (cleanup)
	* src/dbgengine/nmv-gdb-engine.cc:
	* (OnCreateVariableHandler::do_handle): Remove the "unused" attribute.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Add new IDebugger::get_current_frame_level abstract API and implementation
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::get_current_frame_level): New abstract interface.
	* src/dbgengine/nmv-gdb-engine.h:
	(GDBEngine::get_current_frame_level,
	GDBEngine::set_current_frame_level): New concrete interfaces.
	* src/dbgengine/nmv-gdb-engine.cc:
	(OnStoppedHander::do_handle): Save the current frame level if we
	have the information.
	(OnCommandDoneHandler::do_handle): Once the 'select-frame'
	command was successfully done, save the requested frame level as
	the current frame level.
	(GDBEngine::select_frame): Embed the requested frame level in the
	Command as tag2.
	(GDBEngine::get_current_frame_level): New implementation.
	(GDBEngine::set_current_frame_level): Likewise.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Add a new integer tag to the Command type
	* src/dbgengine/nmv-dbg-common.h:
	(Command::tag2): new accessors.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Populate Variable::num_expected_children at Variable parsing time
	* GDBMIParser::parse_variable: Don't forget to set
	IDebugger::Variable::num_expected_children, so that
	IDebugger::Variable::needs_unfolding() later works correctly.

2009-04-12  Dodji Seketeli <dodji@redhat.com>

	Properly parse empty result set of -var-update
	* GDBMIParser::parse_var_changed_list: Don't error when we get
	an empty set of changed variables.
	* tests/test-gdbmi.cc: New test for this case.

2009-04-11 21:56:20 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Don't automatically convert locale in UString constructor
	* src/common/nmv-ustring.cc: remove the automatic locale
	conversion from the UString(std::string) constructor.  This can be handy,
	but tends to introduce issues when you're not really careful.
	* src/dbgengine/nmv-gdb-engine.cc:
	* src/main.cc:
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	* src/persp/dbgperspective/nmv-memory-view.h: go through and make sure we're
	not depending on the old constructor locale conversion behavior anywhere,
	and fix a few other locale-related issues

2009-04-10 22:17:25 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Start of Big overhaul of string / locale handling
	* src/common/nmv-ustring.h: make the UString(std::string) constructor
	explicit because we were getting a lot of unwanted implicit
	conversions.  This was compounded by the fact that this constructor
	actually does a locale conversion. So the combination of unwanted
	implicit conversions and charset conversion killed our gdbmi parsing
	performance in some areas.
	* src/common/nmv-log-stream.cc:
	* src/common/nmv-log-stream.h: Add some overloaded operator<< for char*
	and std::string so that when we log C strings or std::strings, they
	don't need to be converted to UStrings first.  Also, change the
	operator<<(UString) to operator<<(Glib::ustring) because otherwise
	attempting to log a Glib::ustring resulted in ambiguity and logging a
	UString as a Glib::ustring should be just fine
	* src/common/nmv-env.cc:
	* src/dbgengine/nmv-gdb-engine.cc:
	* src/dbgengine/nmv-gdbmi-parser.cc:
	* src/dbgengine/nmv-i-debugger.h:
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	* src/persp/dbgperspective/nmv-locate-file-dialog.cc:
	* src/workbench/nmv-workbench.cc: fixed up all of the implicit
	conversions from std::string to UString that were exposed when making
	the constructor explicit

2009-04-05  Dodji Seketeli <dodji@redhat.com>

	Make the variable inspector dialog support variable objects
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::Variable::need_unfolding): New entry point.
	(IDebugger::Variable::*): Add some comments here and there.
	* src/persp/dbgperspective/nmv-variables-utils.cc (append_a_variable):
	When adding a variable that needs unfolding later, add a dummy child
	node to it, so that the user can see a tree row expander and click on it
	to unfold the variable. Later, when adding variable members to that
	variable that needs unfolding, delete the dummy node and add the
	proper children nodes.
	* src/persp/dbgperspective/nmv-var-inspector2.[cc|]: Added
	the VarInspector2 type that uses the variable objects backend to
	inspect variables.
	* src/persp/dbgperspective/Makefile.am: Add nmv-var-inspector2.[cc|h]
	to the build system.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc: Use
	VarInspector2 when configured with --enable-varobjs.

2009-04-05  Dodji Seketeli <dodji@redhat.com>

	Rename list<VariableSafePtr> into VariableList
	* src/dbgengine/nmv-i-debugger.h:
	Rename list<VariableSafePtr> into VariableList for convenience and
	compacity. Adjust the rest of the file accordingly.

2009-04-05  Dodji Seketeli <dodji@redhat.com>

	Variables should have their values upon unfolding
	* src/dbgengine/nmv-gdb-engine.cc (GDBEngine::unfold_variable):
	Tell GDB to give us the value of the variable it unfolds.

2009-04-05  Dodji Seketeli <dodji@redhat.com>

	Add a --enable-varobjs configure switch
	* configure.ac: Create --enable-varobjs configure switch. When
	switched on, the WITH_VAROBJS C macros is defined and usable in the
	source code to detect if the package has been configured with
	--enable-varobjs switch.

2009-04-04  Dodji Seketeli <dodji@redhat.com>

	Rename VarInspector2 into VarInspector
	* src/persp/dbgperspective/nmv-var-inspector.[cc|h]: Rename
	VarInspector2 into VarInspector.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc: Adjust.

2009-04-04  Dodji Seketeli <dodji@redhat.com>

	Bumped version number to 0.6.7 for development
	* configure.ac: bumped version number to 0.6.7

2009-03-29  dodjirpm <dodjirpm@virtrawhide.localdomain>

	Don't link the 'docore' test with libnemivercommon.so
	* tests/Makefile.am:
	Don't link with libnemivercommon.so

2009-04-03  Dodji Seketeli <dodji@redhat.com>

	Some IDebugger/GDBEngine cleanup
	* src/dbgengine/nmv-gdb-engine.[cc|h],
	src/dbgengine/nmv-i-debugger.h: Added some comments. Don't pass
	IDebugger::VariableSafePtr by reference as signal template parameters.
	It just bypasses the reference counting. Also, a SafePtr is not bigger
	than the underlying pointer, so the is no need to do that in that case.

2009-04-03  Dodji Seketeli <dodji@redhat.com>

	Don't quote arguments of ptype and -data-evaluate-expression
	* src/dbgengine/nmv-gdb-engine.cc (GDBEngine::evaluate_expression,
	GDBEngine::print_variable_value, GDBEngine::get_variable_value,
	GDBEngine::print_pointed_variable_value, GDBEngine::print_variable_type,
	GDBEngine::get_variable_type, GDBEngine::dereference_variable,
	GDBEngine::set_register_value): Do not quote the arguments of
	-data-evaluate-expression and ptype because that changes the type of
	the expression. See comments at
	http://bugzilla.gnome.org/show_bug.cgi?id=574212.
	* tests/test-types.cc: New regression test file to make sure we don't
	sure we don't regress again here.
	* tests/Makefile.am: Integrate test-types.cc

2009-04-04  Dodji Seketeli <dodji@redhat.com>

	Bumped version number to 0.6.7 for development
	* configure.ac: bumped version number to 0.6.7

2009-04-03  Dodji Seketeli <dodji@redhat.com>

	Update ChangeLog
	* ChangeLog: Update.

2009-04-03  Dodji Seketeli <dodji@redhat.com>

	Update NEWS file
	* NEWS: minor update

2009-04-01  Dodji Seketeli <dodji@redhat.com>

	Update release text
	* Makefile.am: The release is also available in tar.bz2 format.
	Update Nemiver project homepage and download links.

2009-03-29  Dodji Seketeli <dodji@redhat.com>

	Update NEWS file

2009-03-29  Dodji Seketeli <dodji@redhat.com>

	Update ChangeLog

2009-03-29  Dodji Seketeli <dodji@redhat.com>

	Bump version number to 0.6.6

2009-03-29  dodjirpm <dodjirpm@virtrawhide.localdomain>

	Don't link the 'docore' test with libnemivercommon.so
	* tests/Makefile.am:
	Don't link with libnemivercommon.so

2009-04-03  Dodji Seketeli <dodji@redhat.com>

	Some IDebugger/GDBEngine cleanup
	* src/dbgengine/nmv-gdb-engine.[cc|h],
	src/dbgengine/nmv-i-debugger.h: Added some comments. Don't pass
	IDebugger::VariableSafePtr by reference as signal template parameters.
	It just bypasses the reference counting. Also, a SafePtr is not bigger
	than the underlying pointer, so the is no need to do that in that case.

2009-04-03  Dodji Seketeli <dodji@redhat.com>

	Don't quote arguments of ptype and -data-evaluate-expression
	* src/dbgengine/nmv-gdb-engine.cc (GDBEngine::evaluate_expression,
	GDBEngine::print_variable_value, GDBEngine::get_variable_value,
	GDBEngine::print_pointed_variable_value, GDBEngine::print_variable_type,
	GDBEngine::get_variable_type, GDBEngine::dereference_variable,
	GDBEngine::set_register_value): Do not quote the arguments of
	-data-evaluate-expression and ptype because that changes the type of
	the expression. See comments at
	http://bugzilla.gnome.org/show_bug.cgi?id=574212.
	* tests/test-types.cc: New regression test file to make sure we don't
	sure we don't regress again here.
	* tests/Makefile.am: Integrate test-types.cc

2009-03-26  Dodji Seketeli <dodji@redhat.com>

	Add support to list/assign/evaluate/query variable objects
	* src/dbgengine/nmv-dbg-common.h:
	(Output::ResultRecord::has_changed_var_list,
	Output::ResultRecord::changed_var_list): New entry points.
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::Variable::parent):  Make this return a proper SafePtr
	instead of a bare pointer.
	(IDebugger::Variable::has_parent,
	IDebugger::Variable::root,
	IDebugger::Variable::get_descendant,
	IDebugger::variable_expression_evaluated_signal,
	IDebugger::changed_variable_signals,
	IDebugger::assigned_variable_signal,
	IDebugger::assign_variable,
	IDebugger::evaluate_variable_expr,
	IDebugger::list_changed_variables): New entry points.
	* src/dbgengine/nmv-gdb-engine.h:
	(GDBEngine::variable_expression_evaluated_signal,
	GDBEngine::changed_variables_signal,
	GDBEngine::assigned_variable_signal): Declare new signal getters.
	(GDBEngine::assign_variable, GDBEngine::assign_variable,
	GDBEngine::list_changed_variables): Declare new entry points.
	* src/dbgengine/nmv-gdb-engine.cc:
	(OnStoppedHandler::do_handle): Add more logging.
	(OnResultRecordHandler::can_handle,
	OnResultRecordHandler::do_handle): Handle replies of assign-variable
	and evaluate-expression commands.
	(OnListChangedVariableHandler): New output handler for the
	list-changed-variables command.
	(GDBEngine::init_output_handlers): Setup the
	new OnListChangedVariableHandler.
	(GDBEngine::variable_expression_evaluated_signal,
	GDBEngine::changed_variables_signal,
	GDBEngine::assigned_variable_signal): Define new signal getters.
	(GDBEngine::unfold_variable): Send the proper command to GDB to make
	it list all the values of each variable node.
	(GDBEngine::assign_variable,
	GDBEngine::evaluate_variable_expr,
	GDBEngine::list_changed_variables): Define new entry points.
	* src/dbgengine/nmv-gdbmi-parser.h :
	(GDBMIParser::parse_var_changed_list): Declare new entry point.
	* src/dbgengine/nmv-gdbmi-parser.cc:
	(GDBMIParser::parse_var_list_children): Add a comment to describe the
	function.
	(GDBMIParser::parse_var_changed_list): Define new entry point to parse
	the result of GDBEngine::list_changed_variables.
	(GDBMIParser::parse_result_record): Use the new
	GDBMIParser::parse_var_changed_list to parse the result record of the
	call GDBEngine::list_changed_variables.
	* tests/test-gdbmi.cc: Add tests for parsing the result of
	IDebugger::list_changed_list.
	* tests/test-vars.cc: Updated this varobjs test to be able to assign
	values to a variable, list/update changed children of a given variable
	object, get the value of a variable object.
	This entry adds Basically adds support to assign a value to a variable
	object, list/update changed children of a given variable object and
	get the value of a variable object.

2009-03-15  Dodji Seketeli <dodji@redhat.com>

	Initial backend support for GDB Variable Objects
	* nmv-dynamic-module.[cc|h] (DynamicModule::set_name,
	DynamicModule::get_name, load_iface_using_context, ): New entry
	points.
	* src/dbgengine/nmv-dbg-common.h (Command::has_slot, Command::set_slot,
	Command::get_slot, Command::number_of_variables_deleted,
	ResultRecord::has_variable_children,
	ResultRecord::has_variable_children): New entry points.
	* src/dbgengine/nmv-i-debugger.h (IDebugger::Variable::internal_name): New
	entry point to adapt the current variable type to gdb variable
	objects.
	(IDebugger::Variable::to_string): Print the internal name of the
	variable as well as its name.
	(IDebugger::variable_created_signal,
	IDebugger::variable_deleted_signal,
	IDebugger::variable_unfolded_signal,
	IDebugger::build_qualified_internal_name,
	IDebugger::Variable::num_expected_children,
	IDebugger::Variable::has_expected_children,
	IDebugger::create_variable,
	IDebugger::delete_variable,
	IDebugger::unfold_variable): New interfaces entry points.
	* src/dbgengine/nmv-gdb-engine.h (GDBEngine::variable_created_signal,
	GDBEngine::variable_deleted_signal,
	GDBEngine::variable_unfolded_signal, GDBEngine::create_variable,
	GDBEngine::delete_variable, GDBEngine::unfold_variable): Declare the
	implementation of the new interface entry points.
	* src/dbgengine/nmv-gdb-engine.cc (GDBEngine::variable_created_signal,
	GDBEngine::variable_deleted_signal, GDBEngine::variable_unfolded_signal,
	GDBEngine::variable_unfolded_signal, GDBEngine::create_variable,
	GDBEngine::delete_variable, GDBEngine::unfold_variable): Implement the
	new interface entry points.
	(OnCreateVariableHandler, OnDeleteVariableHandler,
	OnUnfoldVariableHandler): New output handlers to act upon the result of
	GDBEngine::create_variable, GDBEngine::delete_engine and
	GDBEngine::unfold_variable
	(GDBEngine::init_output_handlers): Register the new output handlers.
	* src/dbgengine/nmv-gdbmi-parser.[cc,h] (GDBMIParser::parse_variable,
	GDBMIParser::parse_variables_deleted): New entry points to parse the
	GDB/MI result of variable object creation and deletion.
	(GDBMIParser::parse_var_list_children): New entry point to parse MI
	result of -var-list-children.
	(GDBMIParser::parse_result_record): Use GDBMIParser::parse_variable and
	GDBMIParser::parse_variables_delete, and
	GDBMIParser::parse_var_list_children to parse the output
	records of -var-list-create, -var-list-delete and -var-list-children.
	* tests/test-vars.cc: New test case to test (in live)
	IDebugger::create_variable, IDebugger::delete_variable,
	IDebugger::unfold_variable.
	* tests/Makefile.am: Add new test-vars.c to the build system.
	* tests/fooprog.cc: Adjust this test case.
	* tests/test-gdbmi.cc: Add test cases for parsing the result
	of IDebugger::create_variable, IDebugger::delete_variable,
	IDebugger::unfold_variable.

2009-03-20  Dodji Seketeli <dodji@redhat.com>

	Make sure to never save empty sessions
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::record_and_save_new_session,
	DBGPerspective::record_and_save_session): Don't save the
	session if no program is being debugged.

2009-03-18 23:49:46 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Save session when switching debugging contexts (Fixes: #575912)
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: save current session
	before executing a saved session, when attaching to a running program,
	when attaching to a remote target, and when detaching from a target

2009-03-18  Dodji Seketeli <dodji@redhat.com>

	Fix MI parsing error with Archer (Closes: #575660)
	* src/dbgengine/nmv-gdbmi-parser.cc(GDBMIParser::parse_threads_list):
	Parse the new "current-thread-id" RESULT even though we don't use it
	for now. Be more robust wrt unknown RESULT entries as well.
	* tests/test-gdbmi.cc: Add new test.

2009-03-13  Dodji Seketeli <dodji@redhat.com>

	Fix tests to work with Boost.Test 1.37
	* tests/Makefile.am (runtestbreakpoint,
	runtestderef, runtestlocalvarslist,
	runtestglobalvariables): Don't link the tests with
	libboost_test_exec_monitor.
	* tests/test-breakpoint.cc: Don't include
	boost/test/test_tools.hpp. To use this, we actually need
	to drag in more that what we would like. And that won't be
	available in boost <= 1.34. We should only use the minimal test
	functionality, embedded inline in boost/test/minimal.hpp.
	This is what boost recommends for tests that are not proper unit tests.
	So don't use BOOST_REQUIRE_MESSAGE either, as it is provided by
	boost/test/test_tools.hpp. We should just use BOOST_REQUIRE that is
	provided by boost/test/minimal.
	* tests/test-deref.cc: Likewise.
	* tests/test-global-variables.cc: Likewise.
	* tests/test-local-vars-list.cc: Likewise.

2009-03-13  Dodji Seketeli <dodji@redhat.com>

	Remove useless include file
	* src/langs/nmv-cpp-parser.h: Don't #include <tr1/memory> as
	it's already done by nmv-cpp-ast.h.

2009-03-13  Landry Breuil <landry@rhaalovely.net>

	Port nmv-cpp-ast.h to OpenBSD
	* src/langs/nmv-cpp-ast.h: For older versions of g++,
	use boost/tr1/memory.hpp instead of tr1/memory.

2009-03-13  Landry Breuil <landry@rhaalovely.net>

	Port nmv-sqlite-cnx-drv.cc to OpenBSD
	* src/dbdimpl/sqlite/nmv-sqlite-cnx-drv.cc: Add #include unistd.h
	for sleep().

2009-03-13  Landry Breuil <landry@rhaalovely.net>

	Port nmv-proc-utils.cc to OpenBSD
	* src/common/nmv-proc-utils.cc: Add missing #include util.h for
	OpenBSD.

2009-03-13  Landry Breuil <landry@rhaalovely.net>

	Port nmv-plugin.cc to OpenBSD
	* src/common/nmv-plugin.cc:
	(Plugin::EntryPoint::Loader::Loader): Don't use THROW() without
	parameter.

2009-03-12  Landry Breuil <landry@rhaalovely.net>

	Port nemiver::common::DynamicModule to OpenBSD
	* common/nmv-dynamic-module.h:
	(DynamicModule::lookup_interface): Use the template keyword
	to make the compiler lookup names insides types that are template
	instantiations. This is not mandated by the C++ spec, but g++ 3.3.5
	won't work without it.
	(DynamicModuleManager::load_iface): Likewise.

2009-03-12  Landry Breuil <landry@rhaalovely.net>

	Port nemiver::UString to OpenBSD
	* src/common/nmv-ustring.cc: Define strnlen for OpenBSD.

2009-03-12  Hans Vercammen <hveso3@gmail.com>

	Fix build with gcc 4.1.2 (Closes: #572704)
	* src/common/nmv-log-stream.cc: Add a hash functor for std::string
	to be used with ext/hash_map.

2009-03-11  Dodji Seketeli <dodji@redhat.com>

	Update ephy-spinner widget (Closes: #574915)
	* src/uicommon/ephy-spinner.[c|h]: updated to the version of svn
	commit r8695.

2009-03-11  Dodji Seketeli <dodji@redhat.com>

	Don't quote args of -data-evaluate-expression in a call (Closes: #574913)
	* src/dbgengine/nmv-gdb-engine.cc (GDBEngine::call_function):
	Don't quote the arguments of -data-evaluate-expression in the
	context of a function call, otherwise, GDB won't call the function.

2009-03-10 22:48:30 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Fix up style issue
	* src/common/nmv-ustring.cc: fix function style from empty() to empty ()

2009-03-10 22:40:23 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Fix issues from patch review (Closes: #527947)
	* src/dbgengine/nmv-gdbmi-parser.cc: only test for <> braces since those are
	the only cases I've seen so far.  We can add others if we come across
	other situations where we need to change our comma-parsing strategy.
	* tests/test-gdbmi.cc: Initialize parser with correct variable

2009-03-07 16:23:04 -0600  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Don't split member vars incorrectly if value has comma (Closes: #527947)
	* src/dbgengine/nmv-gdbmi-parser.cc: add a variable for keeping track of the
	'brace level'.  e.g., the characters '(', '[', and '<' increment the brace
	level and the characters ')', ']', and '>' decrement the brace level.  If
	the brace level is 0, treat a comma as a delimiter between member
	variables; if it is greater than zero, treat a comma as part of the
	variable value.  For this particular case, we only really need to check
	for <> braces, but I added () and [] as well.
	* tests/test-gdbmi.cc: add a regression test for correct var value parsing

2009-03-10  Dodji Seketeli <dodji@redhat.com>

	Don't quote '*' in -data-evaluate-expression arguments (Closes: #574212)
	* src/dbgengine/nmv-gdb-engine.cc:
	(GDBEngine::print_pointed_variable_value,
	GDBEngine::dereference_variable): Leave the '*' operator
	out of the quotes, otherwise, GDB thinks '*' is part of the
	name of the variable we are trying to de-reference.
	* tests/test-deref.cc: Adjust this test case to to make it more
	robust. Chain things up properly so that we are sure stepping
	really happens after we are done with variable inspecting.

2009-03-04 22:33:31 -0600  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Check for empty before isspace in UString::chomp() (Closes: #574214)
	* src/common/nmv-ustring.cc: in cases where a string is all whitespace, an
	out-of-range exception was being thrown, because we were checking for
	isspace before we were checking that the string was non-empty.  I switched
	the order of these comparisons so now we never examine whether the first
	character of an empty string is a space.  At the same time I switched from
	using size() to using !empty() since theoretically that should be slightly
	more efficient.

2009-03-04 21:58:07 -0600  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Quote arguments to -data-evaluate-expression, ptype (bug #574212)
	* src/dbgengine/nmv-gdb-engine.cc: surround all variable names passed to
	-data-evaluate-expression or ptype with single-quotes because gdb
	apparently requires fully-qualified C++ names (e.g. names that contain ::)
	to be quoted in order for it to understand things correctly

2009-03-04 00:23:19 -0600  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Improve global variable listing (Bug #573709)
	* src/dbgengine/nmv-gdb-engine.cc: Don't increment oobr_it upon entering the
	fetch_variable: label, rather require that the iterator is incremented
	before entering the label.  Previously, when dropping into the
	fetch_variable label from above, the oobr_it iterator was not incremented,
	but when jumping ot the fetch_variable label (from line 3507), the
	iterator was already pre-incremented, which resulted in skipped variables.
	With this patch, I do get some global variables to show up in the list,
	but not all of them, so there are likely other problems lurking still
	related to global variable listing.

2009-03-07 22:53:11 -0600  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Sort columns of process selection dialog displays warning (Closes: #534700)
	* src/persp/dbgperspective/nmv-proc-list-dialog.cc: This seems rather hacky,
	but I believe it's the 'proper' way to do it in GTK+: wrap the base
	ListStore in a TreeModelFilter (which provides filtering capability but
	removes sorting capability), and then wrap the TreeModelFilter in a
	TreeModelSort, which adds sorting capability back...

2009-03-08 14:57:37 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Ellipsize filename in tab (Closes: #565645)
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: set the source view's
	tab label to ellipsize the middle of the filename if the name is longer
	than 25 characters.  Making this changed caused the close button to expand
	strangely when the nemiver window was resized, so I packed the label and
	close button into a hbox instead of a Table, and packed the button with
	Gtk::PACK_SHRINK so it should never expand.

2009-03-07 22:36:42 -0600  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Scroll 'File Open' list to starting source file (Closes: #525512)
	* src/persp/dbgperspective/nmv-file-list.cc: In addition to expanding the
	treeview to the starting filename, also scroll the treeview to the
	directory containing the starting file

2009-03-07 14:30:35 -0600  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Fix File list so keyboard navigation scrolls list again (Closes: #564294)
	* src/persp/dbgperspective/nmv-file-list.cc: Put a ScrolledWindow around the
	TreeView so that it scrolls properly when the user navigates with the
	keyboard.  The loading indicator should be outside of the ScrolledWindow
	* src/persp/dbgperspective/nmv-open-file-dialog.cc: Packing the
	FileList widget inside of a ScrolledWindow should not be the responsiblity
	of the dialog, leave that to the FileList widget itself.

2009-03-06 00:12:47 -0600  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Give indication of activity in the 'open file' dialog (Closes #564294)
	* src/persp/dbgperspective/nmv-file-list.cc: Add a loading status label to
	the file list widget that simply displays a "loading files from target"
	message when we start listing the source files.  The label is hidden when
	the list of files is actually received and set in the widget.
	* src/persp/dbgperspective/nmv-open-file-dialog.cc: don't show_all() the
	file list widget or otherwise we can't hide the loading status label
	mentioned above

2009-03-08 14:07:38 -0500  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Make the 'View > Memory' conditionally used (Closes: #564832)
	* src/persp/dbgperspective/menus/memoryview-menu.xml: add a new UI
	definition with only memory view menu items
	* src/persp/dbgperspective/menus/menus.xml: remove the memoryview menu item
	from the main menus UI definition because it should not always be used
	* src/persp/dbgperspective/menus/Makefile.am: add new menu file to be installed
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: conditionally add the
	memoryview menu item UI definition if ENABLE_MEMORYVIEW is defined

2008-12-24 00:25:38 -0600  Jonathon Jongsma <jjongsma@gnome.org>

	Enable re-ordering of source file tabs (Closes: #545246)
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Add handling for
	re-ordering notebook tabs if compiled against GTK+ 2.12 or later

2009-03-07 00:01:42 -0600  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Change serial input to a FileChooserButton (Closes: #436057)
	* src/persp/dbgperspective/glade/remotetargetdialog.glade:
	* src/persp/dbgperspective/nmv-remote-target-dialog.cc: Change input widget
	for selecting the serial line from Gtk::Entry to Gtk::FileChooserButton

2009-03-02  Dodji Seketeli <dodji@redhat.com>

	Update commit log policy
	* git-commit-messages.README: Change the format the commit summary
	to make it end with "(Closes: #<bug-number>)" when the commit
	relates to a bug filed in bugzilla.

2009-03-01 22:59:48 -0600  Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

	Update all of the screenshots for the manual
	* help/C/figures/*.png: take new screenshots with a relatively default theme
	and up-to-date UI

2009-03-02  Dodji Seketeli <dodji@redhat.com>

	Better accessor definition in gitlog2gnucl
	* gitlog2gnucl (class Entry): use attr_accessor to define
	accessors.

2009-03-01  Dodji Seketeli <dodji@redhat.com>

	Wire ChangeLog update into 'make release'
	* Makefile.am: Add an 'update-changelog' target.
	Wire it to the 'release' target.

2009-03-01  Dodji Seketeli <dodji@redhat.com>

	Update NEWS file for 0.6.5
	* NEWS: Update Fixes and Translations entries.
	The format of this file has changed now. It's more git-ish now.

2009-03-01  Dodji Seketeli <dodji@redhat.com>

	GPL-ize gitlog2gnucl
	* gitlog2gnucl: Add GPL license blurb to the file.

2009-03-01  Dodji Seketeli <dodji@redhat.com>

	Better gitlog2gnucl input/output handling
	* gitlog2gnucl (Entry#to_s): Insert a tab before the Summary line.
	(main): Teach git log to generate each commit entry starting with
	a "--START-ENTRY--" marker string and ending with a "--STAR-ENTRY--"
	marker string. Remove useless spaces from commit entry fields.
	(process_git_log): Use commit start/end marker string.
	Also, various fields now don't contain useless
	spaces anymore

2009-03-01  Dodji Seketeli <dodji@redhat.com>

	Update build system for releases from git
	* Makefile.am: Throw svn-isms away
	* configure.ac: Bump version to 0.6.5

2009-03-01  Dodji Seketeli <dodji@redhat.com>

	Write gitlog2gnucl to generate GNU ChangeLogs
	* git-commit-messages.README: New file. Describes the git commit
	message format from now on.
	* gitlog2gnucl: Script to generate a GNU ChangeLog from the Nemiver
	git logs.

2009-02-28  Luca Bruno <lucab@debian.org>

	Shorten compilation lines
	* configure.ac: Shorten compilation lines by regrouping
	PKG_CHECK_MODULES calls.
	* tests/Makefile.am: Adjust this.

2009-02-22  Dodji Seketeli <dodji@redhat.com>

	Blind tentative at fixing the crash #571036
	* src/dbgengine/nmv-i-debugger.h:
	(IDebugger::Variable::build_qname): Be defensive to avoid crashing.
	This might help for bug #571036 even though I haven't been able
	to reproduce it.

2009-02-22  Dodji Seketeli <dodji@src.gnome.org>

	Merge branch 'fix-tests' into allfixes

2009-02-22  Dodji Seketeli <dodji@redhat.com>

	Fix compilation with gcc 4.3.3
	* src/dbgengine/nmv-i-debugger.h: Include <stdint.h> before using
	uint8_t. This otherwise wouldn't compile with gcc 4.3.3

2009-02-14  Dodji Seketeli <dodji@src.gnome.org>

	Persist the Variable inspector dialog history
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::inspect_variable): Save the history of the variable
	inspection dialog, and restaure it whenever a new dialog is
	instantiated.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc:
	(get_cols): New entry point to statically create the ListStore columns
	only once. There is no need to instantiate those columns each time
	a Dialog is instantiated.
	(VarInspectorDialog::Priv::exists_in_history): New entry point.
	(VarInspectorDialog::Priv::add_to_history): Likewise.
	(VarInspectorDialog::Priv::inspect_variable): Reuse the new
	VarInspectorDialog::Priv::add_to_history.
	(VarInspectorDialog::set_history): New entry point.
	(VarInspectorDialog::get_history): Likewise.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.h:
	(VarInspectorDialog::set_history VarInspectorDialog::get_history):
	Declare the new entry points.

2009-02-14  Dodji Seketeli <dodji@src.gnome.org>

	Avoid duplicates in call function dialog history.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::call_function): Avoid duplicates in call function
	dialog history.

2009-02-13  Gil Forcada Codinachs <gforcada@src.gnome.org>

	Updated Catalan translation by David Planella

2009-02-11  Daniel Nylander <dnylande@src.gnome.org>

	sv.po: Updated Swedish translation

2009-02-02  Dodji Seketeli <dodji@redhat.com>

	Make Nemiver compile on gtkmm 2.12
	* src/persp/dbgperspective/nmv-call-function-dialog.cc:
	(CallFunctionDialog::call_expression): Don't use
	ComboBoxEntry::get_active_text because it's not
	present in gtkmm 2.12.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc:
	(VarInspectorDialog::Priv::do_inspect_variable): Likewise.
	(VarInspectorDialog::Priv::on_var_name_changed_signal): Likewise.
	(VarInspectorDialog::variable_name): Likewise.

2009-02-02  Dodji Seketeli <dodji@redhat.com>

	Fix 568821 - "Call function" dialog should remember history
	* src/persp/dbgperspective/nmv-call-function-dialog.cc:
	(CallFunctionDialog::Priv::Priv): Use and initialize a
	Gtk::ComboBoxEntry instead of a Gtk::Entry.
	Store the history in a Gtk::ListStore.
	(CallFunctionDialog::Priv::exists_in_history): New entry point.
	(CallFunctionDialog::Priv::clear_history): Likewise.
	(CallFunctionDialog::Priv::add_to_history): Likewise.
	(CallFunctionDialog::Priv::get_history): Likewise.
	(CallFunctionDialog::set_history): Likewise.
	(CallFunctionDialog::get_history): Likewise.
	(CallFunctionDialog::add_to_history): Likewise.
	(CallFunctionDialog::call_expression): Add the call expression
	To history.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::call_function): Feed the CallFunctionDialog
	instance with call expression history, and update our own copy
	of that history before destroying the dialog.

2009-02-02  Dodji Seketeli <dodji@redhat.com>

	Better pretty print when calling functions.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::call_function): Go to the begining of the line,
	on new lines.

2009-01-31  Dodji Seketeli <dodji@redhat.com>

	Fix 569168 – Cannot locate source with a full file name
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::find_file_in_source_dirs): Don't forget the case
	when we are given an absolute path. This patch is from
	"Romain Tatière" <romain@blogreen.org>.

2009-01-31  Dodji Seketeli <dodji@redhat.com>

	Fix 570029 – Print a message on the terminal when the user calls a function
	* src/uicommon/nmv-terminal.[cc|h] (Terminal::feed): New entry point.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::call_function): Add a message to the terminal
	about the function we are calling.

2009-01-31  Dodji Seketeli <dodji@src.gnome.org>

	Fix #567175 - Listing Source files from target executable is broken
	* src/dbgengine/nmv-gdb-engine.cc (OnFileListHandler::do_handle):
	Add some logging.
	* src/dbgengine/nmv-gdbmi-parser.cc (parse_result_record): Fix style.
	(GDBMIParser::parse_file_list): Fix a fatal typo that was breaking
	file list parsing. Fix style as well.
	* tests/test-gdbmi.cc: Add regression test for the file list parsing.

2009-01-31  Dodji Seketeli <dodji@src.gnome.org>

	Fix 568785 - New: Add Debugger category to the desktop file
	Patch from "Vincent Untz" <vuntz@gnome.org>

2009-01-31  Dodji Seketeli <dodji@src.gnome.org>

	Fix compilation breakage with gtksourceviewmm-1
	* src/persp/dbgperspective/nmv-preferences-dialog.cc:
	Include gtksourceviewmm/sourcestyleschememanager.h only when compiling
	with gtksourceviewmm2.
	Also, fix function calling style to comply with Nemiver's coding style.

2009-01-31  Dodji Seketeli <dodji@src.gnome.org>

	Remove config.h.in from Source Control Manamagement.

2008-12-28  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Updated Spanish translation

2008-12-25  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix a typo
	* src/dbgengine/nmv-i-debugger.h:
	(BreakPoint::state_to_string): fix a typo in the string representation of
	NOT_STARTED

2008-12-24  Jonathon Jongsma <jjongsma@src.gnome.org>

	Bug 530910 – View -> "Show Errors" and "Show Output" should not be displayed

2008-12-24  Jonathon Jongsma <jjongsma@src.gnome.org>

	Don't link fooprog test program against libnemivercommon, etc.

2008-12-24  Jonathon Jongsma <jjongsma@src.gnome.org>

	Bug 564301 – Assertion when trying to open variable inspector
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Don't fail an assertion
	when trying to pop up the variable inspector dialog (F12) when there are no
	source files open (Bug #564301)

2008-12-24  Jonathon Jongsma <jjongsma@src.gnome.org>

	Bug 553213 – tabs are in different order to Alt-1,2,3,4,5
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: fix the order of the
	<alt>-N keyboard shortcuts to match the order of the tabs (Bug #553213)
	* src/persp/dbgperspective/menus/menus.xml: re-order the UI menu as well

2008-12-24  Jonathon Jongsma <jjongsma@src.gnome.org>

	Remember history in var inspector dialog (Bug #536259)
	* src/persp/dbgperspective/glade/varinspectordialog.glade:
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc: remember the history
	of the variables inspected in the variable inspector dialog so that you
	don't have to re-type them if you want to go back to one that you viewed
	earlier.  This isn't a perfect solution since the history is lost when the
	dialog is closed.  I'm not sure if it would be better to somehow make the
	history outlive the dialog or if we should jsut change the lifetime of the
	dialog (so that we call show()/hide() rather than creating and destroying it
	every time it's shown)
	Bug #536259

2008-12-24  Jonathon Jongsma <jjongsma@src.gnome.org>

	Hook up the color theme preference
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: hook up the sourceivew
	theme preference to the editor.  So now when the preference is changed, the
	opened source editor widgets will all be changed to the new scheme (as will
	any newly-opened files)

2008-12-24  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add a preference for sourceview color theme
	* src/persp/dbgperspective/glade/preferencesdialog.glade:
	* src/persp/dbgperspective/nmv-conf-keys.h:
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	* src/persp/dbgperspective/nmv-preferences-dialog.cc:
	* src/persp/dbgperspective/schemas/nemiver-dbgperspective.schemas: add a
	preference to the preferences dialog to select a different style scheme for
	the source editor widget.  This is not hooked up to actually change the
	style in the application yet, but the preference exists.

2008-12-24  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix libtool wrapper detection for files with dashes (Bug #554405)
	* src/common/nmv-proc-utils.cc: change is_libtool_executable_wrapper a bit
	so that it doesn't interpret dashes in the filename as the dash between the
	filename and the libtool boilerplate.  This allows us to detect filenames
	with dashes as libtool wrapper scripts (Bug #554405)
	* tests/Makefile.am: dist the new test libtool wrapper
	* tests/test-libtool-wrapper-detection.cc: add a test for a libtool wrapper
	with a dash in the filename
	* tests/libtool-wrapper-with-dashes: Added example libtool wrapper witha
	dash in the filename that we can use in our unit test

2008-12-18  Leonardo Ferreira Fontenelle <leonardof@gnome.org>

	Improvements to the Brazilian Portuguese translation.
	* pt_BR.po: Improvements to the Brazilian Portuguese translation.

2008-12-18  Leonardo Ferreira Fontenelle <leonardof@gnome.org>

	Added pt_BR. Added Brazilian Portuguese translation by Richardo Ichizo,
	* LINGUAS: Added pt_BR.
	* pt_BR.po: Added Brazilian Portuguese translation by Richardo Ichizo,
	Enrico Nicoletto and Leonardo Ferreira Fontentelle. Thanks to Bruno
	Boaventura for some clarifications.

2008-12-16  Jonathon Jongsma <jjongsma@src.gnome.org>

	Change the 'restart' icon (Bug #526151)
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: change the 'restart' icon
	from Stock::GOTO_FIRST to Stock::REFRESH (Bug #526151)

2008-12-11  Dodji Seketeli <dodji@src.gnome.org>

	Fix 564113 - GDB/MI parsing error
	* src/dbgengine/nmv-gdbmi-parser.cc (GDBMIParser::parse_result_record):
	Don't forget lines can end up abruptly.
	* tests/test-gdbmi.cc: Added a new regression test for this bug.
	This should close #564113.

2008-11-30  Dodji Seketeli <dodji@src.gnome.org>

	Fix 560662 - Support singular RESULT parsing.

2008-11-30  Dodji Seketeli <dodji@src.gnome.org>

	Refactor the parser and create GDBMParser as to fix #560662.
	* src/dbgengine/nmv-gdbmi-parser.cc,h (parse_attribute):
	make sure attributes like foo = ["bar", "baz"] can now be parsed.
	This is the most generic form of attribute (or GDB/MI Result) that
	we can have.
	Added a bunch of function to serialize MI datatypes.
	(parse_gdbmi_list): allow the presence of space after ',' in MI LISTs.
	(gdbmi_tuple_to_string): New entry point.
	(gdbmi_result_to_string): Likewise.
	(gdbmi_list_to_string): Likewise.
	(gdbmi_value_to_string): Likewise.
	(operator<<): Use the new serialisation entry points.
	* tests/test-gdbmi.cc (test_attr0):  Added a new test.
	(test_gdbmi_result): New test.
	Start GDBMIParser as a refactoring of the old parser
	First version of the GDBMIParser type.
	Debugged GDBMIParser and make GDBEngine switch to it.

2008-11-26  Jonathon Jongsma <jjongsma@src.gnome.org>

	Enlarge the default size of the variable inspector dialog

2008-11-24  Dodji Seketeli <dodji@src.gnome.org>

	0.6.4 Released.

2008-11-23  Dodji Seketeli <dodji@src.gnome.org>

	Updated News

2008-11-23  Dodji Seketeli <dodji@src.gnome.org>

	Fix #562024 - cannot set breakpoint sometimes.

2008-11-22  Dodji Seketeli <dodji@src.gnome.org>

	Update NEWS and configure for 0.6.4

2008-11-22  Dodji Seketeli <dodji@src.gnome.org>

	Fix 561287 - crash when doing nemiver --purgesessions.
	* src/main.cc (process_command_line_non_gui): Rename this function into ...
	(process_non_gui_command_line): This one.
	(process_command_line): Rename this function into ...
	(process_gui_command_line): This one. Also, move the handling
	of the session purging from process_non_gui_command_line
	to here as this requires the workbench, debugging perspective
	and so the GUI. Yes that sucks. The session handling
	code should be moved outside of the perspective, but that's another
	story. For now, all we know is that we need the workbench to be
	created, if we want to be able to purge the sessions.
	session purging. This entry should fix the crash reported at
	#561287.

2008-11-18  Jonathon Jongsma <jjongsma@src.gnome.org>

	Rearrange the Callstack columns to put the function name first
	Currently the first column is the 'location', but if the location is an absolute
	filesystem path and the directory structure is deep, it will often push the
	function name way off to the right and even off the screen if the debugger
	window is relatively narrow.  I think the most important information is the
	function name, so I propose to move the 'Location' column to the end
	http://bugzilla.gnome.org/show_bug.cgi?id=561378

2008-11-18  Jonathon Jongsma <jjongsma@src.gnome.org>

	Handle libtool wrappers properly and when loading core files
	* src/common/nmv-proc-utils.cc:
	* src/common/nmv-proc-utils.h: don't attempt to parse and return the real
	path of the executable, just examine the file and see if it looks like a
	libtool wrapper script
	* src/dbgengine/nmv-gdb-engine.cc: handle libtool wrapper scripts properly
	by executing gdb under `libtool --mode=execute` which will set the library
	path, etc for us as well instead of just executing gdb on the translated
	binary filename.  Also handle libtool wrappers when loading core files (bug
	#554405)
	* tests/test-libtool-wrapper-detection.cc: update test to match changed API

2008-11-13  Dodji Seketeli <dodji@src.gnome.org>

	560377 - support new running async output record

2008-11-02  Dodji Seketeli <dodji@src.gnome.org>

	Fix #555733
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::on_debugger_breakpoint_deleted_signal): If we
	received this signal as part of process of executing a program,
	do not bother.
	This entry should fix bug #555733.

2008-11-02  Dodji Seketeli <dodji@src.gnome.org>

	Fix a buglet where LOG() stopped working.
	* src/common/nmv-log-stream.cc: Store the allowed domain names in
	instances of std::string instead of char*. This should help fix
	a buglet where LOG() did stop working.

2008-11-02  Dodji Seketeli <dodji@src.gnome.org>

	Fix #555732
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	Make the terminal use the same font as the one specified on the
	preferences.
	* src/uicommon/nmv-terminal.cc b/src/uicommon/nmv-terminal.cc,h: Allow
	the terminal to be set a new font.
	This entry is a patch from Christophe Fergeau <teuf@gnome.org>.
	It should close bug #555732.

2008-11-02  Dodji Seketeli <dodji@src.gnome.org>

	Fixlets in the announcement text.

2008-10-19  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Updated Spanish translation

2008-10-14  Luca Bruno <lucab@src.gnome.org>

	Sync'ed with latest debian package

2008-10-05  Takeshi AIHANA <takeshi.aihana@gmail.com>

	Updated Japanese translation.
	* ja.po: Updated Japanese translation.

2008-09-28  Dodji Seketeli <dodji@src.gnome.org>

	Fix nemiver.xml for well formedness.
	* help/C/nemiver.xml: Don't use ':' in PI nodes. It's not well formed
	XML.

2008-09-28  Dodji Seketeli <dodji@src.gnome.org>

	Updated for 0.6.3
	* configure.ac: Updated to 0.6.3
	* NEWS: Updated for 0.6.3

2008-09-27  Dodji Seketeli <dodji@src.gnome.org>

	Added some more traces.
	* src/uicommon/nmv-source-editor.cc:
	(SourceEditor::set_visual_breakpoint_at_line): Add some traces for
	debug purposes.

2008-09-27  Dodji Seketeli <dodji@src.gnome.org>

	Use std::tr1::unordered_map, when available, instead of __gnu stuff.
	* src/common/nmv-log-stream.cc: Use std::tr1::unordered_map when
	available instead of deprecated __gnu features.
	This patch is from "Benoît Dejean" <benoit@placenet.org>.

2008-09-27  Dodji Seketeli <dodji@src.gnome.org>

	Don't include <iostream> in headers.
	* src/common/nmv-tools.h,src/dbgengine/nmv-gdbmi-parser.h,
	src/langs/nmv-cpp-lexer-utils.h,
	src/persp/dbgperspective/nmv-sess-mgr.cc,
	src/uicommon/nmv-source-editor.cc: Don't include <iostream>
	in headers. This can save up to 10% compile time on some machine.
	This patch is from "Benoît Dejean" <benoit@placenet.org>.

2008-09-25  Dodji Seketeli <dodji@src.gnome.org>

	Fix #553780
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::Priv::modify_source_editor_fonts):
	Don't use any PangoFontDescription with an empty font name.
	(DBGPerspective::on_conf_key_changed_signal): Don't set source
	editor font to a font with empty name.
	(DBGPerspective::open_file): Likewise.
	(DBGPerspective::on_default_config_read): Don't set the memory
	font to a font with empty name.
	This entry should fix bug #553780

2008-09-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Added 'th'. Added Thai translation by Piya Wanishsujit.
	* LINGUAS: Added 'th'.
	* th.po: Added Thai translation by Piya Wanishsujit.

2008-09-15  Gil Forcada Codinachs <gforcada@src.gnome.org>

	Minor fix to Catalan translation by David Planella

2008-09-09  Gil Forcada Codinachs <gforcada@src.gnome.org>

	Updated Catalan translation by David Planella

2008-09-08  Dodji Seketeli <dodji@src.gnome.org>

	Fix some style issues.

2008-09-05  Saleem Abdulrasool <asaleem@src.gnome.org>

	update deprecated api to new api
	Require GTK+ 2.12 for the new Tooltip API.  Update the TreeModel usage to the
	new APIs:
	set_sort_column_id -> set_sort_column
	Remove unnecessary code.

2008-08-30  Dodji Seketeli <dodji@src.gnome.org>

	Released 0.6.2

2008-08-30  Dodji Seketeli <dodji@src.gnome.org>

	Bumped version number to 0.6.2

2008-08-27  Dodji Seketeli <dodji@src.gnome.org>

	Updated NEWS file.

2008-08-27  Ilkka Tuohela <ituohela@src.gnome.org>

	Updated Finnish translation

2008-08-26  Dodji Seketeli <dodji@src.gnome.org>

	Updated NEWS file.

2008-08-25  Robert-André Mauchin <bobmauchin@src.gnome.org>

	Fix website address.

2008-08-25  Robert-André Mauchin <bobmauchin@src.gnome.org>

	Updated French translation

2008-08-24  Dodji Seketeli <dodji@src.gnome.org>

	Updated NEWS file.

2008-08-24  Dodji Seketeli <dodji@src.gnome.org>

	Style fixes

2008-08-21  Dodji Seketeli <dodji@src.gnome.org>

	Fix #548121 - string search not available when program is not running
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::on_debugger_not_started_signal()):
	Don't disable the actions that are supposed to act on opened files.
	(DBGPerspective::on_attached_to_target_signal): Likewise.
	This should close
	#548121 - string search not available when program is not running

2008-08-21  Dodji Seketeli <dodji@src.gnome.org>

	Fix #548118 - select new node on dereferencing
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc:
	(LocalVarsInspector::Priv::append_a_derefed_variable):
	Select the de-referenced row.
	Should close #548118 - select new node on dereferencing.

2008-08-21  Dodji Seketeli <dodji@src.gnome.org>

	Close #547169 -  Set breakpoint to selected function name by default.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::set_breakpoint_using_dialog): If a function
	name is selected when the user hits <ctrl-b> to set a breakpoint,
	make sure the breakpoint is set to that function name by default.
	This should close:
	#547169 -  Set breakpoint to selected function name by default.

2008-08-21  Dodji Seketeli <dodji@src.gnome.org>

	Close #545842 - Missing shortcut to set a breakpoint in current file.
	* src/persp/dbgperspective/nmv-set-breakpoint-dialog.cc:
	(SetBreakpointDialog::Priv::update_ok_button_sensitivity):
	In MODE_SOURCE_LOCATION mode, allow the OK button to be
	sensitive even when the user only typed in the line number.
	It should not be mandatory to type in the file name.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::set_breakpoint_from_dialog):
	If the user only typed the line number of the breakpoint to set,
	assume she wants to set the breakpoint in the current file.
	This should close:
	#545842 - Missing shortcut to set a breakpoint in current file.

2008-08-21  Dodji Seketeli <dodji@src.gnome.org>

	Fix #523377 - first-run prints sql-related errors to console
	* src/common/nmv-conf-manager.cc,h:
	(ConfManager::user_config_dir_exists()): New entry point.
	(ConfManager::get_user_config_dir_path()): Likewise.
	* src/persp/dbgperspective/nmv-sess-mgr.cc:
	(struct SessMgr::Priv::get_db_file_path()): New entry point.
	(struct SessMgr::Priv::db_file_path_exists): Likewise.
	(struct SessMgr::Priv::create_db ): Do access the connection only
	using its accessor. It guarantees that the connection is
	instantiated when we need it.
	(struct SessMgr::Priv::drop_db): Likewise.
	(struct SessMgr::Priv::init_db): Don't try to drop the database
	tables if it is obvious that no database exists yet. Create
	the databases tables straight away instead.

2008-08-13  Jonathon Jongsma <jjongsma@src.gnome.org>

	fix the boost unit test static library detection
	A space was missing so two of the candidates got concatenated together

2008-08-10  Dodji Seketeli <dodji@src.gnome.org>

	Fix a configure help string typo.
	Patch sent by Stephane Wirtel.

2008-07-31  Dodji Seketeli <dodji@src.gnome.org>

	update NEWS for 0.6.1

2008-07-31  Dodji Seketeli <dodji@src.gnome.org>

	Fix var walker test

2008-07-31  Dodji Seketeli <dodji@src.gnome.org>

	Oops, forgot to add nmv-conf-keys.h to the distribution

2008-07-31  Djihed Afifi <djihed@src.gnome.org>

	Updated Arabic Translation by Djihed Afifi.

2008-07-30  Dodji Seketeli <dodji@src.gnome.org>

	build fix

2008-07-30  Dodji Seketeli <dodji@src.gnome.org>

	prepare for 0.6.0 release

2008-07-29  Dodji Seketeli <dodji@src.gnome.org>

	Fix as much coding style issues as possible.
	* src/uicommon/*, src/persp/dbgperspective/*:
	Did a big review of style issue in the UI related code.
	Now this part of the code base should comply more with
	the coding style of the project.
	I hate doing this.

2008-07-29  Dodji Seketeli <dodji@src.gnome.org>

	Fix #545211 - Bad index management when closing a tab
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	Properly rebuild Notebook pages access maps when a page is removed.
	This should fix #545211.

2008-07-27  Dodji Seketeli <dodji@src.gnome.org>

	Add better detection of boost static test libs on 64 bits systems.

2008-07-27  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add prefs for controlling behavior of reloading changed source files

2008-07-26  Dodji Seketeli <dodji@src.gnome.org>

	Second attempt at fixing #543797
	* src/common/nmv-env.cc,h:
	(build_path_to_executable): new helper to build an absolute path
	to an executable by searching in the $PATH env variable.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::execute_program): don't forget to lookup
	executables - that have relative paths - in directories pointed
	to by the $PATH environment variable.

2008-07-26  Dodji Seketeli <dodji@src.gnome.org>

	Support no "auto-reload" source files.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	Allow the user to disallow source file auto-reloading for when
	she chooses not to be asked about re-loading source files.

2008-07-26  Dodji Seketeli <dodji@src.gnome.org>

	Fix #543797 - display a meaningful error when inferior is not found

2008-07-26  Dodji Seketeli <dodji@src.gnome.org>

	Fix #543798 - don't pop up 'reload file' dialog all the time

2008-07-26  Dodji Seketeli <dodji@src.gnome.org>

	[ui-utils] Allow a "do not ask me again" check button in some dialogs
	* src/uicommon/nmv-ui-utils.cc,h: add a new entry point to display
	"Yes/No/" question dialogs that have a "Do not ask me again" check
	button. For now, only "Yes/No" dialogs have that feature because I
	have not felt the need for other dialogs. The feature can easily be
	added to the other dialogs as well.

2008-07-20  Dodji Seketeli <dodji@src.gnome.org>

	support running autogen.sh from dir != $topsrcdir

2008-07-16  Luca Bruno <lucab@src.gnome.org>

	fix docbook XML validation and make check barfing (closes: #540934)

2008-07-16  Luca Bruno <lucab@src.gnome.org>

	Sync'ed with current debian/ubuntu package

2008-07-13  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Updated Spanish translation

2008-07-09  Kjartan Maraas <kmaraas@gnome.org>

	Add nb Fix missing files. Add Norwegian bokmål translation
	* LINGUAS: Add nb
	* POTFILES.in: Fix missing files.
	* nb.po: Add Norwegian bokmål translation

2008-07-08  Dodji Seketeli <dodji@src.gnome.org>

	properly close 524168 - make LocalVarInspector2 the default variable inspector

2008-07-08  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix up the 'Call Function' dialog and make it a little bit cleaner and more HIG-compliant

2008-07-06  Dodji Seketeli <dodji@src.gnome.org>

	add support for arbitraty function calls

2008-07-05  Dodji Seketeli <dodji@src.gnome.org>

	fix #396277 - implement lazy evaluation of status widgets
	* src/persp/dbgperspective/nmv-breakpoints-view.cc:
	Make this widget behave with lazyness. That is, when the debugger
	stops, the widget does not query the debugger engine for data if
	it's hidden. When the widget becomes visible though, it updates
	itself if necessary.
	* src/persp/dbgperspective/nmv-call-stack.cc: Likewise.
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc: Likewise.
	* src/persp/dbgperspective/nmv-memory-view.cc: Likewise.
	* src/persp/dbgperspective/nmv-registers-view.cc: Likewise.
	* src/persp/dbgperspective/nmv-thread-list.cc: Likewise.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::init_perspective_menu_entries): make the terminal
	widget be the one visible by default, so that the other ones can be
	hidden by default and thus not query the debugger engine.

2008-06-29  Dodji Seketeli <dodji@src.gnome.org>

	fix some data inconsistencies in the location variables inspector

2008-06-29  Dodji Seketeli <dodji@src.gnome.org>

	Add the --version command line switch

2008-06-28  Dodji Seketeli <dodji@src.gnome.org>

	fix #540653 - add a shorcut to set a conditional breakpoint

2008-06-28  Dodji Seketeli <dodji@src.gnome.org>

	properly fallback to hardcoded file encoding lists when necessary
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::Priv::ensure_buffer_is_in_utf8): make sure to try
	hardcoded file encodings when the encodings listed in gconf are not
	enough.

2008-06-28  Dodji Seketeli <dodji@src.gnome.org>

	[dbg perspective] code cleanup
	* src/persp/dbgperspective/*.cc,h: renamed foo2.cc into foo.cc
	and foo2.h into foo.h.

2008-06-28  Dodji Seketeli <dodji@src.gnome.org>

	swtich to variable walker for real
	* src/persp/dbgperspective/Makefile.am: Remove
	nmv-var-inspector.[h|cc], nmv-var-inspector.[cc|h],
	nmv-variables-utils.[cc|h] because their 'variable-walker'
	enabled counterpart are now solid enough to take over.
	* src/persp/dbgperspective/*.cc,h: Ditto.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc,
	src/persp/dbgperspective/nmv-global-vars-inspector-dialog.cc,
	src/persp/dbgperspective/nmv-local-vars-inspector2.cc,
	src/persp/dbgperspective/nmv-var-inspector-dialog.cc,
	src/persp/dbgperspective/nmv-var-inspector2.cc,
	src/persp/dbgperspective/nmv-variables-utils2.cc: switch
	unconditionnaly to variable walker.
	* configure.ac: Don't propse the --enable-variable-walker anymore.

2008-06-27  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Updated Spanish translaiton

2008-06-22  Dodji Seketeli <dodji@src.gnome.org>

	fix #515525 – Arrow keys don't work to navigate through source file

2008-06-22  Dodji Seketeli <dodji@src.gnome.org>

	add support for conditional breakpoints

2008-06-22  Takeshi AIHANA <takeshi.aihana@gmail.com>

	Updated Japanese translation.
	* ja.po: Updated Japanese translation.

2008-06-21  Dodji Seketeli <dodji@src.gnome.org>

	bump trunk version to 0.5.5

2008-06-21  Dodji Seketeli <dodji@src.gnome.org>

	released 0.5.4

2008-06-21  Dodji Seketeli <dodji@src.gnome.org>

	add the RELEASED_BRANCH parameter to "make release"

2008-06-21  Dodji Seketeli <dodji@src.gnome.org>

	fix #534990 – libnemivercommon.so* should be in global LIBDIR

2008-06-20  Dodji Seketeli <dodji@src.gnome.org>

	fix #539314 – Use g_getenv instead of getenv

2008-06-20  Dodji Seketeli <dodji@src.gnome.org>

	fix #539311 – rhythmbox can't load its python plugins when run with nemiver

2008-06-19  Dodji Seketeli <dodji@src.gnome.org>

	fix bug #499873 – Variable 'this' not found
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(Priv::re_init_tree_view()): don't forget to clean the
	variable walkers as well as the widget. Otherwise, the content of
	the walker won't reflect the content of the widget.
	(Priv::on_func_arg_visited_signal()): when stepping in the same
	function, while walking a function arguments variable, check if the
	function args subtree (in the widget) is empty. If the subtree is
	empty, append the variable the function arguments subtree.
	Otherwise, if you try to 'update' an empty subtree, you will get an
	error message saying "could not find variable in inspector: foo".
	The root reason why the subtree is empty in the first place, is that
	it must be populated by a call to debugger->list_frames_arguments().
	Problem is that for some unknown reason, that call fails often, due
	do GDB suckage.
	This should fix bug #499873 – Variable 'this' not found.

2008-06-19  Dodji Seketeli <dodji@src.gnome.org>

	fix #539109 – can't stop running inferior

2008-06-16  Jonathon Jongsma <jjongsma@src.gnome.org>

	add a test which loops infinitely (e.g. a simple gtkmm program) to make it
	* tests/Makefile.am:
	* tests/gtkmm-test.cc: add a test which loops infinitely (e.g. a simple
	gtkmm program) to make it easier to test state behaviors while the program
	is running in an infinite loop

2008-06-15  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Updated Spanish translation

2008-06-15  Yannig MARCHEGAY <ymarcheg@src.gnome.org>

	Updated Occitan translation

2008-06-08  Dodji Seketeli <dodji@src.gnome.org>

	fix #537281
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	When opening a file, it has to be converted to the UTF-8 encoding.
	This has been so for ages. What I just added is a way to specify the
	possible encodings of the file we want to open. We need to know the
	list of possible encodings of the files we need to open so that
	Nemiver can know how to convert the encoding to UTF8. I have then
	added a gconf key that lists the possible encodings. Whenever a file
	cannot be opened because we don't know its encoding, the file
	encoding just has to be added to the value of the gconf key.
	This entry should fix bug #537281.

2008-06-08  Dodji Seketeli <dodji@src.gnome.org>

	[dbg perspective] replace global strings by char*
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: replace static
	storage class strings with char*. Using strings for static storage
	class variables is useless and just slows down DSO loading time.

2008-06-08  Dodji Seketeli <dodji@src.gnome.org>

	[gconfmgr] support values of type 'list'

2008-06-08  Dodji Seketeli <dodji@src.gnome.org>

	[gconfmgr] remove spaces before ';' at end of lines

2008-06-08  Kjartan Maraas <kmaraas@src.gnome.org>

	Remove executable bit

2008-06-01  Dodji Seketeli <dodji@src.gnome.org>

	Merge commit 'origin/master'
	Conflicts:
	ChangeLog

2008-06-01  Dodji Seketeli <dodji@src.gnome.org>

	init type system at init time

2008-06-01  Dodji Seketeli <dodji@src.gnome.org>

	support NEMIVER_ALLOW_WARNINGS env var.

2008-05-31  Dodji Seketeli <dodji@src.gnome.org>

	[cpp parser] fix a gcc 4.3 warning

2008-05-31  Dodji Seketeli <dodji@src.gnome.org>

	allow deprecated hash_map type usage

2008-05-31  Dodji Seketeli <dodji@src.gnome.org>

	Resolve merge conflict

2008-05-31  Dodji Seketeli <dodji@src.gnome.org>

	close #535359 - goto location on frame activation
	* src/persp/dbgperspective/nmv-call-stack.cc: send another
	select-frame command if the currently-selected frame is activated in
	addition to sending the command when the selection is changed.
	This should close bug #535359.

2008-05-25  Dodji Seketeli <dodji@src.gnome.org>

	update for 0.5.3 released on the 0.5 branch

2008-05-25  Dodji Seketeli <dodji@src.gnome.org>

	first tentative to fix 534695
	Nemiver actually is slow when attaching to some targets.
	This comes from the fact that nemiver steps over the first C instruction it
	finds when attaching to a program. Stepping over might take a lot of time
	if for instance there is no debug information for the symbol over which we are trying
	to step over.
	In this fix tentative, nemiver instead steps into the next machine
	instruction instead of the stepping over the first C instruction

2008-05-24  Dodji Seketeli <dodji@src.gnome.org>

	fix 534619: properly detach from target
	* src/dbgengine/nmv-gdb-engine.cc:
	(in the OnCommandDoneHandler): don't set the engine state to
	IDebugger::READY when the command that has been DONE is
	"detach-from-target". This should fix #534619

2008-05-18  Dodji Seketeli <dodji@src.gnome.org>

	[stop reason] use StopReason enum, not strings.
	* src/dbgengine/nmv-dbg-common.h,
	src/dbgengine/nmv-gdb-engine.[cc,h],
	src/dbgengine/nmv-gdbmi-parser.cc,
	src/dbgengine/nmv-i-debugger.h,
	src/persp/dbgperspective/nmv-call-stack.cc,
	src/persp/dbgperspective/nmv-dbg-perspective.cc,
	src/persp/dbgperspective/nmv-local-vars-inspector.cc,:
	Replace stop reasons string use by the enum StopReason use.
	Move StopReason from the OutOfBandRecord type to the IDebugger
	interface type. That way, it can be used from within clients of
	IDebugger. Change the code of the client code accordingly.

2008-05-17  Dodji Seketeli <dodji@src.gnome.org>

	Merge branch 'add-as-needed-link'
	Conflicts:
	ChangeLog

2008-05-17  Dodji Seketeli <dodji@src.gnome.org>

	[workbench] don't use libgnome anymore
	Libgnome was used to display the nemiver help. So basically the called used
	was gnome_help_display(). That call was replaced by building the path to
	the nemiver help file and directly spawning yelp with that path.

2008-05-06  Dodji Seketeli <dodji@src.gnome.org>

	[terminal] second try at porting this to FreeBSD
	* src/uicommon/nmv-terminal.cc: _GNU_SOURCE is defined on freebsd
	as well, so use don't use it to discriminate that platform.
	This should hopefully close #529718

2008-05-05  Dodji Seketeli <dodji@src.gnome.org>

	[terminal widget] handle pty.h on FreeBSD.
	include the right headers in lieu of pty.h, on FreeBSD.
	Patch from Romain Tartière <romain@blogreen.org>

2008-05-05  Dodji Seketeli <dodji@src.gnome.org>

	[ustring] define strnlen() on FreeBSD.
	Patch from Romain Tartière <romain@blogreen.org>

2008-05-05  Dodji Seketeli <dodji@src.gnome.org>

	[proc utils] handle some specific FreeBSD symbols/headers
	Patch from Romain Tartière <romain@blogreen.org>

2008-05-05  Dodji Seketeli <dodji@src.gnome.org>

	[logging] make sure __ASSERT_FUNCTION is defined
	This is for FreeBSD.
	Patch from Romain Tartière <romain@blogreen.org>

2008-05-04  Dodji Seketeli <dodji@src.gnome.org>

	[desktop file] remove obsolete fields
	Patch from Luca Bruno <lucab@debian.org>

2008-05-04  Dodji Seketeli <dodji@src.gnome.org>

	[gdbmi parser] allow reading empty lists
	When trying to read either empty lists of results or values, the current
	code throws exceptions. Don't do that.

2008-04-12  Dodji Seketeli <dodji@src.gnome.org>

	fix #527696 – nemiver --help only shows libgnome related help messages
	* src/main.cc: reorganised the command line options parsing.
	Added init_option_context() to - guess what - initialize the option
	context and add the nemiver and gtk+ groups to it, so that both gtk+
	and nemiver options can be available. That way, both nemiver and gtk+
	help messages can be displayed.
	Make sure parse_command_line() does initialize the option context
	by calling the brand new init_option_context(), before actually
	trying to parse the command line.
	This should fix
	#527696 – nemiver --help only shows libgnome related help messages

2008-04-11  Dodji Seketeli <dodji@src.gnome.org>

	[libnemivercommon] fix bug #526826 – missing dependency in .pc file
	* configure.ac: make sure to AC_SUBST the deps versions number
	variables so that we can use them in foo.in files like *.pc.in files.
	* src/common/libnemivercommon.pc.in: make sure to add ligtop to the
	list of deps in the generated libnemivercommon.pc file.
	This should fix bug #526826 – missing dependency in .pc file

2008-04-11  Dodji Seketeli <dodji@src.gnome.org>

	[gdbmi parser] fix #526866 – breakpoint parsing failures
	* src/dbgengine/nmv-gdbmi-parser.cc: fix a parsing bug that happens
	when setting a pending breakpoint on a fully qualified function.
	* tests/test-gdbmi.cc: add a regression test for this bugfix.
	This entry should fix bug #526866

2008-04-09  Jonathon Jongsma <jjongsma@src.gnome.org>

	Change sensitivity of Memory editor when debugger is running
	* src/persp/dbgperspective/nmv-memory-view.cc: properly set memory editor
	widget to insensitive when the debugger is running.  Otherwise the user
	could change the memory values and it would attempt to send those values to
	gdb when it wasn't ready for them.

2008-04-08  Dodji Seketeli <dodji@src.gnome.org>

	fix #526696 - Detach from the running program" not properly

2008-04-08  Dodji Seketeli <dodji@src.gnome.org>

	updated README

2008-04-06  Dodji Seketeli <dodji@src.gnome.org>

	update release announce text.

2008-04-06  Dodji Seketeli <dodji@src.gnome.org>

	update NEWS

2008-04-06  Dodji Seketeli <dodji@gnome.org>

	make nemiver support pending breakpoints on function names
	* src/dbgengine/nmv-gdbmi-parser.cc:
	(parse_breakpoint): fix PENDING breakpoint parsing. This was leading
	to a crash in cases where the breakpoint was being set using
	"break function-name". It was okay for "break file-name:line-num"
	though.
	* tests/test-gdbmi.cc: add regression testing for this bugfix.
	* src/dbgengine/nmv-gdb-engine.cc:
	(GDBEngine::load_program): make sure to "set breakpoint pending on"
	and not "set breakpoint pending auto", otherwise, pending breakpoint
	will not be supported in nemiver.
	(GDBEngine::set_breakpoint): when setting breakpoint on a function
	name that is a not-yet-loaded library, give gdb a chance to set the
	breakpoint 'pending'. For that, do not use the the MI syntax to set
	the breakpoint because MI does not support pending breakpoints.
	As the syntax is not MI, gdb won't return an MI notification about the
	breakpoint being set. That is why we need to query gdb for the list of
	breakpoints right after setting it this breakpoint.

2008-04-06  Dodji Seketeli <dodji@src.gnome.org>

	0.5.2 release point

2008-04-06  Dodji Seketeli <dodji@src.gnome.org>

	bump version number to 0.5.2
	* NEWS, configure.ac: bump version number to 0.5.2

2008-04-06  Dodji Seketeli <dodji@src.gnome.org>

	Fix "526291 – Nemiver doesn't propose to stop the debugging application" 	* src/persp/dbgperspective/nmv-dbg-perspective.cc: 	  (DBGPerspective::on_program_finished_signal): update the title of the 	  workbench window when the inferior dies. This should fix bug 	  "526291 – Nemiver doesn't propose to stop the debugging application"

2008-04-06  Dodji Seketeli <dodji@src.gnome.org>

	fix an infinite loop when receiving a GDB/MI record starting by '='.
	* src/dbgengine/nmv-gdbmi-parser.cc:
	(parse_out_of_band_record): recognise lines starting with '='
	- i.e =thread-created,id=1\n - in gdbmi output records, parse them
	and ignore them. Otherwise, the output record parsing code goes into
	and infinite loop, leading to nemiver taking 100% CPU for ever.
	I don't understand why this is happening now, with a gdb version
	6.8.50 from CVS.
	* tests/test-gdbmi.cc: update this test to catch a regression on this
	fix.

2008-04-06  Dodji Seketeli <dodji@src.gnome.org>

	disable two broken non regression tests for now
	* tests/Makefile.am: don't run runtestoverloads automatically because
	gdb has broken it. Also, don't run runtestglobalvariables because
	the functionality is not mature yet. When the version of libstdc++
	changes the result of the test changes.

2008-03-24  Dodji Seketeli <dodji@src.gnome.org>

	Fix a gdb output buffer management bug
	* src/dbgengine/nmv-gdb-engine.cc: fix an annoying packet buffer
	management buffer that lead to some random errors when
	GDBEngine receives large gdb output in chunk.

2008-03-24  Dodji Seketeli <dodji@src.gnome.org>

	pull 0.5.1 commit updates from 0.5 branch

2008-03-23  Takeshi AIHANA <takeshi.aihana@gmail.com>

	Updated Japanese translation.
	* ja.po: Updated Japanese translation.

2008-03-17  Dodji Seketeli <dodji@src.gnome.org>

	fixed #476472 – Nemiver fails on libtool wrappers
	* src/common/nmv-proc-utils.cc,h:
	added  is_libtool_executable_wrapper () entry point to detect whever
	if a file is a litbool wrapper to an executable. If so, it returns
	the path to the actual executable that is wrapped.
	* tests/test-libtool-wrapper-detection.cc: added a regression test.
	* src/dbgengine/nmv-gdb-engine.cc:
	(GDBEngine::load_program): check if the program to load is a litbool
	wrapper. If yes, load the actuall binary instead.

2008-03-17  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix repeated function argument name

2008-03-17  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix build for gcc 4.3 (missing includes)

2008-03-16  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Updated Spanish tranlation by Alberto Caso

2008-03-16  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Updated Spanish translation by Alberto Caso

2008-03-16  Dodji Seketeli <dodji@src.gnome.org>

	add SartupNotify to desktop file.

2008-03-15  Dodji Seketeli <dodji@src.gnome.org>

	bumped version number to 0.5.1

2008-03-15  Dodji Seketeli <dodji@src.gnome.org>

	updated NEWS file

2008-03-15  Dodji Seketeli <dodji@src.gnome.org>

	updated NEWS file

2008-03-15  Dodji Seketeli <dodji@src.gnome.org>

	Bump the version of the gtkmm dep

2008-03-11  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Updated Spanish translation

2008-03-11  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Updated Spanish translation by Alberto Caso

2008-03-08  Yannig MARCHEGAY <ymarcheg@src.gnome.org>

	Updated Occitan translation

2008-02-24  Jonathon Jongsma <jjongsma@src.gnome.org>

	add a 'last run time' attribute to the session database so that we can use
	* src/main.cc:
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: add a 'last run time'
	attribute to the session database so that we can use this value to resume
	the last debugging session when we pass the '--last' commandline option
	(previously --last was resuming the last /created/ session instead of teh
	last /run/ session).  This should fix bug #464201.

2008-02-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix a bug where a popup tooltip stayed on top of other windows.
	Also a couple other minor changes to popup tooltip handling

2008-02-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Update debian packaging

2008-02-19  Yannig MARCHEGAY <ymarcheg@src.gnome.org>

	Updated Occitan translation

2008-02-19  Ilkka Tuohela <ituohela@src.gnome.org>

	Updated Finnish translation

2008-02-14  Gil Forcada Codinachs <gforcada@src.gnome.org>

	Updated Catalan translation by David Planella

2008-02-12  Claude Paroz <claude@2xlibre.net>

	Updated French translation by Robert-André Mauchin.
	* fr.po: Updated French translation by Robert-André Mauchin.

2008-02-11  Jonathon Jongsma <jjongsma@src.gnome.org>

	update for gtksourceviewmm2 API changes (create_mark() ->
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	* src/uicommon/nmv-source-editor.cc: update for gtksourceviewmm2 API changes
	(create_mark() -> create_source_mark())

2008-02-11  Jonathon Jongsma <jjongsma@src.gnome.org>

	Disable setting breakpoints when debugger is not running (Bug #515287).
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: disable setting a
	breakpoint by clicking in the source view margin if the debugger is not
	running (e.g. if a user just opened a source file directly and clicked in
	teh margin).  Also disable querying variable value tooltips when the
	debugger is not running (Bug #515287).

2008-02-11  Jonathon Jongsma <jjongsma@src.gnome.org>

	[UI updates] add spacing between label and text entry
	* src/persp/dbgperspective/glade/proclistdialog.glade: add some spacing
	between the label and the text entry box

2008-02-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	More minor manual updates

2008-02-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Disable 'Global Variables' menu item when not debugging anything
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Move the 'Show Global
	Variables' action into the 'Debugger ready' action group so that it is
	disabled when there is no program being debugged (Bug #515541)

2008-02-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	define const strings for the status notebook tab titles so that we can use
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: define const strings for
	the status notebook tab titles so that we can use the same variable in the
	tab name and in the View menu (so the View menu and the tab title don't get
	out of sync like they did below when 'Call Stack' was just 'Stack').

2008-02-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	initialize source buffer by placing cursor at the beginning of the buffer
	* src/uicommon/nmv-source-editor.cc: initialize source buffer by placing
	cursor at the beginning of the buffer (see bug #515271).  Also add one to
	the column value so that it's 1-based not 0-based

2008-02-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Clean up the source editor status bar
	* src/uicommon/nmv-source-editor.cc: Remove the total number of lines from
	the source editor status bar (bug #515454).  Also fixed a bug where the
	column was never being updated so it always said 0.  Also added a little bit
	of padding around the source editor status bar and protected a signal
	handler with try / catch.

2008-02-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Update manual for 0.5.0 release

2008-02-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	don't allow this to be resizeable since it would just add a bunch of
	* src/persp/dbgperspective/glade/loadcoredialog.glade: don't allow this to
	be resizeable since it would just add a bunch of useless blank space if it
	was resized.

2008-02-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	rename 'View->Stack' to 'View->Call Stack' to match the tab name in the
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: rename 'View->Stack' to
	'View->Call Stack' to match the tab name in the status notebook.  Fixes bug
	#515476

2008-02-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	lots of little UI cleanups: capitalization, re-organized some menus, etc.
	* src/persp/dbgperspective/glade/remotetargetdialog.glade:
	* src/persp/dbgperspective/menus/menus.xml:
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: lots of little UI
	cleanups: capitalization, re-organized some menus, etc.

2008-02-09  Jonathon Jongsma <jjongsma@src.gnome.org>

	re-order the 'File' menu items slightly so that they're grouped a little
	* src/persp/dbgperspective/menus/menus.xml: re-order the 'File' menu items
	slightly so that they're grouped a little better

2008-02-09  Jonathon Jongsma <jjongsma@src.gnome.org>

	Rename --executesession to --session

2008-02-09  Jonathon Jongsma <jjongsma@src.gnome.org>

	Remove obsolete icons
	* src/persp/dbgperspective/icons/Makefile.am:
	* src/persp/dbgperspective/icons/continue.xpm:
	* src/persp/dbgperspective/icons/green.png:
	* src/persp/dbgperspective/icons/run-debugger.xpm:
	* src/persp/dbgperspective/icons/stop-debugger.xpm:
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: remove obsolete icons

2008-02-09  Jonathon Jongsma <jjongsma@src.gnome.org>

	Change the 'Restart' and 'Continue' icons to GTK stock icons
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Change the icons for the
	'Restart' and 'Continue' actions to use stock GTK icons so that they fit the
	tango style better

2008-02-09  Dodji Seketeli <dodji@src.gnome.org>

	updated NEWS file for 0.5.0

2008-02-09  Dodji Seketeli <dodji@src.gnome.org>

	update NEWS file for upcoming 0.5.0

2008-02-09  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix invalid docbook markup (bug #499263). Patch from Baptiste Mille-Mathias.

2008-02-09  Dodji Seketeli <dodji@src.gnome.org>

	bump version number to 0.5.0

2008-02-09  Dodji Seketeli <dodji@src.gnome.org>

	[POTFILES.in] added a bunch of files for translations

2008-02-08  Claude Paroz <claude@2xlibre.net>

	Updated French translation by Robert-André Mauchin.
	* fr.po: Updated French translation by Robert-André Mauchin.

2008-02-07  Dodji Seketeli <dodji@src.gnome.org>

	fix #514134 – gdbmi member variable parsing error

2008-02-04  Yannig MARCHEGAY <ymarcheg@src.gnome.org>

	Updated Occitan translation

2008-02-03  Dodji Seketeli <dodji@src.gnome.org>

	[gdbmi parser] early support of the <repeat N times> construct in member variables

2008-02-03  Dodji Seketeli <dodji@src.gnome.org>

	fix bug #508417 – crash on listing global variables

2008-02-03  Dodji Seketeli <dodji@src.gnome.org>

	fix #436374 – Error output when debugging gtkmm example.

2008-02-03  Dodji Seketeli <dodji@src.gnome.org>

	[gdbmi-parser] make memory/register handling comply with project coding style

2008-02-03  Dodji Seketeli <dodji@src.gnome.org>

	[hex-editor] cleanup/better coding style compliance

2008-02-02  Dodji Seketeli <dodji@src.gnome.org>

	cleanup main.cc
	* src/main.cc: changed this for better legibility.
	This is a patch sent by Emre Turkay <emreturkay@gmail.com>.
	I edited it a little bit for better compliance with the coding
	style of the project.

2008-02-01  Jonathon Jongsma <jjongsma@src.gnome.org>

	get the mimetype instead of the content type to pass to the source editor
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: get the mimetype instead
	of the content type to pass to the source editor

2008-02-01  Jonathon Jongsma <jjongsma@src.gnome.org>

	Initial port to giomm 	* src/persp/dbgperspective/nmv-dbg-perspective.cc: add alternative giomm 	implementations for file loading, monitoring, and mime-type detection

2008-02-01  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add ability to build with giomm instead of gnome-vfs 	* configure.ac: add --enable-gio argument, which will build with gio as the 	vfs library instead of using gnome-vfs 	* config.h.in: add WITH_GIO preprocessor symbol 	* src/persp/dbgperspective/nmv-dbg-perspective.cc: 	* src/workbench/nmv-workbench.cc: #ifdef out gnome-vfs-specific 	functionality.  No replacement gio functionality is actually implemented 	yet, only the infrastructure is set up

2008-01-31  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix crash in the memory view on startup when the specified font
	* src/uicommon/nmv-hex-editor.cc: Fix crash in the memory view on startup
	when the specified font description doesn't match any actual fonts (e.g. if
	the 'custom-font-name' gconf key is blank).  Fixes Bug #512845

2008-01-25  Gil Forcada Codinachs <gforcada@src.gnome.org>

	Updated Catalan translation by David Planella

2008-01-25  Dodji Seketeli <dodji@src.gnome.org>

	fix #504473 Variable parsing failure on quoted '}' character

2008-01-23  Jonathon Jongsma <jjongsma@src.gnome.org>

	bump the version to 0.4.1 so that we can distinguish this as a development
	* configure.ac: bump the version to 0.4.1 so that we can distinguish this as a development version different than the 0.4.0 tarball

2008-01-23  Jonathon Jongsma <jjongsma@src.gnome.org>

	add the manpage to EXTRA_DIST instead of DISTCLEANFILES
	* data/Makefile.am: add the manpage to EXTRA_DIST instead of DISTCLEANFILES

2008-01-21  Dodji Seketeli <dodji@src.gnome.org>

	applied fix #501444

2008-01-21  Dodji Seketeli <dodji@src.gnome.org>

	[autogen.sh] properly set the PKG_NAME variable.
	* autogen.sh: properly set the PKG_NAME variable. A courtesy of
	Christophe Fergeau <teuf@gnome.org>

2008-01-21  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Added Spanish translation

2008-01-18  Dodji Seketeli <dodji@src.gnome.org>

	[workbench] candidate fix for breakage under sawfish WM.
	* src/workbench/nmv-workbench.cc:
	Workbench::init_glade(): don't hide the workbench toplevel window
	once glade creates it. Otherwise it confuses some window managers
	that just won't show it anymore. That leads to nemiver showing
	up without decorations with some of these these window manages.
	I have tested this with sawfish.
	* src/main.cc: no need to show_all the root window anymore.
	Glade does it for us actually.
	* glade/workbench.glade: little update of the interface.

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[dbg perspective] cosmetic compliance changelets

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[dbg perspective] signal handler code must be try/catch protected

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[global vars inspector dialog] cosmetic compliance changes

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[global vars inspector dialog] don't pass smart pointers by reference.

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[global vars inspector dialog] fix a crash when running the dialog twice

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[global vars inspector dialog]: cosmetic compliance changelet

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[local vars inspector2]: make sure signal handlers disconnect when destroyed.

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[vars treeview] cosmetic compliance changes.

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[variables utils] fix variable name caption display

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[IDebugger::Variable] easy bug fix

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[gdb engine] code cleanup

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[localvarinspector2] fix breakage introduced in merging
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	fix breakage I have introduced during merging svn with my latest
	variable derefing changes.

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[varstreeview] trivial editing for better compliance
	* src/persp/dbgperspective/nmv-vars-treeview.cc: don't use
	"namespace foo {" but rather NEMIVER_BEGIN_NAMESPACE(foo) otherwise
	the file gets over-indented, especially for people using emacs.
	Also, replace "class Foo {" by "class NEMIVER_API Foo". This is
	very important because it gives us a change to use the gcc
	visibility feature when it gets un-broken.

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	use the last version of LocalVarsInspector2
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	propagated the api change of LocalVarsInspector2

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	Added varinspectorpopup.xml
	* src/persp/dbgperspective/menus/Makefile.am:
	added src/persp/dbgperspective/menus/varinspectorpopup.xml

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	cleanup

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	early pointer dereferencing support in LocalVarInspector2
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc,h:
	Added variable dereferencing to the LocalVarsInspector2 widget.
	To use it, the user has to select a variable, right click and hit
	"dereference variable". This puts the resulting dereferenced
	variable in a "dereferenced variables" node in the treeview.
	A bit of cleanup got into this as well.

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	[variables-utils] Added find_a_variable()
	* src/persp/dbgperspective/nmv-variables-utils2.cc,h:
	added find_a_variable(), to find a variable under a given
	node. Made update_variable() use it.
	Did a bit of cleanup.

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	code cleanup

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	Added IVarListWalker::do_walk_variable()
	* src/dbgengine/nmv-i-var-list-walker.h, nmv-var-list-walker.cc:
	Add IVarListwalker::do_walk_variable() to walk only one choosen
	variable amongst the list of variables that have been set.
	Also did a bit of a code cleanup.

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	better derefing algorithm
	When dereferencing a variable, use its fully qualified variable
	name. Also, set the name caption of the resulting dereferenced
	variable to the string "*<fully-qualified-name>".
	This commit is also polluted by me cleaning the source code,
	removing spaces before ";". Bad bad Dodji.

2008-01-17  Dodji Seketeli <dodji@src.gnome.org>

	remove spaces before ";"

2008-01-17  Jonathon Jongsma <jjongsma@src.gnome.org>

	install manpage new man page from Luca Bruno <lucab@debian.org>. Fixes bug
	* data/Makefile.am: install manpage
	* data/nemiver.1: new man page from Luca Bruno <lucab@debian.org>.  Fixes
	bug #510191

2008-01-17  Jonathon Jongsma <jjongsma@src.gnome.org>

	add legal.xml to DOC_INCLUDES instead of DOC_ENTITIES so that it gets
	* help/Makefile.am: add legal.xml to DOC_INCLUDES instead of DOC_ENTITIES
	so that it gets installed with translations, etc.  Fixes Bug #509371

2008-01-15  Jonathon Jongsma <jjongsma@src.gnome.org>

	don't use g_option_context_set_summary unless the glib version is at least
	* src/main.cc: don't use g_option_context_set_summary unless the glib
	version is at least 2.12.  This is just a descriptive string, so it's not
	worth bumping the minimum version in configure.ac just for this

2008-01-14  Jonathon Jongsma <jjongsma@src.gnome.org>

	removed accidentally duplicated variable
	* configure.ac: removed accidentally duplicated variable
	* src/uicommon/nmv-hex-editor.cc:
	* src/uicommon/nmv-hex-editor.h: make get_widget() return a Gtk::Container&
	so that we can use the Container functions such as set_border_width()
	* src/persp/dbgperspective/nmv-memory-view.cc: set HexEditor widget's
	border_width to 0 so that there is not a thick black border around the whole
	hex editor widget.  There's still a black divider between the hex and the
	ascii portions of the widget, however, and I can't figure out how to get
	that to match the theme background color instead of black...

2008-01-14  Jonathon Jongsma <jjongsma@src.gnome.org>

	Improve configure script so that if --enable-memoryview is not specified
	* configure.ac: Improve configure script so that if --enable-memoryview is
	not specified and gtkhex is not found, it will automatically disable the
	memoryview widget (and vice versa, if it is found, automatically enable it).
	Also automatically detect whether to build against gtksourceviewmm-1.0 or
	gtksourceviewmm-2.0 if --enable-sourceviewmm2 is not explicitly specified.

2008-01-13  Jonathon Jongsma <jjongsma@src.gnome.org>

	add --enable-sourceviewmm2
	* configure.ac: add --enable-sourceviewmm2
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	* src/uicommon/nmv-source-editor.cc: update these to gtksourceviewmm-2.0
	API, with #ifdefs to allow using gtksourceviewmm-1.0 as well

2008-01-13  Jonathon Jongsma <jjongsma@src.gnome.org>

	port to gtksourceviewmm-2.0

2008-01-12  Jonathon Jongsma <jjongsma@src.gnome.org>

	forgot to add this file too. stupid stupid.
	* src/persp/dbgperspective/icons/line-pointer.png: forgot to add this file
	too.  stupid stupid.

2008-01-12  Jonathon Jongsma <jjongsma@src.gnome.org>

	forgot to remove the old xpm icon for the current line marker

2008-01-12  Jonathon Jongsma <jjongsma@src.gnome.org>

	Update line marker and breakpoint marker icons
	* src/persp/dbgperspective/icons/Makefile.am:
	* src/persp/dbgperspective/icons/breakpoint-disabled-marker.png:
	* src/persp/dbgperspective/icons/breakpoint-marker.png:
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	* src/uicommon/nmv-source-editor.cc:
	use line marker and breakpoint icons from anjuta since they're nicer-looking
	and tango-ish and GPLed

2008-01-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Use VarsTreeView in locals and var inspector widgets
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	* src/persp/dbgperspective/nmv-var-inspector2.cc: use the new VarsTreeView
	here instead of duplicating all of the treeview initialization code in 3
	different places

2008-01-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add global variables dialog
	* src/persp/dbgperspective/Makefile.am: add new files
	* src/persp/dbgperspective/glade/Makefile.am: add new file
	* src/persp/dbgperspective/menus/menus.xml: add menu item to view the global
	variables dialog
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: add handling for global
	variable view action
	* src/persp/dbgperspective/glade/globalvarsinspector.glade:
	* src/persp/dbgperspective/nmv-global-vars-inspector-dialog.cc:
	* src/persp/dbgperspective/nmv-global-vars-inspector-dialog.h: add a global
	variables display dialog
	* src/persp/dbgperspective/nmv-variables-utils2.cc:
	* src/persp/dbgperspective/nmv-variables-utils2.h: update the
	append_a_variable() functions to take a const RefPtr&
	* src/persp/dbgperspective/nmv-vars-treeview.cc:
	* src/persp/dbgperspective/nmv-vars-treeview.h: abstract out the treeview
	that displays variables so that we can use it in several different places
	and reduce code duplication.  Right now it is only used in the global
	variables widget, but the locals and variable inspector dialog may be
	refactored to use it later

2008-01-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	remove global variables configure option
	* configure.ac: remove --enable-global-variables configure option
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc: remove the global
	variables listing from the local variables widget.  It will be added later
	as a modal dialog.

2008-01-03  Jonathon Jongsma <jjongsma@src.gnome.org>

	add --disable-memoryview configure option
	The memory view will be enabled by default, but it will only be built if the
	configure option is enabled

2007-12-31  Yannig MARCHEGAY <ymarcheg@src.gnome.org>

	Updated Occitan translation

2007-12-26  Dodji Seketeli <dodji@src.gnome.org>

	memory editing and register related cleanups.
	* src/dbgengine/nmv-i-debugger.h: in the registers and memory
	manipulation signals, use const references to pass parameters
	that are containers. Otherwise, they are passed by copy and that
	is bad.
	* src/dbgengine/nmv-gdb-engine.h,cc: progragated this change
	over here.
	* src/persp/dbgperspective/nmv-memory-view.cc: ditto. Constified
	the a_values parameter of MemoryView::Priv::on_memory_read_response() signal
	handler. Same to MemoryView::Priv::set_data().
	* src/uicommon/nmv-hex-document.cc: constified the data parameter
	of the Document::set_data() method.

2007-12-26  Dodji Seketeli <dodji@src.gnome.org>

	make global variables extraction chain work
	* src/dbgengine/nmv-gdb-engine.cc:
	(GDBEngine::extract_global_variable_list): extract the variable
	name from the first init-declarator of the init-declarator list
	embedded in the simple-declaration that we parse from the GDB
	output. That variable name is then what set as the name of
	IDebugger::Variable that is sent back to the client code.
	* tests/test-global-variables.cc: beefed up this regresssion test
	to make it stick the list of global variables we receive into an
	IVarListWalker and actually walk them. This pretty much tests
	what happens in nemiver when we list the global variables.
	On my box, this has a acceptable speed as it is takes less than
	1.5 seconds to list the globals of the fooprog program. This
	whole story started with around 7 minutes to do pretty much the
	same thing!

2007-12-26  Dodji Seketeli <dodji@src.gnome.org>

	added regression test for variable name retrieval.
	* tests/test-cpp-parser.cc: added a regression test for
	nmv-cpp-ast-utils.h to basically retrieve variable names from
	Declarator datastructures.

2007-12-26  Dodji Seketeli <dodji@src.gnome.org>

	Fix a decl-specifier-seq parsing code
	* src/langs/nmv-cpp-parser.cc:
	(Parser::parse_decl_specifier_seq): parsing of decl-specifier-seq
	was broken for consructs like:  "static long unsigned int".
	The broken part is due to "long" coming before the "unsigned",
	instead of after.
	* tests/test-cpp-parser.cc: added a regression test case for the
	above fix.

2007-12-26  Dodji Seketeli <dodji@src.gnome.org>

	fix some memory, constness and reference usage bugs.
	* src/langs/nmv-cpp-ast.cc: fix a potential memory bug.
	* src/langs/nmv-cpp-ast.h:  fix some constness/reference usage.

2007-12-26  Dodji Seketeli <dodji@src.gnome.org>

	some reference related fixes
	* src/dbgengine/nmv-i-var-list-walker.h,
	src/dbgengine/nmv-i-var-walker.h,
	src/dbgengine/nmv-var-list-walker.cc,
	src/dbgengine/nmv-var-walker.cc: remove some references from
	some parameters that should not have them. Add some to variables
	that should have them instead.

2007-12-26  Dodji Seketeli <dodji@src.gnome.org>

	support extraction of variable name  out of a Declarator

2007-12-26  Djihed Afifi <djihed@src.gnome.org>

	Updated Arabic Translation by Djihed Afifi.

2007-12-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Give exception catchpoints meaningful names
	* src/dbgengine/nmv-gdbmi-parser.cc: give the exception catchpoints
	meaningful names.  catchpoints don't have the same fields as regular
	breakpoints.  They have a 'what' field instead of a 'func' field, so use the
	'what' field if there is no 'func' field

2007-12-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix issue with catchpoint not showing up in the breakpoint list
	* src/dbgengine/nmv-gdb-engine.cc: explicitly list the breakpoints after
	setting a catchpoint so that the new catchpoint will get added to the
	breakpoint list immediately

2007-12-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Don't report a parsing error when changed_registers is empty
	* src/dbgengine/nmv-gdbmi-parser.cc: Don't report a parsing error when the
	'changed_registers' response is empty (indicating that no registers were
	changed).  This seemed to happen regularly when a program reached the end of
	execution. Fixed #502526

2007-12-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix clipped close button in notebook tabs
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: fix the issue where the
	close button's icon was clipped since the image didn't fit into the button
	size we were requesting.  This required setting the Button's RcStyle
	xthickness and ythickness to 0 (idea stolen from gnome-terminal)

2007-12-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	fix notebook tab issue
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: fix the glitch in the
	source Notebook tabs that showed up in the new clearlooks theme that has
	gradients on the tab.

2007-12-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add final pieces for enabling basic memory editing capability
	* src/dbgengine/nmv-i-debugger.h: add set_memory and set_memory_signal API
	* src/dbgengine/nmv-gdb-engine.h, src/dbgengine/nmv-gdb-engine.cc: add
	implementations of set_memory() for gdb.
	* src/uicommon/nmv-hex-document.h, src/uicommon/nmv-hex-document.cc: wrap
	the document_changed signal, and the get_data() function
	* src/uicommon/nmv-hex-editor.h, src/uicommon/nmv-hex-editor.cc: wrap the
	new set_starting_offset() value so that the address labels in the left-hand
	column of the memory view show the proper addresses
	* src/persp/dbgperspective/nmv-memory-view.cc: connect to the HexDocument's
	document_changed signal and write the new memory values to the debugger.
	Also, set the starting offset to the current memory address.  This is the
	final piece needed to enable basic memory editing.  Note that it requires a
	version of ghex that is not even in svn yet, however.

2007-12-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add ability to set the HexEditor font
	The font of the memory hex editor should now match that of the monospaced source
	editor font

2007-12-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Use the Hex editor widget from GHex instead of the simplistic TextView widget
	The new widget still needs a lot of work (both the widget itself and the
	integration of it).  It currently doesn't redraw itself properly so it doesn't
	seem like it's working, but it actually is.  It also isn't usable for editing
	memory yet, just viewing it.

2007-12-18  Dodji Seketeli <dodji@src.gnome.org>

	add global variables listing based on declaration parsing.
	* use the new variable declaration code to parse the list
	of global variable declaration coming from GDB.

2007-12-18  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: debug  declarator list parsing code

2007-12-18  Dodji Seketeli <dodji@src.gnome.org>

	use MI to set breakpoints by name.

2007-12-16  Dodji Seketeli <dodji@src.gnome.org>

	catch exceptions thrown in a signal callbacks (#503864)
	* src/confmgr/nmv-gconf-mgr.cc:
	(client_notify_func): catch exceptions that might been thrown.
	This fixes #503864

2007-12-16  Dodji Seketeli <dodji@src.gnome.org>

	fix start nemiver with wrongs args throws error (#503887)

2007-12-16  Dodji Seketeli <dodji@src.gnome.org>

	disallow min root win geometry to be (0,0)
	* src/workbench/nmv-workbench.cc:
	(Workbench::init_window ()): make sure the minimum geometry of
	the root window cannot be (0,0).

2007-12-16  Dodji Seketeli <dodji@src.gnome.org>

	cosmetic cleanups

2007-12-16  Dodji Seketeli <dodji@src.gnome.org>

	Added regression test for a gdb bug #2387
	*  test/Makefile.am, tests/test-overloads.cc: added
	This test to test a regression that happend in gdb 6.7.1
	handling of overload resolution when using the mi2 interpreter.
	Basically the format of the prompt returned to the client for
	overload resolution is broken by gdb.
	This test shows the problem.

2007-12-09  Dodji Seketeli <dodji@src.gnome.org>

	heavy bugfix to start parsing real world output of "info variable".
	* src/langs/nmv-cpp-ast.cc:
	(QName::to_string ()): fix a bug in here.
	(QualifiedIDExpr::to_string): ditto.
	* src/langs/nmv-cpp-ast.h: Make QName (scope) support template-id, not
	only identifiers.
	* src/langs/nmv-cpp-lexer.cc:
	(Lexer::scan_keyword()): bugfix: when a keyword is followed by characters that
	could make it an identifier, well, it's not a keyword.
	* src/langs/nmv-cpp-parser.cc:
	(Parser::parse_class_or_namespace_name()): make this parse into an
	UnqualifiedIDExpr, not a bare string. Yeah, class or namespace names
	can be more complicated than simple identifiers.
	(Parser::parse_nested_name_specifier()): propagate the above change.
	(Parser::parse_unqualified_id): bugfix: a plain keyword can be an
	unqualified ID.
	(Parser::parse_qualified_id()): bugfix: don't consume tokens for real
	when doing tentative parsing.
	Also, make sure to always try to parse the remaining unqualified id
	part when we parsed a nested name specifier first.
	(Parser::parse_id_expr()): cleanup&fix: always try to parse the longest
	valid sequence.
	* tests/test-cpp-parser.cc: heavy cleanup here. Put the parser inputs
	into arrays. Added more " real life" tests coming from the output of
	"info variable" on fooprog.

2007-12-09  Dodji Seketeli <dodji@src.gnome.org>

	fix potential leaks in the cpp parser.
	* src/langs/nmv-cpp-ast.h: add virtual to TemplateArg and TemplateID destructor,
	otherwise this could lead to a potential leak later.

2007-12-09  Dodji Seketeli <dodji@src.gnome.org>

	support template-id in simple-type-specifier.
	* src/langs/nmv-cpp-ast.cc,h,
	src/langs/nmv-cpp-parser.cc: added support of template-id in
	simple-type-specifier. Now we should be able to parse things like "foo<bar> baz;"
	* tests/test-cpp-parser.cc b/tests/test-cpp-parser.cc: updated
	regression tests.

2007-12-08  Dodji Seketeli <dodji@src.gnome.org>

	fix a compilation error.
	* src/persp/dbgperspective/nmv-set-breakpoint-dialog.cc: fix a
	compilation error here.

2007-12-08  Dodji Seketeli <dodji@src.gnome.org>

	speedup unfolding hidden callstack entries
	* src/persp/dbgperspective/nmv-call-stack.cc:
	Don't call debugger->select_frame() when the user tries to unfold
	more stack trace elements. Otherwise, IDebugger sends us the arguments
	of all the callstack functions again.

2007-12-08  Dodji Seketeli <dodji@src.gnome.org>

	add template-id production parsing support
	* src/langs/nmv-cpp-ast.h,cc: add the necessary types to support
	template-id parsing.
	* src/langs/nmv-cpp-parser.cc,h: support template-id parsing. I still
	need to make other production parsing functions use this one.
	* tests/test-cpp-parser.cc: update regression tests.

2007-12-08  Hubert Figuiere <hub@src.gnome.org>

	Allow setting breakpoints like you do with gdb command "catch". Closes bug
	* src/dbgengine/nmv-gdb-engine.{cc.h}, src/dbgengine/nmv-i-debugger.h,
	src/persp/dbgperspective/nmv-dbg-perspective.cc,
	src/persp/dbgperspective/nmv-set-breakpoint-dialog.{cc,h},
	src/persp/dbgperspective/glade/setbreakpointdialog.glade:
	Allow setting breakpoints like you do with gdb command "catch".
	Closes bug #499034.

2007-11-29  Claude Paroz <claude@2xlibre.net>

	Updated French translation.
	* fr.po: Updated French translation.

2007-11-26  Dodji Seketeli <dodji@src.gnome.org>

	make "refresh local" refresh function arguments as well
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	(LocalVarsInspector2::show_local_variables_of_current_function): list
	debugger frame arguments in here. I did this because otherwise
	the "refresh locals" contextual menu clears the function arguments.

2007-11-26  Dodji Seketeli <dodji@src.gnome.org>

	fix a little regression in parser tests.
	* tests/test-cpp-parser.cc: unfuck a little regression in the
	declarators serialisation.

2007-11-26  Dodji Seketeli <dodji@src.gnome.org>

	Limit the number of frame rows in CallStack widget (#442213)
	* src/persp/dbgperspective/nmv-call-stack.cc:
	Sometimes, when the callstack is huge, the CallStack widget gets stuck
	in trying to display all the rows of the call stack.
	Therefore, I have introduced a limit to the number of rows to display.
	The user can display more rows if she wants. She just has to click on
	the last row of the CallStack widget.
	By default, the widget displays 20 callstack rows at most. This value
	can be changed at runtime be modifying the value of the gconf key
	/apps/nemiver/dbgperspective/callstack-expansion-chunk.
	This entry should fix bug #442213.

2007-11-25  Dodji Seketeli <dodji@src.gnome.org>

	add a "refresh locals" menu
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	when gdb enters a function:
	void foo ()
	{
	int i=0;
	if (!i) {
	string str;
	/*blah ..*/
	}
	}
	When we query gdb for the list of local variables of the function, it
	only reports i. Not str. str becomes visible only when we step into
	the scope of the "if" block, and we have no easy way to detect that
	we entered the scope.
	So I have added a "refresh locals" menu in the debugger to allow
	nemiver to query gdb on demand to refresh the list of local variables.

2007-11-25  Dodji Seketeli <dodji@src.gnome.org>

	varwalker crash and bug fixes
	* src/dbgengine/nmv-var-walker.cc:
	Make VarWalker extend sigc::trackable to fix a random crash.
	(VarWalker::get_type_of_all_members): when a node has a name starting
	with '<', usually due to an unamed variable node, don't try to query
	the type of its children because gdb does recognize names starting with
	'<'. Damit.

2007-11-25  Dodji Seketeli <dodji@src.gnome.org>

	fix regression in local variables inspector
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc: when
	you double-click on a row in the local variables inspector, show the
	type of the variable. This was workin in the pre variable-walker
	local variables inspector tough.

2007-11-25  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: support basic array declarations parsing
	* src/langs/nmv-cpp-ast.h,
	src/langs/nmv-cpp-parser.cc,
	tests/test-cpp-parser.cc: support basic parsing of array declarations.

2007-11-25  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: parse constant-expressions
	* src/langs/nmv-cpp-ast.h, src/langs/nmv-cpp-parser.h,cc:
	parse constant-expression
	* tests/test-cpp-parser.cc: added a test case to parse expressions using
	the Parser::parse_expr() entry point.

2007-11-25  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: can parse the bulk of expressions now.
	* src/langs/nmv-cpp-parser.h,cc,
	src/langs/nmv-cpp-ast.h,cc,
	tests/test-cpp-parser.cc: parse the following productions:
	logical-and-expression, logical-or-expression, conditional-expression,
	assignment-expression and expression. Of course, there are quite some
	holes in the parsing, but the bulk of it is falling in place.
	Updated primary-expression parsing to make it parse
	"(expression)".
	Updated postfix-expression parsing a little bit to make it parse
	"postfix [expression]", especially the 'expression' part.
	Did quite some debugging.

2007-11-24  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: finish parsing bitwise operations expression
	* langs/nmv-cpp-ast.cc,h,
	src/langs/nmv-cpp-parser.cc,h,
	tests/test-cpp-parser.cc: parse equality-expression, and-expression,
	exclusive-or-expression and inclusive-or-expression productions.

2007-11-23  Dodji Seketeli <dodji@src.gnome.org>

	fix crash on exit #499033
	* src/dbgengine/nmv-var-list-walker.cc,
	src/dbgengine/nmv-var-walker.cc: don't make VarWalker and
	VarListWalker extend sigc::trackabale because they connect to each
	other and that causes crashes at their destruction time.

2007-11-22  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: added relational-expression parsing

2007-11-22  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: parse shift-expression productions
	* src/langs/nmv-cpp-ast.h:
	* src/langs/nmv-cpp-parser.cc,h:
	* tests/test-cpp-parser.cc: parse shift-expression productions

2007-11-20  Hubert Figuiere <hub@src.gnome.org>

	POTFILES.in needed an update

2007-11-20  Yannig MARCHEGAY <ymarcheg@src.gnome.org>

	Updated Occitan translation

2007-11-19  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: added additive-expression

2007-11-19  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: fixed MINUS operator lexing

2007-11-19  Dodji Seketeli <dodji@src.gnome.org>

	varwalker: fix several crashers
	* src/dbgengine/nmv-var-list-walker.cc: fix a crash due to
	WalkersMap not being a smart pointer and then not taking ref on
	assignation.
	* src/dbgengine/nmv-var-walker.cc: clear some memory at some point here.
	* src/persp/dbgperspective/nmv-variables-utils2.cc: fix a crasher here:
	(update_a_variable_real): do not overrun the container, damit.
	(update_a_variable): when looking up a node, don't check for var type
	name. Only check for var name. It appears that in some circumstances
	some vars are getting wrong types, so further lookup would fail if it
	it takes in account var type names.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: made pm-expression and multiplicative-expression parsing complete.
	* src/langs/nmv-cpp-ast.h: added DotStarPMExpr and ArrowStarPMExpr
	types.
	* src/langs/nmv-cpp-parser.cc: make parsing of pm-expression be
	complete.
	* tests/test-cpp-parser.cc: added basic non-regression tests for
	pm-expression and multiplicative-expression productions.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: made cast-expression and pm-expression work
	* src/langs/nmv-cpp-parser.cc:
	(Parser::parse_cast_expr): made cast-expression parsing work.
	* tests/test-cpp-parser.cc: added basic test cases for cast-expression
	and pm-expression.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Fix a crash triggered by a memory corruption
	The crash was happening randomly while single-stepping.
	* src/dbgengine/nmv-var-walker.cc: fixed a nasty memory corruption bug.
	the map VarWalker::m_vars_to_visit was storing IDebugger::Variable*,
	not IDebugger::VariableSafePtr. So at some point, the pointer to
	variable were getting destroyed by the IDebugger internal somewhere.
	So back to storing IDebugger::VariableSafePtr. The map then needs the
	declaration of a comparison functor to be able to compare instance of
	IDebugger::VariableSafePtr properly. So one got added.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Fix a potential refcounting issue.
	* src/dbgengine/nmv-dbg-common.h:
	(Command::variable ()): Don't pass VariableSafePtr by reference
	otherwise we bypass its refcounting.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Fix some uninitialised variable bugs.
	* src/dbgengine/nmv-dbg-common.h: Don't forget to initialise the
	memory querying related variables that got added recently.
	* src/dbgengine/nmv-gdbmi-parser.cc:
	(parse_embedded_c_string_body): don't forget to initialise declared
	value.
	* src/persp/dbgperspective/nmv-memory-view.cc: ditto. Also make sure
	lines are properly indented.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: start working toward parsing array vars declarations.
	* src/langs/nmv-cpp-ast.cc,h:
	* src/langs/nmv-cpp-parser.cc,h: started to work toward parsing
	constant-expression. This implies parsing a bunch of different
	expression types. This is to be able to parse array subscripts forms
	of direct-declarator . Once we have that, we can parse
	simple-declarations of the form "foo bar[5]";
	* tests/Makefile.am: disable test-globalvariables.cc for now as global
	variables will remain broken until we now how to parse
	simple-declaration productions.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: simple declarations are now strongly typed.
	* src/langs/nmv-cpp-ast.cc,h: handle fine grained TypeSpecifier.
	* src/lands/nmv-cpp-parser.h,cc: now decl-specifier-seq are properly
	typed and can be manipulated by client APIs.
	As a result, SimpleType are also now fully strongly typed, especially
	the different kinds of TypeSpecifier.
	Parser::parse_simple_type_specifier() returns a SimpleTypeSpecPtr
	instead of a string. Woo.
	It also supports more types of decl-specifier-seq. Still no
	struct/class, or template though.
	* tests/test-cpp-parser.cc: updated this to be reflect the changes
	above. Now we are able to get the type or variable name parts of a
	declaration. We just need to be able to parse more declaration forms.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: support basic pointer decls parsing
	* src/langs/nmv-cpp-ast.h,
	src/langs/nmv-cpp-parser.cc: debuggin parsing of:
	foo *bar, const foo *bar, static const foo*bar.
	* tests/test-cpp-parser.cc: update regression test for that.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: more AST datastructures to parse simple declarations
	* src/langs/nmv-cpp-ast.cc,h,
	src/langs/nmv-cpp-parser.cc,h:
	do what it takes to make Parser::parse_simple_declaration() spit
	AST datastructures.
	* tests/test-cpp-parser.cc: update this to reflect changes in
	Parser::parse_simple_declaration() api.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	cpp parser: still on going.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	cpplang: added more bits
	* src/langs/*: added an AST and a parser. the aim of the parser is to be
	able to parse a simple-declaration production. It's not done yet but
	the necessary productions are falling in place slowly.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	CPPLexer: fix an operartor parsing bug
	* src/langs/nmv-cpp-lexer-utils.cc: fix a typo.
	* src/langs/nmv-cpp-lexer.cc: forgot to consume a char
	when scanning a scope resolution operator.
	* tests/test-cpp-lexer.cc: added a new test case.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	CPPLexer: add debugging to tokens
	* tests/test-cpp-lexer.cc: dump tokens to stdout.
	* src/langs/nmv-cpp-lexer-utils.cc: add this to serialize tokens

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	gdbmi parser: buglet fix
	* src/dbgengine/nmv-gdbmi-parser.cc:
	(remove_stream_record_trailing_chars): better style.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	CPPLexer: first attempt at writting a c++ lexer.
	* src/langs/nmv-cpp-lexer.cc,h: write a lexer
	that does not support pre-processing.
	It is useful to parse GDB's output when queried
	for the list of global variables.
	* test/test-cpp-lexer.cc: regression test for a simple case.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	GDBEngine: prepare global vars list extraction
	* src/dbgengine/nmv-gdb-engine.cc,h: added
	a GDBEngine::extract_global_variable_list() that will
	be responsible to extract the global vars list info
	from the debuggong console stream of gdb.
	Call this from within the GlobalVariableListedHandler.
	GDBEngine::extract_global_variable_list() does not work
	yet as it will need to use a precise c++ declaration parser
	to properly do the job.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Added a unit test for global variables listing

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	added tests/test-var-walker.cc to test IVarWalker

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	added IVarListWalker::variable_list_visited_signal()

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	fix bugs to IVarWalkerList -> IVarListWalker renaming
	* src/dbgengine/varlistwalker.conf.in: make varlistwalker dynmod load
	dso libvarlistwalkermod.so and not more libvarwalkerlistmod.so.
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc: load dynmod
	varlistwalker and not more varwalkerlist

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Rename IVarWalkerList into IVarListWalker

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	add --enable-variable-waler and --enable-global-variables
	* config.h.in,configure.ac: add --enable-variable-walker and
	--enable-global-variables to enable/disable IVarWalker and global
	variables widgets.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: use the variable
	walker aware LocalVarInspector2 widget when WITH_VARIABLE_WALKER is
	defined.
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc: don't compile
	this when WITH_VARIABLE_WALKER is not defined. Also, don't show global
	variables stuff when WITH_GLOBAL_VARIABLES is not defined.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc: use the
	IVarWalker aware VarInspector2 widget with WITH_VARIABLE_WALKER is
	defined.
	* src/persp/dbgperspective/nmv-var-inspector2.cc: don't compile this
	when WITH_VARIABLE_WALKER is not defined.
	* src/persp/dbgperspective/nmv-variables-utils2.cc: don't compile this
	when WITH_VARIABLE_WALKER is not defined.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	global variables listing performance improvements
	* this entry is about performance. It multiplies the speed by 14 on my
	box when trying to display the global variables of tests/.libs/fooprog
	This performance work has been directed by careful profiling.
	* src/common/nmv-log-stream.cc:
	use __gnu_cxx::hash_map instead of std::map to store
	domain names. Profiling showed that this increases
	performance.
	* src/common/nmv-scope-logger.cc:
	(ScopeLogger::~ScopeLogger): remove logging in here for performance
	reasons.
	* src/dbgengine/nmv-gdbmi-parser.cc:
	(parse_c_string): remove scoppe logging from this function that is
	called a lot.
	(parse_c_string_body): ditto.
	(parse_stream_record): don't access UString's chars sequentially. It'
	too slow.
	(parse_out_of_band_record): ditto.
	(parse_result_record): ditto.
	(parse_output_record): ditto.
	* src/dbgengine/nmv-i-debugger.h: Don't access UString's chars
	sequentially. It's too slow.
	* src/dbgengine/nmv-var-walker.cc:
	(VarWalker::on_variable_value_signal): don't test UString's equality.
	It's too slow.
	(VarWalker::on_variable_value_set_signal): ditto. Remove logging.
	(VarWalker::on_variable_type_set_signal): ditto.
	(VarWalker::get_type_of_all_members): accessing UString's chars
	sequentially is too slow.
	* src/persp/dbgperspective/nmv-variables-utils2.cc: remove UStrings
	equality tests and UString subscripting.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Add global variables listing sections to variable widgets
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc,
	src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	Add a global variables section in the variable inspector widgets.
	This is based on a patch from A. Gordon <agordon88@gmail.com>.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	IDebugger: support global variables listing
	* src/dbgengine/nmv-gdb-engine.cc,h,nmv-i-debugger.h:
	Add a ability for IDebugger to list global variables. This is a patch
	from A. Gordon <agordon88@gmail.com>.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	GDBEngine: make sure IConfMgr is always loaded
	* src/dbgengine/nmv-gdb-engine.cc: make sure the IConfMgr is loaded when
	it has not been specificaly passed by client code at init time.
	This should fix the regression test breakages triggered by conf_mgr
	not being loaded by GDBEngine.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	VarInspector: unfold the added variable row by default.
	* src/persp/dbgperspective/nmv-var-inspector2.cc:
	(VarInspector2::Priv::set_variable): unfold the variable row so that
	the user does not have to do by hand all the time.
	* src/persp/dbgperspective/nmv-variables-utils2.cc,h:
	add an overload of append_a_variable() that returns the row of the
	actually appended variable. The is useful for intance when the calling
	code wants to fold/unfold the added variable row for better legibility.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	turn VarInspector2 to use IVarWalker
	* src/dbgengine/nmv-var-walker.cc: make VarWalker extend sigc::trackable
	so that it automatically disconnects from signals it connected to
	- e.g: IDebugger signals -  at destruction time. Otherwise, its signal
	handlers connected to IDebugger get called even after the walker instance is
	destroyed leading to crashes.
	* a/src/persp/dbgperspective/nmv-local-vars-inspector2.cc:
	remove code from here and put it into nmv-variables-utils2.cc instead.
	That allows code sharing with nmv-var-inspector2.cc.
	* src/persp/dbgperspective/nmv-var-inspector-dialog.cc: use either
	VarInspector of VarInspector2, based on the VARS_INSPECTOR2 macro.
	* src/persp/dbgperspective/nmv-var-inspector.cc,h: Change the interface of
	VarInspector::VarInspector() to take an IDebuggerSafePtr& instead of an
	IDebugger&. This make VarInspector api be in par with VarInspector2.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc,
	nmv-var-inspector-dialog.cc,h: propagate the change in VarInspector
	iface to VarInspectorDialog and DBGPerspective types.
	* src/persp/dbgperspective/nmv-var-inspector2.cc,h: added VarInspector2
	type. It uses IVarWalker. It works now. The only thing that is not yet
	implemented is variable dereferencing.
	* src/persp/dbgperspective/nmv-variables-utils2.cc,h: add this utils
	to help add/update variables into a treeview that looks like a
	variable inspector. VarInspector2 and LocalVarsInspector use this
	utility function set.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Forgot to generate cpptrait.conf
	* configure.ac: oops, forgot to generate src/dbgengine/cpptrait.conf

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Oops, forgot to add some files
	* src/dbgengine/varwalker.conf.in: forgot to add this file
	* src/dbgengine/varwalkerlist.conf.in: ditto

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Make LocalVarsInspector2 start working
	* src/common/nmv-ustring.cc,h:
	(UString::get_number_of_words): added this new method
	* src/dbgengine/nmv-gdb-engine.cc:
	make sure IDebugger::variable_value_set_signal()
	reports the same IDebugger::VariableSafePtr that was set into
	IDebugger::get_variable_value().
	* src/dbgengine/nmv-i-debugger.h:
	added IDebugger::Variable::is_copyable(),
	IDebugger::Variable::copy () and
	IDebugger::Variable::set().
	* src/dbgengine/nmv-var-walker-list.cc:
	(VarWalkerList::append_variable): add some logging.
	in VarWalkerListDynMod: Fix iface creation bug
	* src/dbgengine/nmv-var-walker.cc: heavily debug this to make it work
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc: ditto.
	Variable dereferencing still does not work, though.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Starting working IVarWalker and IVarWalkerList
	* src/dbgengine/Makefile.am, ./configure.ac: added varwalker.conf, varwalkerlist.conf
	* src/dbgengine/nmv-gdb-engine.cc:
	(GDBEngine::get_variable_value): use
	fully qualified variable name (fqvn)
	(GDBEngine::get_variable_type): ditto.
	* src/dbgengine/nmv-i-var-walker-list.h, nmv-i-var-walker.h:
	* src/dbgengine/nmv-var-walker-list.cc,nmv-var-walker.cc:
	added new iface IVarWalker and IVarWalkerList to walk a variable
	and a list of variables.
	* src/persp/dbgperspective/nmv-local-vars-inspector2.cc,h: started to
	hack up a LocalVarsInspector2 to test IVarWalker and IVarWalkerList

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	Allow other dynmods to use GDBEngine.
	* src/dbgengine/Makefile.am: put the gdbengine in a static library that
	can be linked against several dynmods.
	* src/dbgengine/nmv-gdb-engine.cc: rip off declaration and put it in
	nmv-gdb-engine.h so that private bis of a given dynmod can benefit
	from GDB only "protected" features of GDBEngine. Protected features
	here means features that are not advertised in IDebugger because
	specific to GDB.
	* src/dbgengine/nmv-var-walker.cc: use GDBEngine by including
	nmv-gdb-engine.h and casting the IDebugger it gots.

2007-11-18  Dodji Seketeli <dodji@src.gnome.org>

	started to put IVarWalker in place.
	* src/dbgengine/nmv-i-var-walker.h,nmv-var-walker.cc,nmv-var.h: added these new
	files
	* src/dbgengine/Makefile.am: setup a new varwalkermod dynmod.

2007-10-31  Ilkka Tuohela <ituohela@src.gnome.org>

	Updated Finnish translation

2007-10-22  Daniel Nylander <dnylande@src.gnome.org>

	sv.po: Updated Swedish translation

2007-10-14  Yannig MARCHEGAY <ymarcheg@src.gnome.org>

	Updated Occitan translation

2007-10-14  Yannig MARCHEGAY <ymarcheg@src.gnome.org>

	Updated Occitan translation

2007-10-13  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add keyboard shortcut for switching to the memory view tab 	* src/persp/dbgperspective/menus/menus.xml: 	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Add a hotkey and menu 	item for switching to the new Memory view window, just like you can switch 	between the other status notebook tabs with Alt+N.  The memory view is Alt+6

2007-10-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add 'function' column to the Breakpoints list 	* src/persp/dbgperspective/nmv-breakpoints-view.cc: Add 'function' column to 	the breakpoints list so that you can tell at a glance where the breakpoint 	is by looking at the list.  Also re-arrange the columns to make the order a 	bit more useful.

2007-10-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix Breakpoint duplication issue in the Breakpoints list 	* src/persp/dbgperspective/nmv-breakpoints-view.cc: Breakpoints were 	appearing in the Breakpoint list multiple times because the ID was not being 	set properly.  So when the 'breakpoints_set' signal was fired, we went 	through the tree model to see if a breakpoint with that ID was found, none 	were found, so all breakpoints were added even if they already existed in 	the model. 	Also added some logging to help uncover the issue.

2007-10-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Potential Fix for bug 465263, failing to parse breakpoint table 	* src/dbgengine/nmv-gdbmi-parser.cc: Fix for bug #465263 "Error Parsing 	breakpoint table".  The parse_breakpoint() function was not advancing to the 	closing '}' character of the breakpoint, and therefore was not able to parse 	the list of breakpoints correctly. 	* tests/test-gdbmi.cc: added a test for the failure reported in bug #465263

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	MemoryView: display data that has changed since last time in red

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	MemoryView: make TextView not editable * src/persp/dbgperspective/nmv-memory-view.cc: Memory TextView widget should   not be editable since there's no support for editing memory implemented yet

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Coding standard cleanups (add a_ to function arguments)

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	MemoryView: Minor improvements  to the display of memory values * src/persp/dbgperspective/nmv-memory-view.cc: Improve the display of memory   by using builtin std::showbase, etc instead of doing my own formatting.  Also,   don't display fill with zeros, just make sure that they're all the same width

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	MemoryView: UI Cleanup * src/persp/dbgperspective/nmv-memory-view.cc: a bunch of little UI cleanups. Give the text view a margin so that text doesn't go right up to the border. Also give a shadow border around the text view.  Add a 'Format' label to the format selector and add some border and spacing between the widgets in the header of the MemoryView notebook.

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	MemoryView: Re-read memory on changes * src/persp/dbgperspective/nmv-memory-view.cc: automatically re-read memory when the format type is changed or when the address text entry is activated (e.g. by pressing enter after typing an address)

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Remove MemoryEditor class, combine with MemoryView
	Move the MemoryEditor functionality into MemoryView since it was really only a
	TextView and TextBuffer.  Also improve the memory display slightly, and add an
	option for displaying the memory values as decimal, hex, octal, or binary

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	DBGPerspective: add default_config_read_signal() This signal is so that we can detect when the initial configuration values have been read so that we can set things based on these (such as the default font for the memory view widget, etc).

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	RegistersView: ugly hack to keep the register values in the treeview in sync with the register values in gdb. This is only necessary because we can't easily tie gdb error messages to specific command requests at the moment.  We should work out a way to present user-friendly error messages in cases like this.

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	RegistersView: clear the list of registers when the target is detached

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Move the signals into the proper section so that they get documented properly in doxygen

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Remove memoryview glade file from build

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add new Memory Editor widget * src/persp/dbgperspective/Makefile.am: add new memory-editor files * src/persp/dbgperspective/nmv-memory-editor.h, src/persp/dbgperspective/nmv-memory-editor.cc: add a new widget that wraps a basic hex editor component. Eventually this will hopefully wrap the widget from GHex, but right now it's just an ugly and useless TextView widget. * src/persp/dbgperspective/nmv-memory-view.h, src/persp/dbgperspective/nmv-memory-view.cc: no longer using glade for the memory view widget, so we don't need a construction parameter for the plugin path * src/persp/dbgperspective/nmv-dbg-perspective.cc: update for new constructor signature on MemoryView

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Update IDebugger memory API to use more reasonable types * src/dbgengine/nmv-i-debugger.h: update interface to use size_t and uint8_t instead of strings for address and values * src/dbgengine/nmv-dbg-common.h, src/dbgengine/nmv-gdb-engine.cc, src/dbgengine/nmv-gdbmi-parser.cc, src/dbgengine/nmv-gdbmi-parser.h: update to use new interface types * tests/test-gdbmi.cc: update for API change

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Don't activate default in the memory view widget.
	It was causing warnings on the command line

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Implement rudimentary Memory view widget * src/persp/dbgperspective/glade/memoryviewwidget.glade: UI definition for Memory view widget * src/persp/dbgperspective/glade/Makefile.am: add new file * src/persp/dbgperspective/nmv-memory-view.h, src/persp/dbgperspective/nmv-memory-view.cc: Add a very rudimentary and basic implementation of a memory viewer widget. It currently just retrieves a fixed number bytes from the starting address and puts it in a TextView. When the debugger is stopped, it updates the values. Eventually we'll actually create a real memory viewer widget, but this provides some basic functionality for now. * src/persp/dbgperspective/Makefile.am: add new files * src/persp/dbgperspective/nmv-dbg-perspective.cc: integrate new Memory view widget

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Debugger backend: Minor fixes for read_memory() function * src/dbgengine/nmv-gdb-engine.cc: Fix read_memory() function which was missing the option specifying the format (hex) * src/dbgengine/nmv-i-debugger.h: Add default value (empty string) for cookie in read_memory()

2007-10-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Initial debugger support for reading memory values * src/dbgengine/nmv-i-debugger.h: add interface for reading memory values * src/dbgengine/nmv-dbg-common.h: add data storage for memory values * src/dbgengine/nmv-gdb-engine.cc: add handling for reading memory values * src/dbgengine/nmv-gdbmi-parser.h, src/dbgengine/nmv-gdbmi-parser.cc: add parsing for memory value responses * tests/test-gdbmi.cc: test parsing memory value results

2007-09-25  Gil Forcada Codinachs <gforcada@src.gnome.org>

	Updated Catalan translation by David Planella

2007-09-09  Daniel Nylander <dnylande@src.gnome.org>

	Updated Swedish translation. Added screenshots.
	* sv/sv.po: Updated Swedish translation.
	* sv/figures/*png: Added screenshots.

2007-09-09  Daniel Nylander <dnylande@src.gnome.org>

	sv.po: Updated Swedish translation

2007-09-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add keybindings for switching between notebook tabs
	patch by: A. Gordon <agordon88@gmail.com>
	modified slightly to now add keybindings for the 'output' and 'errors' tabs
	because they're not useful for users.  Also move the output and errors tab
	index to the end so that the useful tabs are all in order even when the
	debugging tabs are shown
	* src/persp/dbgperspective/menus/menus.xml: add actions for switching
	between the notebook tabs (e.g. variables, breakpoints, etc)
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: hook up the actions to
	switch between notebook tabs with alt-#

2007-09-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add MAINTAINERS per new GNOME svn policy

2007-09-07  Ilkka Tuohela <ituohela@src.gnome.org>

	Updated Finnish translation

2007-08-26  Josep Puigdemont i Casamajó <joseppc@src.gnome.org>

	Updated Catalan translation by David Planella.

2007-08-25  Daniel Nylander <dnylande@src.gnome.org>

	sv.po: Swedish translation updated

2007-08-19  Dodji Seketeli <dodji@src.gnome.org>

	fix breakage when configured with --libdir=/something
	* configure.ac: make sure to fully expand $libdir in NEMIVER_LIBDIR.
	NEMIVER_LIBDIR is now $libdir, but fully expanded. It can now be used
	in dynmod confs file. This is way better since it dynmod loading still
	work even when configure was run with --libdir=/somewhere, which was
	not the case with the previous solution.
	* src/*/*.conf.in: uses the new NEMIVER_LIBDIR instead of the former
	solution.

2007-08-19  Dodji Seketeli <dodji@src.gnome.org>

	Fix a small compilation error
	* src/dbgengine/nmv-i-debugger.h: fix a compilation error I introduced.

2007-08-19  Dodji Seketeli <dodji@src.gnome.org>

	cosmetic changes in IDebugger.h registers related signal decls
	* src/dbgengine/nmv-i-debugger.h: cosmetic (but important) change: put
	the register related signal in the "signals" section of the IDebugger
	class declaration, otherwise this thing will be a growing mess.

2007-08-19  Dodji Seketeli <dodji@src.gnome.org>

	Updated Spanish translation by Alberto Caso

2007-08-19  Dodji Seketeli <dodji@src.gnome.org>

	Enable remote targets debugging.
	This entry should allow remote debugging in environments like Poky or Scratchbox,
	using a gdbserver and a cross-gdb.
	* src/common/nmv-env.cc,h: add a env::get_system_lib_dir() call.
	* src/dbgengine/nmv-gdb-engine.cc,nmv-i-debugger.h:
	Add a IDebugger::do_init() to be called by client code to initialize
	the debugger. Client code can then pass an IConfMgr to the debugger so
	that it can later retrieve some configuration parameters.
	This is useful when we want for instance to choose a given gdb binary
	to use. When working with remote embedded targets, one must compile
	a cross-gdb and use that one. The user can then set the path to
	the gdb to use, and IDebugger can have a chance to know about that
	choice. Basically, the user can set the gconf key
	/apps/nemiver/dbgperspective/gdb-binary to set the path to gdb binary
	to be used by the gdb debugger backend.
	Added IDebugger::set_solib_prefix_path() to set the prefix from
	which the debugger is supposed to load the inferior shared object
	from. This is useful for debugging remote embedded targets, with gdb
	at least.
	Added IDebugger::get_debugger_full_path() to let client code
	know the full path to the debugger binary used by nemiver at some
	point.
	* src/persp/dbgperspective/glade/remotetargetdialog.glade: add
	an entry to set the solib prefix path. This has been edited using
	glade-3 as it is the only one glade left on debian sid.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Use gconf key
	/apps/nemiver/dbgperspective/debugger-engine-dynmod to get the
	name of the of engine dynmod. So the name "gdbengine" is not hardcoded
	anymore. Also, take in account the solib prefix path when debugging
	a remote target.
	* src/workbench/nmv-i-workbench.h,nmv-workbench.cc:
	IWorkbench::get_configuration_manager() now returns a IConfMgrSafePtr, no more
	a reference. That eases passing the IConfMgrPtr to object objects like
	the IDebugger.

2007-08-16  Adam Weinberger <adamw@gnome.org>

	Added missing file.
	* POTFILES.in: Added missing file.

2007-08-14  Ilkka Tuohela <ituohela@src.gnome.org>

	Updated Finnish translation

2007-08-14  Ilkka Tuohela <ituohela@src.gnome.org>

	Added Finnish translation

2007-08-01  Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>

	Updated Spanish translation by Alberto Caso

2007-07-28  Dodji Seketeli <dodji@src.gnome.org>

	Fix an conf loading initialization hazard
	* src/common/nmv-conf-manager.cc,h: don' t put the s_config member as
	global. Put static in a function to avoid global initialization
	sequence hazards.

2007-07-28  Dodji Seketeli <dodji@src.gnome.org>

	link libnemiveruicommon with libutil
	This is a patch from Josselin Mouette

2007-07-28  Dodji Seketeli <dodji@src.gnome.org>

	make sure all dynmods have no undef symbols
	make confmgrmod, dbgmod and varlistmod have no undef symbols.
	Link them all with libnemivercommon lib.
	This is a patch from Josselin Mouette

2007-07-28  Dodji Seketeli <dodji@src.gnome.org>

	make libnemivercommon be a private library
	it ends up in $libdir/nemiver and has no version number.
	this is because no one uses libnemivercommon yet, outside of the
	nemiver tree. So there is no need to put libnemivercommon.so in $libdir
	and force packagers to split their packages.
	This is pach from Josselin Mouette

2007-07-28  Dodji Seketeli <dodji@src.gnome.org>

	static libs must be PIC
	This is a patch from Josselin Mouette

2007-07-27  Daniel Nylander <dnylande@src.gnome.org>

	sv.po: Updated Swedish translation

2007-07-27  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add ability to edit register values 	* src/dbgengine/nmv-i-debugger.h: add 'set register' API / signal 	* src/dbgengine/nmv-gdb-engine.cc: Provide implementation of 'set register' 	interfaces and signals 	* src/dbgengine/nmv-gdbmi-parser.cc: Add FIXME to indicate that the result 	from setting a register will actually be parsed expecting to find a variable 	value. 	* src/persp/dbgperspective/nmv-registers-view.cc: make the value of the 	register editable and send the new value to gdb.  The user can now change 	the values of registers, albeit in a rather primitive way.

2007-07-24  Jonathon Jongsma <jjongsma@src.gnome.org>

	Change register value to red when it is updated 	* src/persp/dbgperspective/nmv-registers-view.cc: change the register value 	to 'red' when it has been changed since last time and otherwise revert to 	the normal text color

2007-07-22  Jonathon Jongsma <jjongsma@src.gnome.org>

	get register values when they have changed and display them in the RegistersView

2007-07-22  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix bug in listing registers caused by uninitialized data members 	* src/dbgengine/nmv-dbg-common.h: fixed bug where some flags were not 	initialized before use which was causing some seemingly random failures, 	noticed first in the fact that the register names no longer were populated 	in the register view because m_has_register_names apparently sometimes was 	initialized to true so the handler would be called (and thus emit a signal 	without any register names) for unrelated gdb output. 	* src/dbgengine/nmv-gdb-engine.cc: switch the order of a couple things to 	reduce race conditions.  At first I thought this was the problem but it 	wasn't.  It doesn't hurt to leave it this way though. 	* src/persp/dbgperspective/nmv-registers-view.cc: add some logging to aid in 	debugging.

2007-07-22  Jonathon Jongsma <jjongsma@src.gnome.org>

	Implement getting register values for the GDB backend 	* src/dbgengine/nmv-dbg-common.h: add register value interfaces 	* src/dbgengine/nmv-gdb-engine.cc: add handler for register value commands 	* src/dbgengine/nmv-gdbmi-parser.h, src/dbgengine/nmv-gdbmi-parser.cc: add 	parsing for register values (parse_register_values) 	* tests/test-gdbmi.cc: add test for parsing register values

2007-07-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add RegistersView Widget 	* src/persp/dbgperspective/nmv-registers-view.h, 	src/persp/dbgperspective/nmv-registers-view.cc: add a RegistersView widget 	for displaying the contents of registers in the status notebook.  Currently, 	it doesn't show register values, but it does show whether the register has 	changed since last time by adding a '*' to the Value column 	* src/persp/dbgperspective/nmv-dbg-perspective.cc: add the RegistersView 	widget to the status notebook 	* src/persp/dbgperspective/Makefile.am: Add the new files

2007-07-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix some register listing parsing errors 	* src/dbgengine/nmv-gdb-engine.cc: add the OnChangedRegistersListedHandler 	as an output handler which was forgotten last time. 	* src/dbgengine/nmv-gdbmi-parser.cc: Fix a parsing error in the register 	listing functions

2007-07-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	GDBMI: cleanup patch to use some constant strings instead of string literals and magic numbers throughout the code.

2007-07-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add support for list_changed_registers() 	* src/dbgengine/nmv-dbg-common.h: added storage and interfaces for accessing 	the list of changed registers 	* src/dbgengine/nmv-gdbmi-parser.cc, 	src/dbgengine/nmv-gdbmi-parser.h: added parsing for the listing fo changed 	registers 	* src/dbgengine/nmv-gdb-engine.cc: add output handler for changed register 	* tests/test-gdbmi.cc: added tests for changed register parsing

2007-07-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	Initial support for register-related commands, specifically list_register_names()
	* src/dbgengine/nmv-i-debugger.h: add some API for getting information about
	the CPU registers
	* src/dbgengine/nmv-dbg-common.h, src/dbgengine/nmv-gdb-engine.cc: add
	support for register commands to the gdb engine.  Currently only listing the
	register names is fully supported.
	* src/dbgengine/nmv-gdbmi-parser.cc, src/dbgengine/nmv-gdbmi-parser.h: parse
	the listing of register names
	* tests/test-gdbmi.cc: test the parsing of register names from gdb

2007-07-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	a possible fix for boost unit test so that it will build on Ubuntu feisty
	* configure.ac: a possible fix for boost unit test so that it will build on
	Ubuntu feisty (e.g. boost 1.33.1).  Hopefully this doesn't break newer boost
	versions.

2007-06-23  Daniel Nylander <dnylande@src.gnome.org>

	sv.po: Updated Swedish translation

2007-06-19  Jordi Mas <jmas@softcatala.org>

	Added Catalan translation. Added ca to the list
	* ca.po: Added Catalan translation.
	* LINGUAS: Added ca to the list

2007-06-19  Jonathon Jongsma <jjongsma@src.gnome.org>

	The 'toggle breakpoint' and 'enable/disable breakpoint' actions are now updated to display context-sensitive text for the menu items.  In other words, if the cursor is on a line with an enabled breakpoint, the actions will be called 'Remove breakpoint' and 'Disable breakpoint', on a line without a breakpoint, the actions will be called 'Set breakpoint' and the enable/disable action will be insensitive. In order to get this right, I had to update the text of the toggle actions whenever there were any changes to the breakpoints in addition to whenever the cursor insertion point changed.

2007-06-19  Jonathon Jongsma <jjongsma@src.gnome.org>

	Use a #define instead of re-typing the marker type string wherever it's needed

2007-06-16  Jonathon Jongsma <jjongsma@src.gnome.org>

	Don't pop up multiple 'reload' dialogs for the same file. If a popup dialog has already been displayed for that particular file, suppress further popups about that file until the user has dismissed the first dialog.

2007-06-16  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add an 'Address' field to the breakpoints list Add an 'Address' field to the breakpoints list so that if a breakpoint does not have any filename information, there is still some unique identifiable information visible.  Also, use update_breakpoint() from append_breakpoint() to reduce code duplication.

2007-06-16  Jonathon Jongsma <jjongsma@src.gnome.org>

	For stack frames without file information, display the address instead of attempting to show a filename and line.  Previously, when filename information was missing, the 'Location' field looked like ':0'

2007-06-16  Jonathon Jongsma <jjongsma@src.gnome.org>

	stop displaying dialogs if a file can't be displayed in some circumstances. Just log them as errors to the terminal (closes bug 447890)

2007-06-14  Pema Geyleg <pgeyleg@src.gnome.org>


2007-06-12  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add a '--last' command line option that lets you quickly launch the last session without having to specify it explicitly

2007-06-12  Jonathon Jongsma <jjongsma@src.gnome.org>

	Allow users to remove the selected breakpoints by typing the 'delete' key in the breakpoints list tab. fixes bug #446584

2007-06-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Load the breakpoints popup menu in the constructor instead of in get_breakpoints_menu() This is needed because we update the sensitivity of the menu actions when the treeview selection changes, and this can happen before we've ever popped up the menu, which results in error logs printed to the terminal.  In the process, I also reduced some code duplication in on_treeview_selection_changed()

2007-06-09  Jonathon Jongsma <jjongsma@src.gnome.org>

	Finish up minimal version of the user manual 	* help/C/nemiver.xml: Added some basic content for all of the user manual 	sections that were blank or marked TODO.  There's not a lot useful here, but 	it's at least minimally complete now. 	* help/Makefile.am: add new screenshots 	* help/C/figures/open-files-target.png 	help/C/figures/set-breakpoint-dialog.png 	help/C/figures/variable-inspector.png: new screenshots for user manual

2007-06-09  Jonathon Jongsma <jjongsma@src.gnome.org>

	Critical fix to find the 'set breakpoint' dialog glade file Some time ago, setbreakpoint.glade was renamed to setbreakpointdialog.glade, but apparently we've still been trying to load the widget from setbreakpoint.glade. So in 0.4.0, the new set a breakpoint on a function name feature would not have worked at all.  We didn't notice because we probably both had the old glade file installed in /usr/local, so it was just loading the old file. Also, made the set breakpoint dialog a little bit wider by default.

2007-06-09  Jonathon Jongsma <jjongsma@src.gnome.org>

	Cleanup of the 'Choose Overloaded Function' dialog so that it's a bit cleaner Provide a bit of explanation of what is going on, and add a bit of spacing per the HIG, rename treeview column headers

2007-06-07  Daniel Nylander <dnylande@src.gnome.org>

	sv.po: Updated Swedish translation

2007-06-05  Takeshi AIHANA <takeshi.aihana@gmail.com>

	Updated Japanese translation.
	* ja.po: Updated Japanese translation.

2007-06-05  Dodji Seketeli <dodji@src.gnome.org>

	update nmv-proc-mgr.cc,h to reflect a libgtop API change in HEAD
	* src/common/nmv-proc-mgr.cc b/src/common/nmv-proc-mgr.cc,h:
	change ProcMgr::get_process_from_pid() to make it use the pid_t
	type instead of int. This is to reflect the API change
	in libgtop HEAD that would break the compilation otherwise.

2007-06-03  Jonathon Jongsma <jjongsma@src.gnome.org>

	configure.ac: add the ability to disable building of automated tests even when the NEMIVER_DEVEL environment variable is set.  Hopefully this won't be necessary for much longer, but currently the tests don't build for me with boost 1.33.x.  I should really look into why it doesn't build, but this lets me build nemiver in the meantime

2007-06-03  Dodji Seketeli <dodji@src.gnome.org>

	Update make release scripts
	* Makefile.am: do not distcheck for release, only dist. Update svn path
	to point to GNOME svn.

2007-06-03  Dodji Seketeli <dodji@src.gnome.org>

	updated NEWS file to prepare the 0.4 release

2007-06-02  Dodji Seketeli <dodji@src.gnome.org>

	Unbreak test as the result of boost 1.34 usage
	* configure.ac: detect the static library
	libboost_unit_test_framework-st.a as it is now mandatory
	- with boost 1.34 - for some of our tests. Define the variable
	BOOST_UNIT_TEST_FRAMEWORK_STATIC_LIB that points to that detected
	static library.
	* test/Makefile.am: update this to use the new static lib variable.

2007-06-02  Dodji Seketeli <dodji@src.gnome.org>

	Update tests to use boost 1.34
	* tests/Makefile.am: adapt tests to the last m4 machinery change wrt
	boost 1.34 detection.
	* tests/test-breakpoint.cc, tests/test-cpptrait.cc,
	tests/test-cpptrait.cc, tests/test-deref.cc,
	tests/test-gdbmi.cc, tests/test-local-vars-list.cc,
	tests/test-local-vars-list.cc, tests/test-unicode.cc,
	tests/test-var-list.cc: update these to use boost 1.34

2007-06-02  Dodji Seketeli <dodji@src.gnome.org>

	Detect exec monitor library in boost 1.34 onward.
	* m4/ax_boost_test_exec_monitor.m4: updated this
	to detect the exec monitor library which name has changed in
	boost version 1.34. This macro still detect the library in
	boost version < 1.34.

2007-06-02  Dodji Seketeli <dodji@src.gnome.org>

	adapt to naming changes of boost 1.34
	* m4/ax_boost_unit_test_framework.m4: detect
	libboost_unit_test_framework in the 1.34 version.
	This library's naming scheme has changed in from 1.33.x
	The MACRO still works with boost version 1.33.

2007-06-02  Dodji Seketeli <dodji@src.gnome.org>

	Revert "quick temporary commit. Must be reverted."
	This reverts temporary commit 1a370a5558f422328bf060d885322cf237530609.

2007-05-31  Daniel Nylander <dnylande@src.gnome.org>


2007-05-31  Daniel Nylander <dnylande@src.gnome.org>

	Added Swedish translation.
	* sv/sv.po: Added Swedish translation.

2007-05-20  Stéphane Raimbault <stephaner@src.gnome.org>

	Updated French translation.

2007-05-20  Jonathon Jongsma <jjongsma@src.gnome.org>

	Convert ChangeLog to UTF-8

2007-05-20  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fixed some changelog issues: removed conflict markers, bad indentation

2007-05-20  Jonathon Jongsma <jjongsma@src.gnome.org>

	Variable Inspector Dialog HIG fixes
	- add 6px border around the dialog so that things match up a bit better and
	things don't look so crowded
	- remove separator
	- set a border around the scrolled window containing the variable inspector
	widget so that it looks a bit cleaner

2007-05-20  Jonathon Jongsma <jjongsma@src.gnome.org>

	Clean up the breakpoint menu items.
	Improve the menu item names and descriptions, add a keyboard shortcut <shift>F8
	for enabling/disabling an existing breakpoint

2007-05-20  Jonathon Jongsma <jjongsma@src.gnome.org>

	separate menu items into logical groups.

2007-05-19  Dodji Seketeli <dodji@src.gnome.org>

	Fix string typos
	* src/main.c: Fix some strings typos. Patch from
	"Stéphane Raimbault" <stephane.raimbault@gmail.com>

2007-05-19  Dodji Seketeli <dodji@src.gnome.org>

	Applied patch #87217, closing bug #433332.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: applied patch
	#87217, that fixes #433332 entitled
	"witch mouse pointer to 'busy' cursor when gdb is running"
	The patch was made by Jonathon Jongsma <jjongsma@gnome.org>.

2007-05-19  Dodji Seketeli <dodji@src.gnome.org>

	quick temporary commit. Must be reverted.

2007-05-19  Dodji Seketeli <dodji@src.gnome.org>

	mv source editor from the debug perspective to uicommon
	* configure.ac,src/persp/dbgperspective/Makefile.am,
	src/uicommon/Makefile.am:
	mv src/persp/dbgperspective/nmv-source-editor.cc,h to
	src/uicommon/nmv-source-editor.cc,h

2007-05-19  Dodji Seketeli <dodji@src.gnome.org>

	Add SourceEditor::insertion_changed_signal() .
	* src/uicommon/nmv-source-editor.cc,h: Make SourceEditor emit a
	SourceEditor::insertion_changed_signal() notifying when a user clicks
	somewhere in the editor.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: changed
	the last patch to make it use the
	SourceEditor::insertion_changed_signal() event instead of doing
	lower level stuff in the perspective.

2007-05-17  Stéphane Raimbault <stephane.raimbault@gmail.com>

	Updated French translation by Robert-André Mauchin, Claude Paroz and
	* fr.po: Updated French translation by Robert-André Mauchin,
	Claude Paroz and Stéphane Raimbault.

2007-05-16  David Lodge <dlodge@src.gnome.org>

	Updated en_GB translation

2007-05-15  Jonathon Jongsma <jjongsma@src.gnome.org>

	Disable 'toggle enable breakpoint' when there's no breakpoint on the line
	Add handling for when the cursor position changes so that we can enable or
	disable certain actions depending on what line we're on.  Now, the "toggle
	enable breakpoint" action is set insensitive when there's no breakpoint set on a
	particular line.  This is a partial fix for bug #430346.  The method I used to
	implement this feels a little bit 'brute-force'-ish, so if you know of better
	ways to accomplish this, let me know.

2007-05-12  Dodji Seketeli <dodji@src.gnome.org>

	disable symbol visibility control by default
	* configure.ac: disable symbols visibility control by default, due
	to a bug in gcc 4.1.2. See bug #410710 to track this.

2007-05-06  Jonathon Jongsma <jjongsma@src.gnome.org>

	Don't modify ACLOCAL_FLAGS in autogen.sh (bug #436226)

2007-05-04  Jonathon Jongsma <jjongsma@src.gnome.org>

	Remote Target Dialog: Use FileChooserDialog instead of Entry widget
	* src/persp/dbgperspective/glade/remotetargetdialog.glade: use only
	FileChooserButton instead of a FileChooserButton and a Gtk::Entry widget.  This
	make it more consistent with the 'execute' dialog and the 'load core' dialog
	* src/persp/dbgperspective/nmv-remote-target-dialog.cc: update due to
	changes in the glade file

2007-05-04  Jonathon Jongsma <jjongsma@src.gnome.org>

	IConfMgr: Add ability to monitor individual configuration keys
	* src/confmgr/nmv-i-conf-mgr.h: add new API: add_key_to_notify() so that we
	can 'subscribe' to be notified when individual keys are changed, not just
	whole key directories.
	* src/confmgr/nmv-gconf-mgr.cc: implement add_key_to_notify() so that when
	the key is modified, it emits the value_changed signal on IConfMgr
	* src/workbench/nmv-workbench.cc: add notification of the individual key for
	the GNOME system monospace font instead of watching the entire
	/desktop/gnome/interface directory

2007-05-02  Jonathon Jongsma <jjongsma@src.gnome.org>

	Update POTFILES.in with new, moved files

2007-05-02  Jonathon Jongsma <jjongsma@src.gnome.org>

	Use the GNOME system monospace font instead of a generic 'monospace' font.
	* src/persp/dbgperspective/glade/preferencesdialog.glade: minor re-wording
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Get the system monospace
	font from gconf and use that instead of setting it to a generic 'monospace' font
	name.
	* src/workbench/nmv-workbench.cc: In order to be able to update our font
	when the system monospace font changes, I had to also watch the gconf directory
	/desktop/gnome/interface for configuration changes.  This seems a bit ugly, but
	IConfMgr doesn't currently have any other way to do this.  Maybe we need to add
	something to IConfMgr to accomodate this, but for now I just did the
	quick-and-dirty fix.

2007-05-02  Jonathon Jongsma <jjongsma@src.gnome.org>

	Implement custom font preference for source editor (bug #431058)
	* src/persp/dbgperspective/glade/preferencesdialog.glade: added preference
	for setting a custom font for the source editor widget
	* src/persp/dbgperspective/nmv-preferences-dialog.cc: Add support for
	setting custom font
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: watch for changes to font
	settings and update source editors as necessary
	* src/persp/dbgperspective/schemas/nemiver-dbgperspective.schemas: add
	configuration settings for custom font

2007-05-01  Dodji Seketeli <dodji@src.gnome.org>

	Add basic support of connection to gdbserver.
	* src/dbgengine/nmv-gdb-engine.cc,nmv-i-debugger.h:
	Added an output handler to handle the connection to the gdbserver.
	Added IDebugger::connected_to_server_signal() to notify when
	connected to the remote debugging server.
	This makes support of connection to gdbserver work.
	* src/persp/dbgperspective/menus/menus.xml,
	src/persp/dbgperspective/nmv-dbg-perspective.cc: added a
	"Connect to remote target" menu item. Popup a dialog to
	let the user choose the gdbserver to connect to.
	This entry adds a basic support of connection to gdbserver. woot.

2007-05-01  Dodji Seketeli <dodji@src.gnome.org>

	Added an IDebugger::attach_to_remote_target() .
	* src/dbgengine/nmv-gdb-engine.cc,nmv-i-debugger.h:
	add an IDebugger::attach_to_remote_target() entry point.

2007-05-01  Dodji Seketeli <dodji@src.gnome.org>

	Added a new remote debugging server selection dialog
	* src/persp/dbgperspective/glade/Makefile.am,
	src/persp/dbgperspective/nmv-remote-target-dialog.cc,h:
	added a new RemoteTargetDialog to select a remote debugging server
	to connect to. It is not used yet.

2007-05-01  Dodji Seketeli <dodji@src.gnome.org>

	mv source editor from the debug perspective to uicommon
	* configure.ac,src/persp/dbgperspective/Makefile.am,
	src/uicommon/Makefile.am:
	mv src/persp/dbgperspective/nmv-source-editor.cc,h to
	src/uicommon/nmv-source-editor.cc,h

2007-04-29  Jonathon Jongsma <jjongsma@src.gnome.org>

	Use the 'text' color from the theme, not the 'fg' color. In some themes these colors apparently are different and the text can become difficult to read.

2007-04-29  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fixed a missing closing parentheses in the french translation

2007-04-26  Jonathon Jongsma <jjongsma@src.gnome.org>

	Don't specify the 'open' stock icon for the Open files dialog so that it uses the nemiver application icon instead.  Otherwise it's not obvious which application the dialog belongs to if you just look at the taskbar.

2007-04-26  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fix for Bug #431073, to expand the file treeview to a sane default location.
	* src/persp/dbgperspective/nmv-file-list.cc,h:
	* src/persp/dbgperspective/nmv-open-file-dialog.cc,h: add a construction
	parameter which specifies the starting location for the OpenFileDialog.  The
	list of files will be expanded automatically so that the starting location is
	visible by default when the dialog is opened.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: pass the path of the
	current source file as the starting path for the OpenFileDialog

2007-04-25  Jonathon Jongsma <jjongsma@src.gnome.org>

	Allow multiple breakpoints to be deleted at the same time.
	Although the breakpoints view supported multiple selection, when you right-click
	a group of selected breakpoints, all but the one you clicked on became
	de-selected.  To fix this, I had to connect the button-press-event signal before
	the default handler and prevent the default handler from being executed if the
	user right-clicked on an already-selected item.
	Moving the signal connection before the default handler caused problems for the
	code that figures out which actions in the context menu are valid, however.  The
	problem was that we use the current selection to determine which menu items are
	valid, but the selection has not been updated by the default handler at the time
	we want to pop up the menu.  To solve this, I connected to the treeview
	selections 'changed' signal, and update the actions here instead of while we are
	displaying the menu.

2007-04-22  Dodji Seketeli <dodji@src.gnome.org>

	Initial ChooseOverloadsDialog dialog box.
	* src/persp/dbgperspective/glade/setbreakpoint.glade:
	rename this into setbreakpointdialog.glade because in nemiver,
	glade files have the same name as their topmost widget name.
	* src/persp/dbgperspective/Makefile.am:
	* src/persp/dbgperspective/glade/Makefile.am:
	* src/persp/dbgperspective/glade/Makefile.am:
	* src/persp/dbgperspective/glade/chooseoverloadsdialog.glade:
	* src/persp/dbgperspective/nmv-choose-overloads-dialog.cc,h:
	Added a new ChooseOverloadsDialog to let the user choose
	among several overloaded funtions.

2007-04-22  Dodji Seketeli <dodji@src.gnome.org>

	fix typo

2007-04-22  Dodji Seketeli <dodji@src.gnome.org>

	Cleanups
	* src/persp/dbgperspective/nmv-dialog.h:
	cosmetic cleanup
	* src/persp/dbgperspective/nmv-find-text-dialog.cc: cosmetic
	cleanups. Lines are sometimes too long.

2007-04-22  Dodji Seketeli <dodji@src.gnome.org>

	Let the user choose between overloaded functions when applicable
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::choose_function_overload()):
	Use the new ChooserOverloadsDialog dialog to let the user
	choose among function overloads, when applicable.
	This is used when the user sets a breakpoint by specifying the
	function name, and it appears that name has overloads.
	* tests/fooprog.cc: added function overloads here so that
	we can test the new overloaded function choice dialog.

2007-04-22  Dodji Seketeli <dodji@src.gnome.org>

	Fix overloads choice prompts parsing
	* src/dbgengine/nmv-gdbmi-parser.cc:
	(parse_overloads_choice_prompt): fix bugs in this to correctly
	parse overloads choice prompts.
	* tests/test-gdbmi.cc: added a regression test for overloads choice
	prompt parsing.

2007-04-22  Dodji Seketeli <dodji@src.gnome.org>

	Support of choosing several function overloads at once .
	* src/dbgengine/nmv-gdb-engine.cc:
	added IDebugger::choose_overloaded_functions() to choose
	several function overloads at once.

2007-04-22  Dodji Seketeli <dodji@src.gnome.org>

	Initial ChooseOverloadsDialog dialog box
	* src/persp/dbgperspective/glade/setbreakpoint.glade:
	rename this into setbreakpointdialog.glade because in nemiver,
	glade files have the same name as their topmost widget name.
	* src/persp/dbgperspective/Makefile.am:
	* src/persp/dbgperspective/glade/Makefile.am:
	* src/persp/dbgperspective/glade/Makefile.am:
	* src/persp/dbgperspective/glade/chooseoverloadsdialog.glade:
	* src/persp/dbgperspective/nmv-choose-overloads-dialog.cc,h:
	Added a new ChooseOverloadsDialog to let the user choose
	among several overloaded funtions.

2007-04-21  Dodji Seketeli <dodji@src.gnome.org>


2007-04-21  Jonathon Jongsma <jjongsma@src.gnome.org>

	data/icons/Makefile.am: add 24x24 directory to SUBDIRS

2007-04-21  Dodji Seketeli <dodji@src.gnome.org>

	remove a debugging trace
	* src/persp/dbgperspective/nmv-source-editor.cc:
	(SourceEditor::current_line ()): remove a debugging log.

2007-04-21  Dodji Seketeli <dodji@src.gnome.org>

	Fix an assert that was getting raised
	* src/persp/dbgperspective/nmv-breakpoints-view.cc:
	(on_breakpoint_go_to_source_action()): don't forget
	that the treeview supports multiselection now.

2007-04-21  Dodji Seketeli <dodji@src.gnome.org>

	Fix a gnome-vfs crash happening when a monitored file is changed.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(on_file_content_changed()): make this handle the dialog
	to let the user decide to load the file when its content changes.
	(file_monitor_cb()): do not launch a dialog in here as it causes
	gnome-vfs to crash. Rather schedule the dialog showing in and idle
	the idle function on_file_content_changed().

2007-04-21  Dodji Seketeli <dodji@src.gnome.org>

	data/nemiver.desktop.in: refer to the icon without the ending .png

2007-04-21  Dodji Seketeli <dodji@src.gnome.org>

	data/nemiver.desktop.in: refer to the icon without the ending .png

2007-04-19  Jonathon Jongsma <jjongsma@src.gnome.org>

	Forgot to update the changelog

2007-04-19  Jonathon Jongsma <jjongsma@src.gnome.org>

	A few fixes for the new icons
	Talking with Andreas, he suggested that we should provide both 22x22 and 24x24
	icons since the GNOME menu uses 24x24 and the KDE menu (and some GNOME themes)
	uses 22x22 icons.  So he provided a 24x24 icon which I've added.  I also fixed a
	couple mistakes in the installation where the 48x48 icons were still getting
	installed to the 64x64 directory.

2007-04-19  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add new icons from Andreas Nilsson
	The new icon is a more 'tango'-ish icon, and uses a bugspray metaphor.  The
	sizes now provided are 16x16, 22x22 (instead of 24x24), 32x32, 48x48 (instead of
	64x64) and scalable.  Also added Andreas' name to the artist credits in the
	About dialog

2007-04-18  Dodji Seketeli <dodji@src.gnome.org>

	clear in memory session data before running a new session
	* src/persp/dbgperspective/nmv-dbg-perspective.cc
	(DBGPerspective::on_debugger_breakpoints_set_signal): re indented
	this a bit because lines are too long.
	(DBGPerspective::clear_session_data): added this to clear
	session data stuff we keep in memory like env variables,
	search paths, breakpoints and source dirs.
	(DBGPerspective::on_going_to_run_target_signal): clear session data
	befoore running a target. This is needed because otherwise,
	data from the previous session can be saved in the current one,
	if the two sessions have been executed without quitting nemiver.

2007-04-18  Dodji Seketeli <dodji@src.gnome.org>

	Allow deleting of multiple breakpoints in once, in the breakpoints view
	* src/persp/dbgperspective/nmv-breakpoints-view.cc: allow selection
	of multiple rows to delete multiple breakpoints at once.

2007-04-18  Dodji Seketeli <dodji@src.gnome.org>

	Clear breakpoints from the current session before starting a new one.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	(DBGPerspective::execute_program()): before loading a new
	program, delete the breakpoints we might have set while
	debugging the previous binary. We are obliged to do that because
	the gdbmi command -file-exec-and-symbols is buggy. It tries
	to set breakpoints coming from the previous debugging session.
	So this is the reason why we when doing two debugging sessions
	without shutting down nemiver (with the same gdb process then),
	we see (disabled) breakpoints of the first session
	inside the second session.

2007-04-17  Jonathon Jongsma <jjongsma@src.gnome.org>

	Set Breakpoint Dialog: fix text entry sensitivity at startup (bug #430343)
	Add a hacky workaround to set the sensitivity of the text entry fields at
	startup based on the current dialog mode.  Also moved the 'Function' section to
	the top since that will be the mode that is selected by default at startup and
	will likely be used more often.

2007-04-16  Dodji Seketeli <dodji@src.gnome.org>

	Initial support of function overloads choice prompts
	* src/dbgengine/nmv-i-debugger.h: added
	IDebugger::got_overloads_choice_signal() to get notified when
	gdb sends us a prompt asking to choose between several function
	overloads. This happens after the user asked to set a breakpoint
	into function foo(), and when foo() has several overloads.
	Added IDebugger::choose_function_overload() to choose a given
	function overload, but its number. Overload numbers are given
	by IDebugger::got_overloads_choice_signal().
	* src/dbgengine/nmv-gdb-engine.cc: ditto. Implemented the new
	entry points of IDebugger.
	(GDBEngine::Priv::on_gdb_stdout_signal()): fixed long standing
	bug in here.
	(GDBEngine::Priv::issue_command()): changed the prototype
	of this to be able to directly send a command to GDB without
	doing flow control. This is useful for instance when replying
	to a gdb prompt. We must silently and directly send the prompt
	reply and behave like if that prompt reply has never existed.
	(GDBEngine::Priv::on_gdb_stdout_has_data_signal): expect having
	answers from gdb that are not only gdbmi outputs, but that are
	prompts, for instance.
	(OnBreakPointHandler::do_handle()): detect if gdb sent us a prompt,
	parse it and emit IDebugger::got_overloads_choice_signal().
	* src/dbgengine/nmv-gdbmi-parser.cc,h:
	(parse_stream_record()): some stream records - debugger console
	streams - can be prompts, i.e, followed by the character '>'
	and white spaces.
	(parse_overloads_choice_prompt()): added this to actually parse
	the overloads choice prompt.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	Whenever we are to choose between overloaded function, choose all of
	them from now. I will hack up a choice dialog later.
	* tests/test-gdbmi.cc: added test case for overload prompt parsing.

2007-04-16  Dodji Seketeli <dodji@src.gnome.org>

	Better handling of setting a breakpoint by function name
	* src/persp/dbgperspective/glade/setbreakpoint.glade:
	set the okay button as the default one.
	* src/persp/dbgperspective/nmv-set-breakpoint-dialog.cc:
	By default, activates the "function name" mode. Make the
	function name entry activate the default button -
	the ok button of the dialog - when the user hits Enter.
	Now, the user can do ctrl-b, followed by the name of a function,
	followed by the enter key, to set a breakpoint in a function.
	I feel this more convenient as setting a breakpoint in a function
	is the what developers do the most, when they set breakpoints.

2007-04-16  Dodji Seketeli <dodji@src.gnome.org>

	Better behaviour of breakpoint view when adding a new breakpoint
	* src/persp/dbgperspective/nmv-breakpoints-view.cc:
	(BreakpointsView::Priv::set_breakpoints()): do not remove
	breakpoints that are not in the list of breakpoints returned
	by IDebugger. IDebugger does not always return the list of
	*all* breakpoints set.
	* src/persp/dbgperspective/nmv-i-debugger.h: added some comments
	to IDebugger::breakpoints_set_signal().

2007-04-16  Dodji Seketeli <dodji@src.gnome.org>

	Fix a random hang in stack args parsing
	* src/dbgengine/nmv-gdbmi-parser.cc: added
	a CHECK_END_BREAK() macro useful in debugging conditions.
	(parse_stack_arguments()): A parameter value string can contain
	a '{' character and yet not carry an unnamed variable. In that
	case, don't bail out. Just keep that parameter value as it is.
	This fixes a hang that was appearing randomly.
	* tests/test-gdbmi.cc: added a non regression test to catch this.

2007-04-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	SetBreakpointDialog: Add ability to set a breakpoint by function name in addition to source file and line number.  There seems to be some errors in the gdbmi parsing that cause failures when trying to set breakpoints on certain function names.  This requires more digging.

2007-04-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Set breakpoint dialog: Add a little bit of error-handling for unreasonable line numbers (i.e. don't try to set a breakpoint if the atoi call has been clamped to INT_MIN or INT_MAX or if it couldn't find an integer value and returned 0.

2007-04-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	Beginning of an implementation of a dialog for setting arbitrary breakpoints.
	Currently it has a text entry for 'filename' and one for 'line number' and
	attempts to set a breakpoint at the requested line.  There's not really any
	error handling yet, but it works for simple cases.  Eventually there should be a
	way to set a breakpoint on a function name as well -- not sure whether that
	should be a separate option in the UI or combined somehow.

2007-04-07  Dodji Seketeli <dodji@src.gnome.org>

	Added a --env command line option
	* src/main.cc: added a --env option that can be used as in:
	nemiver --env "foo=bar foobar=baz" prog-to-debug

2007-04-06  Dodji Seketeli <dodji@src.gnome.org>

	Unbreak breakpoint enabling/disabling via the (contextual) menu
	* src/dbgengine/nmv-gdb-engine.cc,nmv-i-debugger.h:
	gdb does not support breakpoint enabling/disabling
	when breakpoints are addressed by file:number. You
	need to address breakpoints by number.
	So I removed the methods that were claiming doing
	file:number addressing. There were confusing at best.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	toggle_enable_breakpoint into on_toggle_breakpoint_enabled.
	DBGPerspective::toggle_breakpoint_enabled(): address
	breakpoints by their number otherwise gdb does not understand.
	This entry should unfuck breakpoint enabling/disabling
	via the contextual menu.

2007-04-06  Dodji Seketeli <dodji@src.gnome.org>

	Better scrolling behaviour at file reload, don't delete markers twice
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	Modify DBGPerspective::set_where() so that we can choose
	to scroll to the position of the where marker or not.
	DBGPerspective::reload_file(): before reloading the file,
	remind the current line/col to reset after reloading.
	After reloading, scroll to the current line, if the user
	precedently selected a line, otherwise scroll to the where marker
	* src/persp/dbgperspective/nmv-source-editor.cc:
	SourceEditor::Priv::on_signal_insertion_moved(): properly set the
	current line/col, dammit.
	SourceEditor::move_where_marker_to_line(): allow this function to
	scroll (to the where marker) *or not*.
	SourceEditor::unset_where_marker(): guard against deleting marker
	twice.
	SourceEditor::set_visual_breakpoint_at_line(): ditto

2007-04-04  Dodji Seketeli <dodji@src.gnome.org>

	Add toggle enable breakpoint to menus and stop to the toolbar.
	* src/persp/dbgperspective/menus/menus.xml: add the
	ToggleEnableBreakpointMenuItem
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	append "toggle enable menu" action to the contextual menu
	and the debugging menu.
	This entry fixes bug #424270.
	* src/persp/dbgperspective/menus/toolbar.xml: added
	StopMenuItem to the toolbar.

2007-04-04  Dodji Seketeli <dodji@src.gnome.org>

	Properly reset breakpoints and current line markers after file reload
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBPerspective::apply_decorations_to_text(): add
	this function to add breakpoints and current line
	pointer to a source editor that got freshly reloaded
	DBGPerspective::reload_file (const UString &a_path):
	Call the new DBPerspective::apply_decorations_to_text()
	function to apply text decoration.
	* src/persp/dbgperspective/nmv-source-editor.cc:
	SourceEditor::set_visual_breakpoint_at_line (int a_line, bool enabled):
	When marker were set a line we want to set a new one, delete it
	and reset it. Otherwise, when we clear a source buffer, it markers
	stay there but are not visible. To make them visible, the only way
	I have found was to delete them and set them again.
	This entry makes the reloading of a source file works so what decently.
	It now reset the text decorations (breakpoints and current line
	markers)

2007-04-04  Dodji Seketeli <dodji@src.gnome.org>

	Reuse the same source buffer when reloading a file
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBGPerspective::load_file(): don' t necessarily create
	a new buffer all the time. Give us a change to reuse one.
	* DBGPerspective::reload_file(): reuse the source buffer we
	use already.

2007-04-04  Dodji Seketeli <dodji@src.gnome.org>

	Fix some errors that were dumping messages at closing time
	* src/dbgengine/nmv-gdb-engine.cc:
	GDBEngine::Priv::on_gdb_stdout_has_data_signal():
	GDBEngine::Priv::on_gdb_stderr_has_data_signal(): log
	channel disconnection in the default domain.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBGPerspective::close_file(): fix a typo in here. Unmonitor
	the closed file, instead of trying to monitor it again.

2007-04-04  Dodji Seketeli <dodji@src.gnome.org>

	First implementation of "reload source file"
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: added
	a menu item + contextual menu to reload a file.
	Monitor the file changes using gnome-vfs to propose
	a reload to the user.
	The reload is very basic atm as it looses buffer decorations
	like breakpoint and current line markers etc.
	DBGPerspective::close_opened_files (): fix a crasher here.
	typically, don't hold an iterator that is being invalidated.
	* src/persp/dbgperspective/menus/menus.xml: added menu items in here.

2007-04-04  Dodji Seketeli <dodji@src.gnome.org>

	better utf8 handling in filesystem paths
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	cleanup: use Glib::filename_to_utf8() instead of
	Glib::locale_to_utf8() when applicable.

2007-04-01  Dodji Seketeli <dodji@src.gnome.org>

	Added more logs the local variable inspector related workflows
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc:
	LocalVarsInpector::Priv::on_variable_value_signal():
	make sure the variable is not nil. Log its name.

2007-03-30  Dodji Seketeli <dodji@src.gnome.org>

	Forgot to push ChangeLog into last commit

2007-03-30  Dodji Seketeli <dodji@src.gnome.org>

	Remove nemiver.pot from version control
	* po/nemiver.pot: remove this generated file from version control

2007-03-29  Dodji Seketeli <dodji@src.gnome.org>

	Fix mismatched free/delete[] errors.
	* src/common/nmv-safe-ptr-utils.h: add safeptrs for
	arrays of gchar and gunichars allocated with the new() operator,
	and so de-allocated with the delete operator. Call them
	CharSafePtr and UnicharSafePtr.
	* src/common/nmv-ustring.cc: UString::split(): use CharSafePtr
	to remove mismatched free/delete errors. These were pratically
	harmless, but there are still bugs. And they pollute valgrind
	reports.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBGPerspective::open_file(): ditto.

2007-03-29  Dodji Seketeli <dodji@src.gnome.org>

	Fix bug #424069: Crashed
	* src/persp/dbgperspective/nmv-breakpoints-view.cc:
	BreakpointsView::Priv::set_breakpoints(): when we erase
	an element from a list, the iterator pointing at the erased
	element becomes invalid. We can not use it anymore.
	BreakpointsView::Priv::on_debugger_breakpoint_deleted_signal():
	ditto.
	This entry should fix bug #424069

2007-03-29  Dodji Seketeli <dodji@src.gnome.org>

	Fix bug #423846: GDBMI parsing fails in nemiver::parse_member_variable()
	* src/dbgengine/nmv-gdbmi-parser.cc:
	parse_member_variable(): when the last component of
	the member variable (before the ending '}') is name,
	allow the ending '}' to be the last character of the input
	stream. This is likely to fix bug #423846.
	* tests/test-gdbmi.cc: added a test case/non regrestion test for
	that bug.

2007-03-28  Hubert Figuiere <hub@src.gnome.org>

	remove the ^M that break the build

2007-03-27  Dodji Seketeli <dodji@src.gnome.org>

	Fixed typos for better application menu appearance
	* sdata/nemiver.desktop.in: fix a typo to make the
	nemiver menu icon show up
	* po/fr.po: fixed a typo.

2007-03-25  Dodji Seketeli <dodji@src.gnome.org>

	fix a crash in variable inspector (#422495)
	* src/persp/dbgperspective/nmv-var-inspector.cc:
	VarInspector::Priv::set_variable(): request variable type
	using a private cookie.
	VarInspector::Priv::set_variable_type(): make this return
	a success status.
	VarInspector::Priv::print_pointed_variable_value():
	request pointed variable value using a private cookie.
	VarInspector::Priv::on_debugger_variable_value_signal():
	only consider answers that have our private cookie.
	VarInspector::Priv::on_variable_type_signal():
	only consider answers that have our private cookie.
	get out gracefully if we could not actually set the variable
	type.
	VarInspector::Priv::on_pointed_variable_value_signal():
	request variable type using a private cookie.
	VarInspector::inspect_variable(): request variable value
	using a private cookie.

2007-03-24  Dodji Seketeli <dodji@src.gnome.org>

	Fix unicode characters handling in UString::split()
	* src/common/nmv-ustring.cc: UString::split():  make this
	work when characters which code > ascii 127 are present
	in the string.
	* src/dbgengine/nmv-gdbmi-parser.cc:
	QuickUStringLess::operator()(): use strncmp() and not strcmp().
	You never know.

2007-03-21  Dodji Seketeli <dodji@src.gnome.org>

	Fix bugs linked with my previous #414334 fix.
	* src/dbgengine/nmv-gdbmi-parser.cc: fixed a couple of bugs in here.
	First, when skipping blank spaces, don't use SKIP_WS, but rather
	SKIP_BLANK, as the former also skips newlines. Problems is that
	newline is the end marker for result records.
	Recode parse_attribute() to make it use the gdbmi AST.
	This makes the code shorter, and more bugfree as it handles
	strings correctly and supports unicode. Make it also more
	robust w.r.t parsing starting condition.
	* tests/test-gdbmi.cc: test case for parse_c_string(),
	parse_attribute() and parse_stopped_async_output() added,
	as these were the functions that were falling.
	This entry fixes bugs that appeared because I fixed
	#414334.

2007-03-21  Dodji Seketeli <dodji@src.gnome.org>

	Fixed a typo.
	+ configure.ac: fixed a typo: AX_BOOST_TEST_FRAMEWORK does not exit

2007-03-21  Dodji Seketeli <dodji@src.gnome.org>

	Support parsing octal escape sequences in c-string. This fixes #414334
	* src/dbgengine/nmv-gdbmi-parser.cc:
	make parse_c_string_body() parse escaped octal sequences of bytes.
	This makes the resulting string be a real unicode string now.
	This helps unescaping some file paths expressed in an escaped
	form in the debugging info. All the generic GDBMI datastructure
	based parsing functions directly benefit from this change.
	parse_attributes() (written before we had generic GDBMI parsing
	capabilities) didn't benefit it directly because it was parsing
	strings directly, without using parse_c_string.
	I did add a hack there, where the resulting string
	as parsed by parse_attribute() is reparsed again using
	parse_c_string(), so that it gets a chance to unsescape the octal
	escape sequences it might contain. This should fix bug
	#414334.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	Replace a bunch of Glib::locale_from_utf8() into
	Glib::filename_from_utf8() when converting paths to
	utf8. This should be the proper way to do it.
	* tests/test-gdbmi.cc: added test cases with strings containing
	octal escape sequences. This should catch regressions on related
	to bug #414334.

2007-03-18  Dodji Seketeli <dodji@src.gnome.org>

	Make IVarList::update_state() (start to) work
	* src/dbgengine/nmv-gdb-engine.cc, nmv-i-debugger.h:
	Added IDebugger::variable_value_set_signal(),
	and IDebugger::get_variable_value(). To ease variable
	value updating workflows.
	* src/dbgengine/nmv-i-var-list.h, nmv-var-list.cc:
	Fix value and type updating workflows. Now it seems
	variable values and type are correctly updated when doing
	IVarList::update_state(). woot.
	* test/test-local-vars-list.cc: wrote this to debug
	variable state udpating.

2007-03-17  Dodji Seketeli <dodji@src.gnome.org>

	Make IDebugger populate the type definition of a variable
	* src/dbgengine/nmv-gdb-engine.cc,nmv-i-debugger.h:
	added IDebugger::get_variable_type(), that takes an
	VariableSafePtr in parameter.
	IDebugger::variable_type_set_signal() returns that
	very same variable, with its type set.
	For the record, this is complementary
	to IDebugger::print_variable_type(),
	that doesn't take an VariableSafePtr in parameter,
	but rather a string representing a variable name.
	Its matching IDebugger::variable_type_signal() slot
	returns a string representing the type.
	* tests/test-deref.cc: updated this to test
	IDebugger::get_variable_type(). Now, we only dereference
	a variable when its type is a pointer.

2007-03-17  Dodji Seketeli <dodji@src.gnome.org>

	Make IDebugger::dereference_variable() work
	* src/dbgengine/nmv-gdb-engine.cc: make
	IDebugger::dereference_variable() work.
	* tests/test-deref.cc: write this to debug the
	IDebugger::dereference_variable()
	* tests/test-breakpoint.cc: a bit of cleanup

2007-03-16  Dodji Seketeli <dodji@src.gnome.org>

	Unbreak compilation of tests
	* tests/Makefile.am: add test-breakpoint.c to the list of auto tests

2007-03-16  Dodji Seketeli <dodji@src.gnome.org>

	Support string embedded in member variables values.
	* src/dbgengine/nmv-gdbmi-parser.cc,h:
	parse_member_variable(): make this work for cases where
	an escaped string is embedded in the value being parsed.
	To parse that string, use the new parse_embedded_c_string().
	The string is not yet "interpreted" yet, so the result
	of the parsing is not really readable in the resulting
	member variable. But at least, the parsing does not fail
	anymore. Failing of this used to cause a freeze of
	IDebugger in the state IDebugger::RUNNING
	(when entering a new function) for some compound variables
	that have embedded espaced strings.
	* tests/test-gdbmi.cc b/tests/test-gdbmi.cc:update this
	to reflect the new member variable with embedded string
	things.

2007-03-16  Dodji Seketeli <dodji@src.gnome.org>

	Unbreak command line handling
	* src/main.cc: unbreak command line handling due to
	the libgnome init that was done before our parsing the command
	line.

2007-03-16  Dodji Seketeli <dodji@src.gnome.org>

	unbreak IDebugger/gdb flow control, switch tests to boost::test
	* src/dbgengine/nmv-gdb-engine.cc: fixed numerous bugs in here.
	Better control of the flow on the wire between us and gdb
	to avoir overflow it. Overflowing was causing some subtle errors
	like some command result being ignored by us.
	Added better detection and processing of gdb results that
	come in group, i.e more than a result at a time.
	* src/dbgengine/nmv-var-list.cc: a bit of cleanup
	* tests/Makefile.am: update test deps. Use boost::test when applicable
	* tests/test-breakpoint.cc: make this use boost::test
	* tests/test-cpptrait.cc: ditto
	* tests/test-gdbmi.cc: ditto. Added more test cases.
	* tests/test-unicode.cc: ditto.
	* tests/test-var-list.cc: ditto

2007-03-16  Dodji Seketeli <dodji@src.gnome.org>


2007-03-16  Dodji Seketeli <dodji@src.gnome.org>

	first attempt of a better variable dereferencing support at IDebugger level
	* src/dbgengine/nmv-dbg-common.h: we can now store a
	IDebugger::Variable into a Command
	* src/dbgengine/nmv-gdb-engine.cc,nmv-i-debugger.h:
	Added the IDebugger::dereference_variable() method to deref
	a variable. Not tested yet though. Bugfixes will follow.

2007-03-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Add support for remembering previous search terms in the combobox
	* src/persp/dbgperspective/nmv-find-text-dialog.cc: Add support for
	remembering previous search terms in the combobox drop-down.  Search terms
	are added when a search is performed, but only if the term is not already in
	the list.

2007-03-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	Make it so that when the 'find' dialog is re-shown, it automatically
	* src/persp/dbgperspective/nmv-find-text-dialog.cc: Make it so that when the
	'find' dialog is re-shown, it automatically selects the current search term
	and puts the focus in the search entry box.  Previously, if you had clicked
	the close button and then opened the 'find' dialog again, pressing enter
	would have closed the dialog (since the 'close' button was still focused)
	instead of finding the next match.

2007-03-10  Jonathon Jongsma <jjongsma@src.gnome.org>

	indicate that tests must be run after installing nemiver make unit tests
	* README: indicate that tests must be run after installing nemiver
	* tests/Makefile.am: make unit tests run in `make check`

2007-03-10  Dodji Seketeli <dodji@src.gnome.org>

	Make IDebugger return a language trait
	* src/dbgengine/nmv-gdb-engine.cc, nmv-i-debugger.h:
	added and IDebugger::get_language_trait() to have information
	and behaviour related to the language of the current target.
	Today, this returns a c++ trait only. But in the future,
	we will actually detect the language of the target and
	return a trait really matching the language of the target.
	Take this as a bootstrap of the story of the multiple language
	language support.
	* tests/test-cpptrait.cc: added a small test for
	IDebugger::get_language_trait()

2007-03-10  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 10 Mar 2007 00:58:18 +0100 Dodji Seketeli
	* src/dbgengine/cpptrait.conf.in: added this file
	* src/dbgengine/nmv-cpp-trait.cc,nmv-i-lang-trait.h: starting
	to think about dealing about language specifics with a ILangTrait
	interface. The only language supported is cpp atm.
	* tests/test-cpptrait.cc: added some tests for the ILangTrait iface

2007-03-07  Dodji Seketeli <dodji@src.gnome.org>

	Wed, 07 Mar 2007 23:44:46 +0100 Dodji Seketeli
	* configure.ac: really check cppunit optionally. Not by default
	* tests/Makefile.am: only compile test-unicode when cppunit support
	is present

2007-03-06  Dodji Seketeli <dodji@src.gnome.org>

	Tue, 06 Mar 2007 22:30:20 +0100 Dodji Seketeli
	*  src/common/nmv-ustring.h,cc: declare a destructor for WString,
	otherwise weird things happen
	* tests/test-templated-var.cc: moved this into templated-var.cc
	* tests/test-unicode.cc: port this over cppunit

2007-03-04  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 04 Mar 2007 21:23:43 +0100 Dodji Seketeli
	* src/dbgengine/Makefile.am: added missing link time deps to the
	libgdmiparser.la
	* src/dbgengine/nmv-gdbmi-parser.cc:
	parse_stack_arguments(): when an argument is compound, gdb puts
	its members into the argument value as serialized into a string.
	To get the parameter members, we now parse the argument's value to
	to deserialise the members that might have been encoded there.
	* tests/test-gdbmi.cc: added this to test gdbmi parsing functions.
	This is based on cppunit. It's the first of a long serie of non
	regression tests to come. I will need to call them automatically
	from the makefile via a 'test' target.
	* configure.ac: bumped version number to 0.4 and added cppunit
	dependency, turned off by default, but added automatically when
	the variable NEMIVER_DEVEL=on is set before configure.

2007-02-27  Dodji Seketeli <dodji@src.gnome.org>

	Tue, 27 Feb 2007 22:10:35 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdbmi-parser.h : added this new file
	to hold the gdbmi parser declarations and definitions.
	* src/dbgengine/nmv-dbg-common.[cc|h]: put here stuff that
	would be common to different implementations of IDebugger.
	e.g.: Command, Output, CommandAndOutput, etc.
	* src/dbgengine/nmv-gdb-engine.cc: rip the gdbmi parsing code
	of from here and put it in nmv-gdbmi-parser.h/.cc
	* src/dbgengine/nmv-var-list.cc: debugged the
	IVarList::find_variable_from_qname() code a bit. I still
	have to look into some variable parsing code problems.
	* tests/test-var-list.cc: more on the varlist test. There are
	still some issues because I the lookup of fully qualified variable
	names fails, especially when the fqvn contains a dot, e.g:
	var.member. Still working on it.

2007-02-20  Jonathon Jongsma <jjongsma@src.gnome.org>

	Fixed a tiny typo in the user manual

2007-02-16  Jonathon Jongsma <jjongsma@src.gnome.org>

	Change a bunch of logging statements to use LOG_FUNCTION_SCOPE_NORMAL_DD instead of just LOG_FUNCTION_SCOPE so that it doesn't log to the terminal by default even with no logging enabled

2007-02-14  Jonathon Jongsma <jjongsma@src.gnome.org>

	Replace Goupil with Nemiver in a lot of header license blurbs

2007-02-13  Jonathon Jongsma <jjongsma@src.gnome.org>

	Forgot to add the actual help files...

2007-02-13  Jonathon Jongsma <jjongsma@gnome.org>

	added the beginnings of a user manual for Nemiver and hooked it up to the
	* added the beginnings of a user manual for Nemiver and hooked it up to the
	help menu.  There is now a libgnome dependency for the workbench and the
	'nemiver' executable, since we use gnome_help_display() to launch the help
	browser and this function doesn't work unless our application has been
	initialized as a gnome program with gnome_program_init()

2007-02-11  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 11 Feb 2007 23:36:36 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc, nmv-i-debugger.h: added
	a IDebugger::load_program() convenience overload function.
	Changed IDebugger::frame_params_listed_signal() into
	IDebugger::frame_arguments_listed_signal() for more coherence.
	* src/dbgengine/nmv-var-list.cc, nmv-i-var-list.h: added
	IVarList::append_variables(), IVarList::remove_variables()
	for convenience. Make IVarList::append_variable() emit
	the IVarList::variable_added_signal(). Make
	IVarList::remove_variable() emit the
	IVarList::variable_removed_signal()
	* src/common/nmv-scope-logger.h: fix the scope logger so that
	it logs in the general log domain by default
	* tests/test-var-list.cc: updated this to start testing
	variable lookup. Still have to do more testing (and debugging)
	around that feature.

2007-02-11  Jonathon Jongsma <jjongsma@src.gnome.org>

	Don't clear the list of breakpoints every time we get a 'breakpoints-set'
	* src/persp/dbgperspective/nmv-breakpoints-view.cc: Don't clear the list of
	breakpoints every time we get a 'breakpoints-set' signal.  Instead, search
	through the list of breakpoints and update breakpoints that already exist,
	add breakpoints that are new, and delete others.  This makes it so that when
	disabling a breakpoint, the row doesn't get briefly selected and then
	de-selected, which is rather annoying. This also fixes another
	long-standing, but slightly less annoying thing: when you set a new
	breakpoint, the selected row in the breakpoints view would get de-selected.

2007-02-11  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 11 Feb 2007 17:59:51 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBGPerspective::close_opened_files(): prevent this function to
	to loop for ever.
	DBGPerspective::unset_where(): prevent a crash here
	DBGPerspective::append_source_editor(): prevent this function
	to assert and get out in the middle of the internal data update.
	This would live the perspective in a non coherent state.

2007-02-08  Jonathon Jongsma <jjongsma@src.gnome.org>

	add text entry box for filtering the list of processes filter the list of
	* src/persp/dbgperspective/glade/proclistdialog.glade: add text entry box
	for filtering the list of processes
	* src/persp/dbgperspective/nmv-proc-list-dialog.cc: filter the list of
	processes when user types a search term into the dialog

2007-02-07  Jonathon Jongsma <jjongsma@src.gnome.org>

	save and restore the position of the status pane between sessions. Note
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: save and restore the
	position of the status pane between sessions.  Note that this implementation
	maintains the position of the pane from the top of the window, It does not
	maintain the height of the status window.  It might be better to maintain
	the height of the status window, but this way was simpler (i.e. I don't have
	to wait for the workbench to set its size and then subtract the height of th
	pane to calculate the position it should be set to)
	* src/persp/dbgperspective/schemas/nemiver-dbgperspective.schemas: add a
	gconf setting for status pane location

2007-02-06  Jonathon Jongsma <jjongsma@src.gnome.org>

	if breakpoints loaded from a stored session are disabled, add the
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: if breakpoints loaded
	from a stored session are disabled, add the breakpoint with a cookie
	indicating that they need to be immediately disabled.  Then in
	on_debugger_breakpoint_set_signal, disable the appropriate breakpoint
	* src/persp/dbgperspective/nmv-sess-mgr.cc,h: save the enable/disable status
	of breakpoints in the sessions db
	* src/persp/dbgperspective/sqlscripts/sqlite/create-tables.sql: update the
	session DB to add a field for breakpoint enable/disable.  Also bumped the
	database schema version.  WARNING: this means that your existing database
	will be deleted when first run after you update to this version.

2007-02-06  Jonathon Jongsma <jjongsma@src.gnome.org>

	add ability to manually force breakpoints view to refresh its list of
	* src/persp/dbgperspective/nmv-breakpoints-view.h,cc: add ability to manually force breakpoints view to refresh its list of breakpoints * src/persp/dbgperspective/nmv-dbg-perspective.cc: force breakpoints view to refresh its breakpoints when the user clicks the "restart" button on the toolbar. This is necessary because when a program runs to completion, it clears everything in the status notebook tabs, and restarting the executable doesn't result in a 'breakpoints-set' signal being fired, so we have to force the breakpoints to be re-listed.

2007-02-06  Jonathon Jongsma <jjongsma@src.gnome.org>

	add API to enable and disable a breakpoint by breakpoint number (id). Add
	* src/dbgengine/nmv-i-debugger.h: add API to enable and disable a breakpoint by breakpoint number (id). Add signals for enabling/disabling breakpoints * src/dbgengine/nmv-gdb-engine.cc: Implement new enable/disable functionality * src/persp/dbgperspective/icons/breakpoint-disabled-marker.png, src/persp/dbgperspective/icons/Makefile.am: add disabled breakpoint icon * src/persp/dbgperspective/nmv-breakpoints-view.cc,h: refactor to keep a reference to debugger so that it can update the list of breakpoints itself instead of having the DBGPerspective set the breakpoints every time they change. Also allows the breakpoints view to send enable/disable commands to gdb easily when user clicks the checkbox. * src/persp/dbgperspective/nmv-dbg-perspective.cc,h: modify append_visual_breakpoint() to add a parameter which determines whether to add an enabled or a disabled breakpoint icon marker * src/persp/dbgperspective/nmv-source-editor.cc,h: Use the SourceMarker 'type' property to indi
	cate whether it's a disabled or an enabled
	breakpoint.  Previously, each breakpoint marker had its type equal to its
	unique name, so each had to register a marker type when it was added.  Now
	we register just two marker types in init(): "breakpoint-enabled-type" and
	"breakpoint-disabled-type" and switch between these types when somebody
	enables or disables a breakpoint.
	* This patch needs some work yet.  For instance, when you enable/disable the
	breakpoint that also has a 'where marker' on the same line, the breakpoint
	markers don't appear correctly until it gets redrawn (e.g. either the
	where-marker or the breakpoing marker will not be visible).  Also, when you
	click the checkbox to enable/disable a breakpoint, what happens is that
	breakpoint gets selected, then it sends a command to gdb to disable the
	breakpoint, eventually we get a breakpoints-set signal and remove all
	breakpoints from the view and re-add them.  So what happens is that the
	selection gets lost, which is unexpected.  Also, I haven't yet saved the
	enable/disable state to the session DB, so when a breakpoint is disabled, it
	will be enabled when you resume debugging the session next time.

2007-02-04  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 04 Feb 2007 23:36:36 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc,nmv-i-debugger.h:
	Each query to the IDebugger can be associated to a cookie.
	Now, the cookie set by client code at query time is
	returned in the signal triggered by the query result.
	* src/dbgengine/nmv-var-list.cc, nmv-i-var-list.h:
	More work on the IVarList interface and implementation.
	Nothing works yet, but the model is shaping up.
	* tests/test-var-list.cc: started to add a playground for the
	IVarList interface
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc: propagated
	the cookie related changes done on IDebugger.
	* src/persp/dbgperspective/nmv-thread-list.cc: ditto
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: ditto
	* src/persp/dbgperspective/nmv-file-list.cc: ditto
	* src/persp/dbgperspective/nmv-call-stack.cc: ditto
	* src/persp/dbgperspective/nmv-var-inspector.cc: ditto
	* tests/test-breakpoint.cc: ditto
	* tests/test-core.cc: ditto

2007-01-31  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	use an icon list for the default window icon so that the alt-tab switcher
	* src/workbench/nmv-workbench.cc: use an icon list for the default window
	icon so that the alt-tab switcher doesn't get a scaled-up 16x16 icon, but a
	proper large icon (closes bug #401249)

2007-01-28  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 28 Jan 2007 23:54:13 +0100 Dodji Seketeli
	* tests/test-stdout.cc, test-unicode.cc: fixed compilation errors

2007-01-28  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 28 Jan 2007 15:21:54 +0100 Dodji Seketeli
	* src/uicommon/nmv-spinner.cc,h: fixed a compilation error

2007-01-27  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	mark a missed string for translation
	* src/workbench/nmv-workbench.cc: mark a missed string for translation

2007-01-27  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	new Japanese translation from Takeshi AIHANA <takeshi.aihana@gmail.com>
	* ja.po: new Japanese translation from Takeshi AIHANA <takeshi.aihana@gmail.com>

2007-01-27  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 27 Jan 2007 02:14:49 +0100 Dodji Seketeli
	* docs/dynamic-modules.txt: fixed a typo

2007-01-27  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 27 Jan 2007 01:56:54 +0100 Dodji Seketeli
	* */*: in my quest to enable client code outside of the nemiver tree
	to use the headers, I have been obliged to specify the 'common' directory
	in all #include "common/nmv-foo.h" directive used by public headers.
	This is because when deployed, headers go in
	$prefix/include/nemiver/common or $prefix/inlcude/nemiver/dynmods.
	Headers in $prefix/include/nemiver/dynmods almost always do
	#include "nmv-foo.h" with nmv-foo.h coming from
	$prefix/include/nemiver/common, leading to compilation error.
	So from now on, all files including headers comming from
	the common directory must do #include "common/nmv-foo.h".
	* docs/mainpage.txt, dynamic-modules.txt: started to describe
	the principles of the dynmod system, and writing some example code
	to illustrate my sayings. The code example should compile outside
	the nemiver source tree. Hence the change done above.
	* src/common/nmv-dynamic-module.h,cc: added some functions to
	ease the use of dynmods. That makes the doc prettier ;-)

2007-01-26  Dodji Seketeli <dodji@src.gnome.org>

	Fri, 26 Jan 2007 17:45:19 +0100 Dodji Seketeli
	* src/main.cc: make nemiver prog arg1 arg2, work.

2007-01-26  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	Attempt to make doxygen understand the NEMIVER_BEGIN/END_NAMESPACE macros
	* docs/Doxyfile.in: Attempt to make doxygen understand the
	NEMIVER_BEGIN/END_NAMESPACE macros so that the generated docs have correct
	namespaces
	* docs/Makefile.am: rebuild documentation if Doxyfile config is updated

2007-01-23  Dodji Seketeli <dodji@src.gnome.org>

	Wed, 24 Jan 2007 00:00:04 +0100 Dodji Seketeli
	* src/dbgengine/nmv-var-list.cc: starting to think about a variable
	model. Not much for the moment.

2007-01-23  Dodji Seketeli <dodji@src.gnome.org>

	Tue, 23 Jan 2007 18:02:34 +0100 Dodji Seketeli
	* docs/Makefile.am: quick update of the doc makefile.
	"make doc" should generate API docs in docs/reference/html

2007-01-23  Dodji Seketeli <dodji@src.gnome.org>

	Tue, 23 Jan 2007 08:37:17 +0100 Dodji Seketeli
	* fr.po: update by Robert-André Mauchin <zebob.m@gmail.com>

2007-01-22  Dodji Seketeli <dodji@src.gnome.org>

	Tue, 23 Jan 2007 00:35:34 +0100 Dodji Seketeli
	* lots of files in src/common/ and all the dynmods:
	Modified the dynmod API to allow a dynmod do host objects
	that implements interfaces. Clients of dynmod then query the dynmod
	to the get the interface they need to do a given job. Look
	at tests/test-breakpoint.cc to see the new dynmod API in action.
	I will add documentation on this a bit later.
	This work was much needed so that I coul start working on the
	new variables model.

2007-01-22  Dodji Seketeli <dodji@src.gnome.org>


2007-01-21  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 21 Jan 2007 17:35:51 +0100
	================ 0.3.0 release ===================

2007-01-21  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 21 Jan 2007 14:32:52 +0100 Dodji Seketeli
	* po/POTFILES.in: update path to nemiver.desktop.in
	* NEWS: updated this for 0.3

2007-01-21  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 21 Jan 2007 10:52:49 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc: GDBEngine::Priv::Priv():
	Fixed an uninitialized variable read.
	* src/uicommon/nmv-terminal.cc: Terminal::Priv::Priv():
	Fixed a small memory leak on the VTETerminal and adjustment widgets.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBGPerspective::open_file(): fixed an uninitialized memory read.

2007-01-17  Dodji Seketeli <dodji@src.gnome.org>

	Wed, 17 Jan 2007 10:18:49 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc: GDBEngine::Priv::set_state(): do basic
	state changement control here. It helps a bit in reducing the number
	of IDebugger::state_changed_signal() emitted. I need to profile this to
	see if the gain is significant.

2007-01-17  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	Display the frame number in the call-stack widget (fixes #396767)
	* src/persp/dbgperspective/nmv-call-stack.cc: Display the frame number in
	the call-stack widget (fixes #396767)

2007-01-16  Dodji Seketeli <dodji@src.gnome.org>

	Tue, 16 Jan 2007 21:53:55 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc: added a GDBEngine::set_state()
	method and use it to set the debugger state instead of emiting the
	signal "by hand".

2007-01-15  Dodji Seketeli <dodji@src.gnome.org>

	Mon, 15 Jan 2007 12:24:01 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-var-inspector.cc: fixed a string format
	issue. This closes #396773 .

2007-01-13  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 14 Jan 2007 00:03:10 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBGPerspective::bring_source_as_current(): restaure breakpoints
	on opened files (when applicable) even when the file hasn't
	been opened via "File -> open source file"

2007-01-13  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 13 Jan 2007 22:07:15 +0100 Dodji Seketeli
	*  NEWS: update this for the coming 0.3 release

2007-01-13  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 13 Jan 2007 16:53:20 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: when a new file is
	loaded, reset the visual breakpoints that migth have been
	set on that file. This is for the case when the file got opened in
	the past, but got closed. This should fix bug #384427.

2007-01-13  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 13 Jan 2007 10:43:36 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-open-file-dialog.cc: query
	IDebugger for file list only if the said IDebugger is present and
	in the IDebugger::READY state. Display the FileChooser otherwise.
	* src/persp/dbgperspective/nmv-file-list.cc,h: Don't query IDebugger
	for file list at instanciation time. Rather expose a
	FileList::update_content() to allow client code to query IDebugger
	on demand.
	This entry should fix bug #394128.

2007-01-12  Dodji Seketeli <dodji@src.gnome.org>

	Fri, 12 Jan 2007 15:33:05 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-variables-utils.cc:
	set_a_variable_type_real():  don't let type captions be longer than
	MAX_TYPE_STRING_LENGTH, which means 15 characters as of today.
	This should fix #394485.

2007-01-12  Dodji Seketeli <dodji@src.gnome.org>

	Fri, 12 Jan 2007 14:38:23 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc: added an NMV_DONT_LD_BIND_NOW env
	variable so that we can skip the setting of the LD_BIND_NOW environment
	variable in the target environment.
	* src/common/nmv-log-stream.cc: the logging control env variable was
	nmv_log_domain. Added NMV_LOG_DOMAIN. Eventually, only the big caps
	version will remain.

2007-01-11  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	add a GenericName field, and add a bit more description to the name so
	* data/nemiver.desktop.in: add a GenericName field, and add a bit more
	description to the name so that people can just look at the name and know
	that it's a debugger.  This means that the "Name" field must also now be
	translated

2007-01-11  Marko Anastasov <marko@marko.anastasov.name>

	For quicker navigation, catch the following events: return: expand row
	* src/persp/dbgperspective/nmv-file-list.cc:
	For quicker navigation, catch the following events:
	return: expand row (directory); ctrl-return: expand recursively;
	if a row has already been expanded, they will collapse it;
	double-click: expand. Also added a popup menu.
	This is implemented in the new FileListView class, which encapsulates
	all treeview code, old and new. Discussed in #394469.

2007-01-08  Dodji Seketeli <dodji@src.gnome.org>

	Mon, 08 Jan 2007 23:02:50 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc: fix
	the inspector to make it update function members that are
	dereferenced. Update means updating the values of the dereferenced
	pointer at each stepping.
	* tests/pointer-deref.cc: update this test to add function argument
	related workflows.

2007-01-08  Jonathon Jongsma <jjongsma@src.gnome.org>

	Remove some finished features from TODO

2007-01-08  Dodji Seketeli <dodji@src.gnome.org>

	Mon, 08 Jan 2007 09:55:59 +0100 Dodji Sekteli
	* src/workbench/nmv-workbench.cc, nmv-i-workbench.h: make
	IWorbench::shut_down() public now.
	* src/main.cc: catch ctrl-c (or kill -SIGINT) to shutdown
	gracefully .
	* src/persp/dbgperspective/nmv-variables-utils.cc,h: added
	is_qname_a_pointer_member(). heavily fixed
	break_qname_into_name_elements(). Also fixed
	get_variable_iter_from_qname() to better handle paths like
	foo->bar->baz.
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc: heavily
	modified this so that members of dereferenced pointers
	get updated at each stepping. This change also allows proper
	dereferencing of pointers, no matter how nested the dereferencing
	is. This entry should fix #386594.
	* tests/pointer-deref.cc: added this to debug/test the variable
	derefing workflows.

2007-01-08  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	remove desktop rules from here move desktop rules here move the
	* Makefile.am: remove desktop rules from here
	* data/Makefile.am: move desktop rules here
	* data/nemiver.desktop.in: move the nemiver.desktop file to the data/
	directory and add the icon to the desktop file

2007-01-08  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	add data subdir Add Makefiles for installing icons added icons from Steven
	* Makefile.am: add data subdir
	* configure.ac: Add Makefiles for installing icons
	* data/icons/*: added icons from Steven Brown
	* src/workbench/nmv-workbench.cc: set the 16x16 icon as the default icon for
	all nemiver windows and set a 128x128 icon as the logo in the About dialog

2007-01-07  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	added a few new files that were missing updated
	* po/POTFILES.in: added a few new files that were missing
	* po/nemiver.pot: updated

2007-01-07  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	Fix up button name to match capitalization rules, add mnemonic
	* src/persp/dbgperspective/glade/varinspectordialog.glade: Fix up button
	name to match capitalization rules, add mnemonic
	* src/persp/dbgperspective/nmv-local-vars-inspector.cc: Capitalization fixes
	* src/persp/dbgperspective/nmv-source-editor.cc: Another printf-style string
	fix.  This should close bug #386806

2007-01-06  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	Replace a lot of string concatenations with printf-style strings to make
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Replace a lot of string
	concatenations with printf-style strings to make it easier for translation.
	Also marked a couple of extra strings for translation.

2007-01-06  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	change the response ID of the 'close' button to GTK_RESPONSE_CANCEL
	* src/persp/dbgperspective/glade/findtextdialog.glade: change the response
	ID of the 'close' button to GTK_RESPONSE_CANCEL instead of
	GTK_RESPONSE_CLOSE since GTK_RESPONSE_CANCEL automatically makes it so that
	pressing 'esc' closes the dialog window and we don't really use this
	response code anyway.

2007-01-06  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	Don't mark a couple of strings as translatable as they're simply
	* src/persp/dbgperspective/glade/locatefiledialog.glade: Don't mark a couple
	of strings as translatable as they're simply placeholders and they'll be
	replaced in code with printf-style strings.
	* src/persp/dbgperspective/nmv-locate-file-dialog.cc: Convert a couple
	things to use the new UString::printf()-style strings so that they're more
	easily translateable.

2007-01-06  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	Update the titlebar to display information about the target executable
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Update the titlebar to
	display information about the target executable when we get the target info
	signal.  Delete the titlebar info when we get the 'detached' signal
	* src/workbench/nmv-i-workbench.h: add set_title_extension() to allow the
	DBGPerspective to update the titlebar with state-specific information
	* src/workbench/nmv-workbench.cc: implement set_title_extension()

2007-01-06  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 06 Jan 2007 18:09:59 +0100 Dodji Seketeli
	* src/uicommon/Makefile.am, configure.ac: add libvte to the link
	dependancies of uicommon as the nmv-terminal.cc moved there
	recently. This should fix #392590.

2007-01-06  Marko Anastasov <marko@marko.anastasov.name>

	In open_file(): bring the first selected file to front.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	In open_file(): bring the first selected file to front.

2007-01-05  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	fixed a minor typo where the 'common' namespace was misspelled 'commmon'
	* src/workbench/nmv-i-workbench.h: fixed a minor typo where the 'common'
	namespace was misspelled 'commmon'

2007-01-04  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	Add file and directory icons to the treeview of source files extracted
	* src/persp/dbgperspective/nmv-file-list.cc: Add file and directory icons to
	the treeview of source files extracted from the target executable.  I think
	this makes it much easier to scan, but it might slow it down a bit, so if it
	gets too slow to scan whether each item is a file or a directory, we might
	need to rip this back out.

2007-01-04  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	fix title of the 'open files' dialog to indicate that you can open
	* src/persp/dbgperspective/glade/openfiledialog.glade: fix title of the
	'open files' dialog to indicate that you can open multiple files at once

2007-01-03  Dodji Seketeli <dodji@src.gnome.org>

	Wed, 03 Jan 2007 22:29:05 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-source-editor.cc:
	SourceEditor::do_search(): implement the "match-entire-word" option.

2007-01-03  Dodji Seketeli <dodji@src.gnome.org>

	Wed, 03 Jan 2007 17:06:31 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc: OnFileListHandler::do_handle(): set the
	state to IDebugger::READY.
	* src/persp/dbgperspective/nmv-open-file-dialog.cc,h: Don't make any assumption
	about the nature of FileList::get_widget(). It's a Gtk::Widget. FileList
	now emits FileList::files_selected_signal() so it's no more needed to
	cast FileList::get_widget() into a Gtk::TreeView to get a selection.
	Also, listen to the new FileList::file_activated_signal() to react to
	the user double clicking on file, or selecting it and hitting "Enter".
	* src/persp/dbgperspective/nmv-file-list.cc,h: added FileList::files_selected_signal()
	to notify file selection. Added FileList::file_activated_signal() to notify
	when the user double clicks or selects a file and types "Enter".
	Changed list<UString> FileList::get_filenames() into
	void FileList::get_filenames(list<UString> &) so that we have a chance to
	avoid copying the list. Propagated this change to all the users of this
	function.

2007-01-03  Dodji Seketeli <dodji@src.gnome.org>

	Wed, 03 Jan 2007 11:57:26 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc: GDBEngine::load_program() and
	GDBEngine::attach_to_target(): set the LD_BIND_NOW env variable to
	something. This prevents gdb from being very slow when stepping into a
	function that is in another dll than the current one.

2007-01-03  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	Fix unique-ification of the file list by only copying the unique files
	* src/dbgengine/nmv-gdb-engine.cc: Fix unique-ification of the file list by
	only copying the unique files into the output parameter (previously,
	non-unique elements were left at the end of the list)
	* src/persp/dbgperspective/nmv-file-list.cc: change the list of files from a
	ListStore to a TreeStore and put files into an expandable folder heirarchy
	to make it easier to find the interesting files.
	* src/persp/dbgperspective/nmv-open-file-dialog.cc: validate all selected
	files are open-able before enabling the OK button, also set a shadow on the
	scrolled window

2007-01-01  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	Reorganization of the source file list widget. It was previously in a
	Reorganization of the source file list widget.  It was previously in a
	notebook tab in the status notebook.  Now it is located in the dialog that
	appears when the user selects the 'File -> Open' menu item.
	It isn't perfect yet.  For example, after opening this dialog (and therefore
	querying GDB for the list of source files), all debugging actions become
	disabled, and I couldn't figure out how to fix it since I'm not familiar
	with this code.
	Also, it queries gdb to build the list every time the dialog is opened
	instead of caching it.  This could probably be optimized, but it's quick
	enough now that it probably doesn't matter too much.
	* src/persp/dbgperspective/Makefile.am: add nmv-open-file-dialog.h,cc
	* src/persp/dbgperspective/glade/Makefile.am: add openfiledialog.glade
	* src/persp/dbgperspective/glade/openfiledialog.glade: add new dialog for
	opening source files either from a list determined by gdb or from the
	filesystem.
	* src/persp/dbgperspective/menus/Makefile.am: remove filelistpopup.xml
	* src/persp/dbgperspective/menus/filelistpopup.xml: deleted -- no need for a
	context menu now that the file list widget is in a dialog.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Use the new
	OpenFileDialog to select a source file to open instead of using the standard
	Gtk::FileChooserDialog.  This allows the user to select either from a list
	of source files that make up the executable or select from the filesystem
	manually
	* src/persp/dbgperspective/nmv-file-list.cc: update to fit the new use case
	better.
	* src/persp/dbgperspective/nmv-file-list.h: add a new get_filenames()
	function and simplify the constructor since we don't need references to the
	workbench or perspective anymore since there's no context menu for the
	widget.
	* src/persp/dbgperspective/nmv-open-file-dialog.cc,h: New dialog for opening
	source files that lets you choose from the filesystem or from a list of
	files that make up the target executable

2007-01-01  Dodji Seketeli <dodji@src.gnome.org>

	Mon, 01 Jan 2007 21:21:04 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc:
	GDBEngine::Priv::parse_file_list(): remove duplicated files from the
	list.
	* src/persp/dbgperspective/nmv-run-program-dialog.cc: show hidden
	directories in the program file chooser.
	* src/persp/dbgperspective/nmv-source-editor.cc: better detection
	of variables in the "hover-on-variable" workflow.
	* src/common/nmv-safe-ptr.h: cleanup some naming here.
	* src/common/nmv-ustring.h,c: added a WString type for wide char
	strings. This is basically a std::basic_char<gunichar>.
	Added some conversion functions from UString to WString and vis
	versa.
	* tests/test-unicode.cc: added a test case for the new WString type
	and WString <-> UString conversion functions.

2007-01-01  Bob Mauchin <zebob.m gmail.com>

	fix two minor string problems. Fixes #389175
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: fix two minor string
	problems.  Fixes #389175

2007-01-01  ZeBob <zebob.m gmail.com>

	Minor rewording of 'copy call stack' description. Fixes #389177
	* src/persp/dbgperspective/nmv-call-stack.cc: Minor rewording of 'copy call
	stack' description.  Fixes #389177

2007-01-01  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	add functionality for listing source files that make up the current
	* src/dbgengine/nmv-gdb-engine.cc: add functionality for listing source
	files that make up the current executable and optimize some things to use
	the c_str() buffer instead of using UString directly to reduce the utf8
	processing costs
	* src/dbgengine/nmv-i-debugger.h: Add list_files() and file_listed_signal()
	interfaces to the IDebugger interface.
	* src/persp/dbgperspective/Makefile.am: add new files for file list widget
	* src/persp/dbgperspective/menus/Makefile.am: add new file list menu source
	* src/persp/dbgperspective/menus/filelistpopup.xml: add right-click context
	menu for the file list widget
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: Set up a source file list
	in the status notebook for now.  Eventually we should make this into a
	dialog window or something different, but for now get something usable.
	* src/persp/dbgperspective/nmv-file-list.[cc,h]: define a new file list
	widget that can be used in the status notebook of the debugger perspective

2006-12-30  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 30 Dec 2006 19:38:36 +0100 Dodji Seketeli
	* src/common/nmv-log-stream.cc,h: performance hack.
	don't use UString as a map key when it's
	not really necessary. The domains map was the
	offender spotted by sysprof.

2006-12-30  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	A few HIG-related improvements to the new find dialog (spacing, etc), and
	* src/persp/dbgperspective/glade/findtextdialog.glade: A few HIG-related
	improvements to the new find dialog (spacing, etc), and added some keyboard
	mnemonics to the options in the dialog.

2006-12-30  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 30 Dec 2006 00:30:02 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-find-text-dialog.cc: by default
	when the user enters a search string and type "Enter" a search is
	triggered. Not need to go click on the "Find" button.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBGPerspective::find_in_current_file(): support for "match-case",
	"search-backward" and "wrap-around". Support of "match-entire-word"
	is still not implemented.
	* src/persp/dbgperspective/nmv-source-editor.cc,h: add facility
	to support the "wrap-around".
	* src/persp/dbgperspective/glade/findtextdialog.glade: give
	proper names to widgets so that they can be queried.
	This entry makes the "Find" useable. Only the "match-entire-word"
	feature is not implemented.

2006-12-29  Dodji Seketeli <dodji@src.gnome.org>

	Fri, 29 Dec 2006 19:04:55 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-dialog.cc,h: don't prevent from
	instanciating in the heap. Added Dialog::hide().
	* src/persp/dbgperspective/nmv-find-text-dialog.cc,h: new find dialog.
	Everything is not wired yet. It has only the basics, which is search a
	string downwards, with no case match. I am commited it
	for now and I expect to work on it quickly to wire everything.
	* src/persp/dbgperspective/glade/findtextdialog.glade: the UI of the find
	dialog.
	* src/persp/dbgperspective/nmv-run-program-dialog.cc,h: don't include
	gtkmm stuff in the header file.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: added a "Find" menu
	item in the edit menu + the contextual menu. Added a
	quick DBGPerspective::fin_in_current_file() for now.
	* src/persp/dbgperspective/menus/menus.xml: added the "Find" menu item to the
	edit menu
	* src/persp/dbgperspective/nmv-source-editor.cc,h: added the bulk of the
	search functionnality in here, using the new gtksourceview::SourceIter
	binding.
	* configure.ac: force the use of the new svn head version of
	gtksourceviewmm, namely version 0.3.0. This is needed so that we can use
	the new gtksourceview::SourceIter for doing search.

2006-12-28  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	added glade file for locating files without full pathnames from gdb added
	* po/POTFILES.in: added glade file for locating files without full pathnames
	from gdb
	* src/workbench/nmv-workbench.cc: added translation credits to the About
	dialog

2006-12-23  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 23 Dec 2006 10:37:18 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBGPerspective::open_file(): proper utf8 conversion for filepaths.
	This entry is the result of changeset #332 merged from branch 0.2.

2006-12-17  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 17 Dec 2006 19:29:49 +0100 Dodji Seketeli
	* coding-style.txt: fixed a typo here.
	* src/dbgengine/nmv-gdb-engine.cc: don't requite attributes
	"file" and "line" to be present in breakpoints wire description.
	They can be omitted by gdb when debugging a target that hasn't been
	compiled with -g. More work is necessary to support those targets
	though.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	Add a DBGPerspective::clear_status_notebook() function.
	Use it to clear the status notebook when nemiver detaches from
	a target and when the target exits.
	* src/persp/dbgperspective/nmv-breakpoints-view.h,cc: added
	BreakpointsView::clear() function.

2006-12-17  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 17 Dec 2006 18:21:59 +0100 Dodji Seketeli
	* po/nl.po: fogot to add this.

2006-12-17  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 17 Dec 2006 18:17:52 +0100 Dodji Seketeli
	* nemiver.pot, nl.po: apply patch to add "nl" support, by Reinout van
	Schouwen.

2006-12-17  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 17 Dec 2006 18:16:22 +0100 Dodji Seketeli
	* reverted bad nl.po patch application. file impacted are (LINGUAS and
	nl.po)

2006-12-17  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 17 Dec 2006 17:42:40 +0100 Dodji Seketeli
	* nl.po: initial "nl" translation by Reinout van Schouwen.

2006-12-17  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 17 Dec 2006 17:23:24 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc,nmv-i-debugger.h:  renamed
	IDebugger::attach_to_program() into IDebugger::attach_to_target().
	Added IDebugger::detach_from_target(),
	and IDebugger::detached_from_target_signal ().
	When the debugger detaches from the target,
	the IDebugger::debugger_state_changed_signal() is emitted and the
	the debugger state is set to IDebugger::NOT_STARTED.
	This entry fixes enh #384847.

2006-12-16  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 16 Dec 2006 20:30:19 +0100 Dodji Seketeli
	* po/de.po: Initial "de" translation by Carsten Reith <carsten.reith@arcor.de>

2006-12-16  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 16 Dec 2006 20:17:00 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc, nmv-i-debugger.h: added the
	IDebugger::get_state() function.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	Added the DBGPerspective::close_all_files() function.
	With that weapon, close files already opened when:
	=> a session is going to be executed, with a target different from
	the previous target we debugged.
	=> a target (different from the previous one) is going to be debugged
	renamed DBGPerspection::saved_sessions() into
	DBGPerspective::choose_a_saved_session(). Added a bunch of logs.
	Did a bit of cleanup.
	This entry fixes #381703.

2006-12-16  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 16 Dec 2006 16:21:02 +0100 Dodji Seketeli
	* configure.ac: bump version number to 0.3.0
	to differentiate the trunk branch from the 0.2 branch

2006-12-16  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 16 Dec 2006 01:42:03 +0100 Dodji Seketeli
	==
	merged revision #318 from branch
	http://svn.gna.org/svn/nemiver/tags/nemiver-0.2.0.
	This pulls bugfix #386473 in.
	==

2006-12-16  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 16 Dec 2006 11:57:13 +0100 Dodji Seketeli
	* TODO: updated this, adding links to bugzilla when enhancement
	requests have been filled. Maybe we should be filling an enh to
	bugzilla for each TODO item now.

2006-12-16  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 16 Dec 2006 10:51:12 +0100 Dodji Seketeli
	* po/es.po: initial es translation by Juan <jmi-debian@telefonica.net>

2006-12-16  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 16 Dec 2006 01:42:03 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-variables-utils.cc:
	break_qname_into_name_elements(): make sure to parse arithmetic
	expressions as variable names, so that I can type 3+4 in the
	variable inspector and have the debugger show me the result ;-).
	* src/persp/dbgperspective/nmv-source-editor.cc: mark strings
	translatable here.
	* src/persp/dbgperspective/nmv-call-stack.cc: mark some string
	translatable here as well
	* po/fr.po:  updated french translation.

2006-12-15  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 16 Dec 2006 00:48:25 +0100 Dodji Seketeli
	* src/uicommon/nmv-spinner.h,cc: moved nmv-throbber.h,cc to
	nmv-spinner.h,cc. It's basically a wrapper of EphySpinner.
	* src/uicommon/nmv-spinner-tool-item.cc: make
	nemiver::SpinnerToolItem, wrap
	EphySpinnerToolItem. It's does not extend nemiver::Spinner. It's a
	tool item that can be put in the toolbar.
	Now, our spinner model is cleaner, at least from a naming perspective.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: use
	nemiver::SpinnerToolItem instead of nemiver::EphyThrobber.

2006-12-15  Dodji Seketeli <dodji@src.gnome.org>

	Sat, 16 Dec 2006 00:03:25 +0100 Dodji Seketeli
	* src/persp/dbgperspective/: moved nmv-ui-utils.cc nmv-throbber.cc,
	nmv-throbber.h, ephy-spinner.c, ephy-spinner.h,
	ephy-spinner-tool-item.c, ephy-spinner-tool-item.h,
	nmv-ephy-throbber.h, nmv-ephy-throbber.cc, nmv-popup-tip.cc,
	nmv-popup-tip.h, nmv-terminal.cc, nmv-terminal.h
	to src/uicommon. Sharing is good.

2006-12-15  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	A whole bunch of little HIG fixes related to capitalization.
	* glade/workbench.glade:
	* src/persp/dbgperspective/glade/loadcoredialog.glade:
	* src/persp/dbgperspective/glade/proclistdialog.glade:
	* src/persp/dbgperspective/glade/runprogramdialog.glade:
	* src/persp/dbgperspective/glade/varinspectordialog.glade:
	* src/persp/dbgperspective/nmv-call-stack.cc:
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	* src/persp/dbgperspective/nmv-var-inspector.cc: A whole bunch of little HIG
	fixes related to capitalization.

2006-12-14  Hubert Figuiere <hub@src.gnome.org>

	0.2 got released

2006-12-14  Dodji Seketeli <dodji@src.gnome.org>

	Thu, 14 Dec 2006 07:55:07 +0100 Dodji Seketeli
	============== 0.2.0 release ===========

2006-12-13  Dodji Seketeli <dodji@src.gnome.org>

	Wed, 13 Dec 2006 22:31:20 +0100 Dodji Seketeli
	* ChangeLog, configure.ac, NEWS: some few updates to prepare 0.2.0

2006-12-13  Dodji Seketeli <dodji@src.gnome.org>

	Wed, 13 Dec 2006 08:37:50 +0100 Dodji Seketeli
	* glade/workbench.glade: don't show the the border of the toolbar
	notebook container. This should fix #385195.

2006-12-13  Dodji Seketeli <dodji@src.gnome.org>

	Wed, 13 Dec 2006 08:24:30 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBGPerspective::append_source_editor(): more work on the damned
	close button size. Man, so much try/error cycles. Now it seems
	to have a decent size. This should close #385186.

2006-12-12  Dodji Seketeli <dodji@src.gnome.org>

	Tue, 12 Dec 2006 21:31:56 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: set a minimum size
	to the status notebook widget.
	* src/persp/dbgperspective/schemas/Makefile.am: I have seen that
	gconfd-2 --shutdown was not really reliable on my system. When
	launched from the makefile, sometimes it just doesn't restart gconf.
	In any case, what I wanted was not really to restart it, but just make
	it reload its data. So, I switched back to sending it the HUP signal -
	to make it reload its configuration _without_ restarting it -,
	but I test the presence of a gconf process before sending the HUP signal.
	* src/persp/dbgperspective/schemas/nemiver-dbgperspective.schemas: add
	a new pair of keys to host the minimum size of the notebook widget.
	* src/persp/dbgperspective/glade/bodycontainer.glade: don't allow the
	status notebook to shrink beyond its minimum size.
	This entry fixes 384474.

2006-12-11  Dodji Seketeli <dodji@src.gnome.org>

	Mon, 11 Dec 2006 23:47:02 +0100 Dodji Seketeli
	* NEWS: updated this

2006-12-11  Dodji Seketeli <dodji@src.gnome.org>

	Mon, 11 Dec 2006 23:42:18 +0100 Dodji Seketeli
	* src/persp/dbgperspective/nmv-dbg-perspective.cc:
	DBGPerspective::append_source_editor(): don't request size for the
	close button in tab. This should fix #384456.

2006-12-11  Dodji Seketeli <dodji@src.gnome.org>

	Mon, 11 Dec 2006 19:23:18 +0100 Dodji seketeli
	* po/sv.po: Daniel Nylander sent the initial swedish translation

2006-12-11  Dodji Seketeli <dodji@src.gnome.org>

	Mon, 11 Dec 2006 11:59:41 +0100 Dodji Seketeli
	* src/workbench/nmv-workbench.cc: added more logging and some try/catch
	blocks to signal handlers.

2006-12-11  Dodji Seketeli <dodji@src.gnome.org>

	Mon, 11 Dec 2006 11:33:26 +0100 Dodji Seketeli
	* NEWS: updated this

2006-12-11  Dodji Seketeli <dodji@src.gnome.org>

	Mon, 11 Dec 2006 10:25:16 +0100 Dodji Seketeli
	* po/fr.po: updated French translation.

2006-12-11  Hubert Figuiere <hub@src.gnome.org>

	sync debian packaging with ubuntu

2006-12-11  Hubert Figuiere <hub@src.gnome.org>

	update changelog for 0.1 release.

2006-12-10  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	EUREKA! I figured out why I was never seeing the 'quit' command queued to
	* src/workbench/nmv-workbench.cc: EUREKA!  I figured out why I was never
	seeing the 'quit' command queued to gdb.  It's because the shutting down
	signal was never being emitted when I shut down nemiver.  This is because I
	was using the window-manager's close button instead of the 'Quit' menu item.
	To fix this, I now connect to the root window's delete-event and call the
	on_quit_menu_item_action() so both of these methods result in the same
	shutdown procedure.  This means that the queueing of the quit command (look
	down 2 changes) might have actually been fine, but it just simply wasn't
	being done at all before (depending on which method you used to shut down
	the application).

2006-12-10  Jonathon Jongsma <jonathon.jongsma@gmail.com>

	refactor the CallStack widget in the same way as the BreakpointsView
	* src/persp/dbgperspective/nmv-call-stack.cc:
	* src/persp/dbgperspective/nmv-call-stack.h: refactor the CallStack widget
	in the same way as the BreakpointsView widget was refactored (see bug
	#381702 for brief explanation).
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: move context menu, etc.
	to the Callstack widget

2006-12-10  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 10 Dec 2006 22:46:37 +0100 Dodji Seketeli
	* src/dbgengine/nmv-gdb-engine.cc: GDB::exit_engine(): don't queue the
	"quit" command, send it to gdb directly, otherwise nemiver may quit
	before gdb. This is a second attempt at fixing #384057.

2006-12-10  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 10 Dec 2006 21:17:12 +0100 Dodji Seketeli
	* src/workbench/nmv-workbench.cc: edited Ruben's patch to save
	geometry only at shutdown time. Added more logging. Also, set
	window size request to a minumum size,
	otherwise, setting window size (through Gtk::Windo::resize())
	sets the window minimum to the newly set size <grin/>.
	* src/persp/dbgperspective/nmv-throbber.cc,h: make
	throbber::get_widget() return a Gtk::ToolItem so that we can embedd
	it toolbar our toolbar. I'll  maybe need to refactor this later so
	that we have a ThrobberToolItem and a classical Throbber.
	* src/persp/dbgperspective/nmv-ephy-throbber.h,cc: ditto. The new
	tooltip based EphyThrobber widget is based on
	ephy-spinner-tool-item.cc,h, freshly copied from epiphany cvs.
	* src/persp/dbgperspective/nmv-dbg-perspective.cc: pack the ephy
	throbber into the toolbar instead of in the container
	box.

2006-12-10  Jean-François Rameau <jf.rameau@gmail.com>

	set a default font for the terminal widget to fix a bug with vte 0.14
	* src/persp/dbgperspective/nmv-terminal.cc: set a default font for the
	terminal widget to fix a bug with vte 0.14 (fixes bug #384172)

2006-12-10  Dodji Seketeli <dodji@src.gnome.org>

	Sun, 10 Dec 2006 18:38:26 +0100 Dodji Seketeli
